commit df0478f53df9ef2c6321abd9a70536c876285a36
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 1 14:35:00 2021 +0300

    Set version number to 2.6.4
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a439cf723f2ec769e578ea530484fd637dca6b11
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 1 14:33:31 2021 +0300

    FAQ: Update latest stable version number to 2.6.4
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 80076754f768edb6f561aeaa2ff89ad446ea37df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 1 14:32:42 2021 +0300

    'make update-po' before 2.6.4 release
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e5dc7c40e5c71d976b9c71657844a1daaa2f5d2e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 31 03:31:18 2021 +0300

    NEWS-2.6: Refresh 2.6.4 content
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7fd2b6518ff0e84c17e208861241d61c80f88c97
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 29 11:19:30 2021 +0300

    AI: Fix threaded AI compile error
    
    See osdn #41870
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 71f60f1f1d173ac9b71d8f26f68251b8a1bc287d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 30 20:35:30 2021 +0300

    Update Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2021-03-29).
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 13706556f47abe4d04effec8d9065df035511e99
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 29 03:42:57 2021 +0300

    NEWS-2.6: Add 2.6.4 content
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 445be9122882906c40a769e47496e20580fc3cec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 29 02:55:04 2021 +0300

    Update Spanish translation
    
    Translation by Jordi Negrevernis i Font
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0232ebeb3135600aecb21a63d6618901c6c58e6c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 28 16:17:22 2021 +0300

    Update Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2021-03-25).
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 45fa6939bbe3f133ed36b690e27244f1150a55e7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Mar 26 08:52:26 2021 +0200

    Send info about city size reduction to everyone in nuke-specific part of code
    
    Osdn #41810 changed generic city_reduce_size() to send city info about the
    city in question to everyone, instead of doing sync_cities().
    Revert that change and instead send the city in question in
    nuke-specific code.
    
    See osdn #41860
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d07c69d4b3a086d95a0998037b7a7be23f91a6b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 21 00:19:15 2021 +0200

    CodingStyle: Declare variables in the innermost block possible
    
    See hrm Feature #923438
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 62273ec47221e41f9ca0673f2160af7a6a75783a
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Thu Mar 25 16:47:19 2021 +0100

    Updated French translations

commit 942459f947ff59827340cd0d77891835df61f1d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Mar 25 06:46:19 2021 +0200

    FAQ: Refresh
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea7244721ddf17fcfc42623fe91c1681c3f0a49e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Mar 18 00:12:24 2021 +0200

    README.effects: Add missing 'is' word
    
    See osdn #41803
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f1b795712d1a6032c7e955d772241fdeebc05375
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 23 21:39:08 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b63e60854031845ddb6484f373b4e1c6c0d38150
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 23 17:21:41 2021 +0200

    randseed.c: Include <sys/random.h>
    
    This fixes OSX build.
    
    See osdn #41838
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 96fbefbc369741de3d112b649a89edc0f2d9446b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 15 16:50:06 2021 +0200

    Make generated random seed less predictable
    
    Patch by Ilkka Virta and myself
    
    See hrm Feature #914184
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dbf6ad8910df536625c6ae90dfe3b08c6e8e6241
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 23 05:28:30 2021 +0200

    Comment copy&paste error fix: improvements -> units
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f0f5aca8dd414eba5d155c46a0f332b31ce006b
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Sun Mar 21 14:14:03 2021 +0100

    Add Sveinung Kvilhaugsvik as present maintainer.
    
    Reported by Marko Lindqvist <cazfi74@gmail.com>
    
    See osdn #41820

commit ade44bed1477729489b75d3c5d12092390ce192d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 13 19:20:47 2021 +0200

    Correct granary_savings() function header
    
    It claimed that the returned percentage is lost when in fact
    it's what is kept.
    
    See hrm Bug #922785
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a77cd5810d1e5ea026f9bffd4f1955e3b3004df5
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Mar 18 21:29:21 2021 +0100

    Send city size change during nuke.
    
    Update city information to all players that can see the tile of the nuked
    city.
    
    See osdn #41810

commit 6c8a9c36bcee62d2a64c58a16faf8088aa130735
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 13 17:38:35 2021 +0200

    debug.m4: Update outdated comment
    
    It claimed that doc/HACKING lists flags used in 'checks' debug level.
    That documentation has been removed as a hacker can check the flags
    directly from debug.m4 itself.
    
    See osdn #41776
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e63ed383cc34efba4cdec1e82568992426ae1711
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Fri Mar 19 04:48:48 2021 +0500

    Update for Russian translation.

commit 173b021af7b0ea206068d4547268c7e2877e31c1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 13 23:16:15 2021 +0200

    Correct documentation references to long gone civclient_gen.c and srv_main_gen.c
    
    They have been replaced by packhand_gen.c and hand_gen.c.
    
    See osdn #41779
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 11c968c193906e54b17e96197ac172f81a909c88
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Mar 12 13:37:48 2021 +0100

    Document Lua's effect integration.
    
    See osdn #41744

commit 201ec8565e0784bb3a388697c5d90fd7892aba15
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 14 20:09:18 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 267d0f76b92800613c2f098fa881c33703520e98
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 14 10:38:21 2021 +0200

    gui-*/.gitignore: Drop Freeciv.h entry from guis where it does not exist
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a8343fb3a274b4548de51829a40d7360fbf3b7af
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 9 14:51:55 2021 +0200

    check_macros.sh: Add empty line after all the tests of this kind
    
    See hrm Bug #922145
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 114d9255b1bc8655d0315aefa51883b393dfcdfc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 13 03:39:13 2021 +0200

    Comment typofix: had_internal_effct -> had_internal_effect
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 69a87ea6c8c84bed0b8bf36e37446f69dd75e960
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 6 18:34:23 2021 +0200

    Improve civ_population() style
    
    See hrm Feature #922008
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 166e2adb254e9ff5d688db724e00400b1930dca0
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Thu Mar 11 16:34:22 2021 +0100

    Updated French translations

commit 5e5eb320b671c88f8998ffdb7832d6628fa67a71
Author: Ilkka Virta <itvirta@iki.fi>
Date:   Tue Mar 2 14:51:09 2021 +0200

    Use pop at turn change to calculate Demographics (Literacy and Military Service)
    
    The code used to look at the real-time value for population, but the value
    at turn change for the other values. This both leaks info about nations
    losing (and gaining?) population mid-turn, and leads to obviously invalid
    results like Literacy > 100 %.
    
    See hrm Bug #880780

commit 73448543944dff5f746ff1bd0a8480904a487c53
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 10 07:50:11 2021 +0200

    Comment typofix: backgroud -> background
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7bf1c7e66d7a84c7ed81eed24d5b13f779a00dd0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 00:07:26 2021 +0200

    INSTALL.Cygwin: Drop instructions to explicitly set MOCCMD
    
    The step is no longer needed
    
    See osdn #41676
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b731c637972cc5b18b233a60329385a2f5749d6c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Mar 5 13:23:20 2021 +0200

    Appdata: Use secure URLs (https) for screenshots
    
    See hrm Feature #921959
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1a82d255c2fe8954c5391293a12c914e1bd1a594
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 07:57:28 2021 +0200

    Comment why we don't check bodyguard ferry boarding legality
    
    Requested by Sveinung Kvilhaugsvik
    
    See hrm Bug #849990
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e5934a1d3b6367eb6f8eb9f52af5c46ff3386218
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 07:08:01 2021 +0200

    sdl2: Add science_dialog_callback() function header
    
    See hrm Bug #911733
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 08e5b252e93e53646a19a64a7ac07f412d15b345
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 05:41:06 2021 +0200

    Don't send clients to pre-game when savegame loading attempted during game
    
    Reported by anonymous
    
    See hrm Bug #767358
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 76c1fec2bb2c7302397cb27354fa36b40c4cf86e
Author: Ilkka Virta <itvirta@iki.fi>
Date:   Tue Mar 2 14:21:52 2021 +0200

    Check if the new unit fits in transport when upgrading transported unit
    
    The old code checked if the current unit fits, so you could end up with
    an impossible unit on the transport.
    
    See hrm Bug #921691

commit 57f763a684bb5abe7060cafedbbd8bb583e293f6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Mar 5 17:50:12 2021 +0200

    Abbreviate consequtive "imprv." mentions the same way
    
    Function header of global_worklist_callback() mentions "imprv./wonder"
    multiple times. Unify those.
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6a354884c3e0744698a1d9543d80647170e74696
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 3 06:10:39 2021 +0200

    configure.ac: Make all AC_CHECK_HEADERS() and AC_CHECK_FUNCS() one-liners
    
    This might help with "not a string literal" error seen on CI
    with msys2 and autoconf-2.71.
    
    See hrm Feature #921737
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 79f4e9c29dfd18d873cfd23e64a7eb50cff2a12f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 09:42:49 2021 +0200

    Send meetings opened by AI players met thanks to dispersion setting
    
    Meetings initiated by AI players when they start in contact with the
    player were sent too early for the client to open the meeting dialog.
    After that the client was unable to ever open a meeting with that
    AI player, as server though that the meeting is already active.
    
    Send active meetings to clients again when they are ready to receive
    them, in the beginning of a new game.
    
    Reported by Robin Patterson
    
    See hrm Bug #764968
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fc04b2401c07c39f0d0b864e403bb8c95f4bbb48
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 1 23:56:57 2021 +0200

    Autodetect moc command with name moc-qt5
    
    See osdn #41674
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7a740f4521096c69e0d62e0426fca30c7b1f44f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 28 13:49:25 2021 +0200

    Document in diplchance help that it does not affect all mission types
    
    Reported by Lexxie
    
    See hrm Feature #870009
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 47514a5f9ed33f3ee2cd56b8b3fab3487112cf52
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 3 19:54:12 2021 +0200

    Update Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2021-02-22).
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ae13ed7140a9ca481256460533240a4923729d1f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 3 09:46:29 2021 +0200

    ai/.gitignore: Drop obsolete libcivai.a entry
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7b4ba63144963b85c7b65372422e3f20e63ba8cb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 1 11:02:36 2021 +0200

    Update msys2 environment to 210226 level
    
    See hrm Feature #918825
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 948e36575158ca793f8e9164a25d007489c77ffe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 2 20:50:52 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 70409d58ae43cfa1b06d2e4e08fa4938e3b465b8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 27 22:40:36 2021 +0200

    sdl2: Fix alpha channel changes when recentering map
    
    Do not use surface blending mode when moving mapview around.
    
    Reported by, and initial patch provided by, goduck777
    
    See osdn #41629
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2bc3607639f254109915179599f3ebe0606876c8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 8 12:10:46 2020 +0200

    Avoid erroneous improvement obsoletion messages
    
    Do not claim that an advance that is !present obsoletion requirement
    does obsolete improvement.
    Fixed in server messages, client help, and civmanual.
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #874192
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 033feb8cb5e48b579ae17c0436ced76732b2b3a6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 1 18:46:42 2021 +0200

    common/.gitignore: Drop obsolete entries
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aa11e4eb93d64397399844f24ec8f70b9da2de4f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 10 07:40:43 2021 +0200

    POTFILES.in: Add missing files
    
    See hrm Bug #918937
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1d5acd8d164446bfba99f41769ea74d854ae1768
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 3 15:10:16 2021 +0200

    Update BUG_URL to point to osdn
    
    See hrm Task #896778
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit df099c19acd1b522029b49e8b28a4a01d78938d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 27 18:03:00 2021 +0200

    Comment typofix: tagets -> targets
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dd6816cfcad7e24e1c61b4f77b9e056009b5e759
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 27 08:44:36 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 957698c724704a921f9a7c5e7186cf16e6e19c66
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon Feb 22 19:46:41 2021 +0100

    Spelling correction: DiplReal -> DiplRel.
    
    Fix the spelling of DiplRel in README.actions.
    
    See osdn #41630

commit 619de88f5e253a12f535a3c1824424cc4419f40f
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Mon Feb 15 16:45:15 2021 +0100

    Updated French Translations (including introduction of the Ancient Transport Network).

commit d6025d08cb041e4a402394f3cb667fb74a5d65a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 15 05:47:49 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0d8c3b8ea2edb48e70b61de72a14329d0c6b9e52
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 10 17:24:13 2021 +0200

    sdl/2 inteldlg: Show unknown information as such
    
    Don't show dummy values when there's no embassy to reveal
    the real information.
    
    See hrm Feature #918827
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b057c4bd2421b2fbf8271c2fc7a65c5e7ebb546
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Feb 9 16:39:27 2021 +0200

    Fix client crash on setting up patrol for fuel > 1 unit
    
    Reported by Alina L.
    
    See hrm Bug #919308
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 083a25aba74692b46422f55797395b5cee6ec12b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 10 07:23:09 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1bf46a3782c1501c5f8862830a16bd3468a21f96
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 10 01:16:32 2021 +0200

    Comment typofix 'titelbar' -> 'titlebar'
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 11d715b1eb0a193111b07b550beb4af2257d3bba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Feb 2 15:09:42 2021 +0200

    sdl/2 widget.h: Correct comment claiming this is gui_stuff.h
    
    See hrm Bug #918990
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 658e3a460859a0936e1e671e32d1b1e0129c4b07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 1 16:06:53 2021 +0200

    Qt: Fix shadow warnings from pages.cpp
    
    See hrm Bug #918890
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2e182990443bfce62db8ad43b4946f391f1ee222
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 1 17:10:34 2021 +0200

    Correct audio_(get/set)_volume() function header
    
    See hrm Bug #910927
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1144a3a8dc0bbbfe119476ea33d37a0a1ab4bb25
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 20:23:07 2021 +0200

    sdl/2: Make create_bcgnd_surf() state parameter enum widget_state
    
    See hrm Feature #900470
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 163eb5eb27e4795eb51bfb87326bd28da855d40a
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Fri Feb 5 10:50:48 2021 +0100

    Updates french translations before S3_1 branching.

commit 8ec69dfac9d87b92d156bbc8ca55994129716281
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 18:09:56 2021 +0200

    Qt: Fix crash when loading of some shortcut has failed
    
    Use default shortcut when one cannot be loaded from the file.
    Null shortcuts were causing client to crash.
    
    Reported by John Robertson
    
    See hrm Bug #909515
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b1863e2c2eef2533ae78c2e93db6388cabc9a2fa
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 16:08:19 2021 +0200

    Gtk inteldlg: Show unknown information as "(Unknown)"
    
    It used to show dummy values
    
    Requested by fomalhaut pa
    
    See hrm Bug #765366
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3be0a4049734fdc155c3b4b283144f2b16e4efe7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 13:42:06 2021 +0200

    Clarify that Railroad increases production by half in most rulesets
    
    Text that used to say just that it increases the production everywhere,
    was confusing for the case where the production is less than 2 and
    the increase gets rounded down to zero.
    
    Reported by Chippo Elder
    
    See hrm Bug #918741
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6815c53d0a78ae1ff4117e398f83635382371430
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 4 05:11:40 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c4369aebb59e6642bba33de3f9e11e1618f23c29
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 4 04:16:36 2021 +0200

    freeciv/POTFILES.in: Add featured_text.c
    
    Recent combat message change moved some strings to featured_text.c
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 029da15d30b772be46cba7362cc1bf1ee90291d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 21:06:58 2021 +0200

    Qt: Drop unused fc_client::game_layout
    
    See hrm Feature #918824
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d36930e9a13da09df7da7a05d9550b2a647168bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 09:50:28 2021 +0200

    sdl/2: Drop unused free_bcgd_order_widgets()
    
    See hrm Feature #918801
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4a5c3baddf4f819d38504999178cc9c6d3874227
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 11:42:18 2021 +0200

    Fix increasing of the packet decompress factor
    
    Code assumed that zlib would return Z_DATA_ERROR when decompress
    buffer is too small, but in reality it returns Z_BUF_ERROR.
    This caused decompress factor never to be increased even if the
    default value turned out to be too small.
    
    Reported by Louis Moureaux
    
    See hrm Bug #918726
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 137e8b9c80dfaeefa16a7c8f2c564ec5042aa5ca
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Feb 2 18:56:13 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 88901b4fe57ef5c3c02ac26ca8cac72c34981801
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Sun Jan 31 16:18:15 2021 +0100

    Translate CityTile property values.
    
    See hrm Bug #918816

commit 109959b47825bd1a7bc2334f3f59f26415523269
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Sun Jan 31 15:09:43 2021 +0100

    Clean up is_citytile_in_range().
    
    * Convert from if statement to switch statement.
    * Move the no target tile check to the top.
    
    See hrm Feature #918815

commit 8e99cfbabc63110d2d1785514caf6977d0b7e9c1
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Mar 24 11:44:40 2017 +0000

    Allow non hack users to disable timeout.
    
    A non hack user may enable timeout by setting it to a value above 30
    seconds. Let him disable it too.
    
    Requested by drdogbot7 at the Freeciv forum.
    
    See hrm Feature #647101

commit 9cf46254aa961dc1a32cbe62a06aa01da88a783d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 13:26:27 2021 +0200

    Make year SINT32 in network protocol
    
    Reported by Alina L.
    
    See hrm Bug #918800
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a886a0ff35d23b29d020e49a63717c3613d75f69
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 30 20:59:14 2021 +0200

    Qt: Fix foreach() inside foreach() shadow warnings from menu.cpp
    
    See hrm Bug #918786
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b776fe3c04936259c104fe21d96e540727422059
Author: Charlie Galik <Charlie.Galik@cambiumnetworks.com>
Date:   Tue Jan 26 13:39:30 2021 -0600

    Add detailed combat info server message
    
    Patch by myself and Louis Moureaux
    
    See hrm Feature #913055

commit 80331aa6a440a1c68021e77a0daa44907fe2fa0f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 31 10:17:59 2021 +0200

    Comment typofix: "dispalyed" -> "displayed"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b12aaa542eb2b87905097a35783f70c9fe7428f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 29 14:42:52 2021 +0200

    Fix typos in global_worklist_callback() function header
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a0af18a4d390adc3e44062f1cf59e4ef71d64d94
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 17 14:39:32 2021 +0200

    Qt: Fix map_view::shortcut_pressed() shadow warnings
    
    See hrm Bug #916123
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4caee028302bdbf182865674d3348de06967f7d0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 17 07:17:51 2021 +0200

    Control -mwindows flag ourselves, from one place
    
    See hrm Feature #915700
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9515ffb17b4f83ee101e25697b0b338cd9f49837
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 27 05:23:43 2021 +0200

    Add --enable-patient-connect configure option
    
    When the option is enabled, client gives spawned server much
    more time to get up. This is needed in some underpowered embedded
    systems. This option is meant to replace custom patch that
    OpenEmbedded meta-games is carrying to increase the time.
    
    See hrm Feature #899259
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6bf55b589101d28de4b8a0735008451da4de64c0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 9 11:38:53 2021 +0200

    Qt: Fix shadow warning from hud_battle_log::timerEvent()
    
    See hrm Bug #914093
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0fac833bfc3f163da015fe3bd924f1d7aca2ae84
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 17 03:23:22 2021 +0200

    Drop unnecessary SDL_mixer.h includes
    
    See hrm Bug #898088
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 10088f7ccf59f152bc7fb4a77009170220d9f2fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 18 05:12:08 2021 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 12550771ef8d84cd1f123e767a27b2941beb6184
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 2 00:42:23 2021 +0200

    Refactor duplicate PF_IMPOSSIBLE_MC check out from pf_normal_map_iterate()
    
    See hrm Feature #911970
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4aa78589d5340358bf5220364bb62ec626c7e5f1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 21 19:58:22 2020 +0200

    sdl/2: Correct create_horizontal() function header
    
    See hrm Feature #899230
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ceea2628abaeab1d41fe9f8409f924be3231a5ba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 28 07:06:35 2020 +0200

    Restore deprecation warnings to CXXFLAGS in --enable-debug builds
    
    See hrm Bug #896335
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 15f00a9943456c25bd1ac5550986a51a6162a888
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 1 09:38:47 2021 +0200

    Ruledit: Don't open separate console window in Windows
    
    Reported by Jacob Nevins
    
    See hrm Bug #681310
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit da88022baf1e7b264b11de63107d4bfdc7f7e0af
Author: Ilkka Virta <itvirta@iki.fi>
Date:   Mon Jan 11 15:23:47 2021 +0200

    Make Despotism penalty and Pollution/Fallout not apply to Gold/Luxury/Science
    
    Some wonders like Hanging Gardens apply a direct Luxury or Science bonuses
    on the city _tile_. The code subjects them to the Output_Penalty_Tile
    effect, unlike the help texts lead the player to assume. The same issue
    applies to Pollution/Fallout via Output_Tile_Punish_Pct.
    
    Fix this by excluding Gold/Luxury/Science from both effects in the affected
    rulesets: civ2civ3 and sandbox.
    
    See hrm #908518

commit a001a04c7fa9166b67d73a85ed45ed3fbd9eabe4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 5 15:44:49 2021 +0200

    Fix postponing buildings from worklist
    
    They were never postponed, but their building started even when
    it was supposed to be impossible.
    
    Reported by wiederFI
    
    See hrm Bug #912972
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6f482df2e7eba56567c7f170086c61459ea4da01
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 4 18:00:16 2021 +0200

    Msys2: Set 'Unicode true' directive to nsi files
    
    See hrm Bug #912492
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 794655d8c7bc27017615d2c6cb970c75be83e1b5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 07:26:25 2020 +0200

    sdl2: Correct create_utf8_str() function header
    
    It talked about parameter called pInTextString, when in reality
    it's called in_text.
    
    See hrm Feature #902490
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d57b3a0201dca7149b9c7825fb55be81d58d90f7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 7 04:02:06 2021 +0200

    configure: Drop detection of SQLITE3_VERSION
    
    The detection code errored when sqlite3.h header was in
    nonstandard location, and even when the detection succeeded,
    the result was not used for anything.
    
    See hrm Feature #913433
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bdc9b9aeed79e520429b438fb77cd2f9c708f3c3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 5 16:19:15 2021 +0200

    gtk3.22: Show terrain image in help dialog
    
    See hrm  Feature #912939
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f18b2f9f51231d0b187575b59dee2b313d2d4f56
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 27 18:25:45 2020 +0200

    gtk3: Drop obsolete gtkpixcomm module
    
    See hrm Bug #900565
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a459f07f0be3ae9caa1a340ae4006a2a977b4aba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 30 05:35:13 2020 +0200

    sdl/2: Rename get_widget_pointer_form_*() -> ..._from_...()
    
    See hrm Feature #911183
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b5ca1cf56eeaa06295e4e383613acd9ed6ef1377
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 9 10:47:15 2021 +0200

    Qt: Fix chat_input::chat_word_list_changed() shadow warning
    
    See hrm Bug #901860
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 65d5dda9aa768a620c3369feb4d1da17e8c66358
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 27 18:22:22 2020 +0200

    gtk3: Use GtkImage instead of GtkPixcomm for help item
    
    See hrm Feature #910393
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bba2e085763cd3606843b028976c7e924cefde4e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 3 23:05:02 2021 +0200

    Adjust formula for barbarian band size
    
    The old formula increased number of cities needed for higher
    band size factor too steeply.
    
    The new table:
    Player cities -> band size factor:
    ...10    -> 1
    11...31  -> 2
    32...80  -> 3
    81...186 -> 4
    
    Reported by Akechi
    
    See hrm Feature #767126
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 28dcad542c148dc0facf89e6c34579bcedd9816c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 23 08:03:28 2020 +0200

    gtk3: Use GtkImage instead of GtkPixcomm for citydlg citizen bar
    
    See hrm Feature #908748
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b750ee1e3e605030469659902b75696eb18a02c7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 28 13:05:29 2020 +0200

    Msys2: Update environment to 201212 level
    
    See hrm Feature #853127
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8dde2e498281b714115507a7f94d3a2ba601dbae
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 17 01:27:55 2020 +0200

    gtk3: Replace GtkPixcomm based put_unit_gpixmap_city_overlays() with GtkImage based solutions
    
    See hrm Feature #906866
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bb883f5bab872e5e6a7e363c4ed6ed573ae674a9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 3 13:32:47 2021 +0200

    configure.ac: Fix IPv6 support in Haiku
    
    Reported by Luc Schrijvers <Begasus>
    
    See hrm Bug #912369
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 10e32e68e548931453566519961430d0597421ed
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 3 21:34:34 2021 +0200

    Qt: Fix helpdlg.cpp shadow compiler warnings about 'buffer' variables
    
    See hrm Bug #912464
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 121c2831f72e0945146625e0d2a03c462b3ceace
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 16 02:19:46 2020 +0200

    gtk3: Use GtkImage instead of GtkPixcomm for left panel unit icons
    
    See hrm Feature #906539
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 394f1385b96e8b30b318e86798c73efd164c2ca8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 1 23:23:47 2021 +0200

    Make ~/config/settings/freeciv the storage directory under Haiku
    
    Requested by Begasus
    Inspired by a patch by Bach Nguyen
    Patch by myself and Begasus
    
    See hrm Feature #911958
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fcac07484b01a3830fffe0b451b3c7646ad747a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 2 16:45:36 2021 +0200

    Qt: Popdown gotodlg when leaving the game
    
    Also fixes a crash when quitting the client, and gotodlg has been
    opened.
    
    Crash reported by John Robertson
    
    See hrm Bug #911885
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f8ed79be908e472a1b69eb93246bf359da9d97d0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 24 12:46:45 2020 +0200

    sdl: Fix compiler errors when SMALL_SCREEN enabled
    
    See hrm Feature #899574
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b982ee8169e6c8943c51b26b3b5b050c9ff09f3a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 15 02:24:31 2020 +0200

    gtk3: Use GtkImage instead of GtkPixcomm for happiness dialog
    
    See hrm Feature #906210
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3077811de07e21016e52742191ad0190a8bef250
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 28 07:04:41 2020 +0200

    Qt: Replace QFontMetrics::width() with QFontMetrics::horizontalAdvance()
    
    Former is deprecated in Qt-5.11
    For Qt versions < 5.11 we provide macro magic to turn
    horizontalAdvance() back to width()
    
    See hrm Feature #910547
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4f13d9b7c097c9398a7ade46010cf4bdb891d4f9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 28 14:26:24 2020 +0200

    Rename modified sdl2.m4 as fc-sdl2.m4
    
    See hrm Feature #851202
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7d3582532fdb8432e2643a94ef72bfa0baaa6caf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 30 06:07:04 2020 +0200

    Fix selecting music track after lua play_music() track has played
    
    Reported by Jacob Nevins
    
    See hrm Bug #683570
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7824244437adf1ba2fa72578b829aad5f20ec9da
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 12 04:58:05 2020 +0200

    gtk3: Use GtkImage instead of GtkPixcomm for diplomacy dialog flags
    
    See hrm Feature #905530
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e7bef39ded2740e875f5645a3a468aef2c986aed
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 1 10:59:43 2021 +0200

    Change paradrop message "Already here" to "Already there"
    
    See hrm Feature #699165
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b0548301212905be803f9610179d071ebbfce708
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 3 14:41:38 2021 +0200

    Qt: mr_menu::*(): Rename menu_list as menus
    
    mr_menu class has several member functions with a variable
    called menu_list. Those shadow data member of the class.
    Rename them to 'menus' to avoid the shadow warnings.
    
    See hrm Bug #900975
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 965a3a0c1dfe29ad2f621e84ed378c303052530b
Author: John Robertson <jro.johnro@gmail.com>
Date:   Sun Dec 20 02:36:48 2020 -0700

    Qt: Confirm before distruptive selection
    
    See hrm Feature #907806

commit d50f1c6eb0d8bd85eecd2f3da84fc088dad72de1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 9 22:37:11 2020 +0200

    gtk3: Use GtkImage for indicator icons instead of GtkPixcomm
    
    See hrm Feature #904733
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0670d056e03274a69b1ce6b5f53c6185fdfa2030
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 2 20:50:36 2021 +0200

    AI: Use considered unit's attack count in city bashing consideration
    
    Virtual unit under consideration was assumed to always deliver one
    attack against enemy city. Use its real move rate instead. For example
    units of move rate 2 can both attack and conquer at the same turn.
    
    See hrm Bug #872218
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 62a2316465f885600e177c3c540807e4db60cb2d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 2 14:55:39 2021 +0200

    sdl2: Fix compiler errors when SMALL_SCREEN enabled
    
    See hrm Feature #899569
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1189471b7f07a87e7abd606d233d69f3ca6ae9d1
Author: Ilkka Virta <itvirta@iki.fi>
Date:   Sun Jul 12 00:17:37 2020 +0300

    Fix city_landlocked_sell_coastal_improvements() for Aqueducts and Harbors
    
    Aqueducts used to get sold on terrain change among with coastal improvements since the
    actual city tile was not passed to is_req_active. Also add check for TerrainFlag reqs,
    used by Harbors from 2.6, so that they do get sold.
    
    See hrm Bug #880455

commit 7b1f14c6503eaafbb8bfe8e51df960b79e397a69
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 27 23:53:37 2020 +0200

    Qt: Replace deprecated qVariantFromValue() with QVariant::fromValue()
    
    See hrm Feature #910460
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 510e8d4584050cf603e93245f1dbdfb961b6b54c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 28 13:06:07 2020 +0200

    Fix selection of next music track after single-alternative track
    
    Saving correct music tags and setting up the callback was erroneously
    inside a code block that handles alternative tracks for the given tag.
    It was not executed when there is no alternatives for the track.
    Move the code outside that block so it's executed always.
    
    See hrm Bug #910605
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f35f1c05fb37890c7e94c511f9ad7e41d5e8d77
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 1 14:38:35 2021 +0200

    Inline is_city_center()
    
    Some arrangements for includes was needed as headers depend on each other.
    
    See hrm Feature #905143
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b8f75398217ff85df33c5516ee8f0e502cf98d2d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 26 06:16:46 2020 +0200

    Support MagickWand-7
    
    See hrm Bug #905573
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf33c22f5fdb4bd18203e4ad3bcf4edbffc4195a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 27 22:33:11 2020 +0200

    Qt: Replace QApplication::desktop()->screenGeometry() with QApplication::primaryScreen()->geometry()
    
    Former is deprecated.
    
    Extracted from the original patch by Alexandro Ignatiev
    
    See hrm Feature #910441
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f0f6008d6cba518e985307985b354566cd8749c1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 30 05:55:47 2020 +0200

    Revert hrm #905818 to fix stopping music
    
    What was thought to be fix for Bug #905818 has actully been
    breaking stopping of music. Revert that fix.
    Actual root-cause of Bug #905818 was Bug #910605, which will
    be fixed in a separate commit.
    
    See hrm Bug #910919
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 76667caaedb6b785ab8078dd2c41ce1c4fc4e827
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 14:12:45 2020 +0200

    Mark as development code
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf5aa9919176c28569ccdb590aa02859b458af6c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 14:11:09 2020 +0200

    ChangeLog: Refresh for 2.6.3 release
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 75e1faffc190b3911e71f03cdf05a91bb14a4f98
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 14:08:55 2020 +0200

    Set version number to 2.6.3
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c8e61be78a99306dbd0b4bb9b46ad045c06cc644
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 14:05:46 2020 +0200

    'make update-po' before 2.6.3 release
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9bcbc69837e12fe2f0343fcaa1851e924e531145
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 05:34:15 2020 +0200

    FAQ: Update latest stable version number to 2.6.3
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b135b1a8ff15e55f0023b01bd002dae15b0cf87c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 14:03:26 2020 +0200

    NEWS-2.6: Update 2.6.3 translation stats
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit efa2b2aba5fab512668b73c10db90b7ad95ef23a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 12:59:42 2020 +0200

    Update Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2020-12-19).
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 925e9c9e4e60d84780684bf7847e52a6ed9ed53b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 06:19:54 2020 +0200

    NEWS-2.6: Add 2.6.3 content
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aab594b861c4e3e3669dfcd29a37acff58729ad8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 20 03:45:05 2020 +0200

    Fix buffer overflow in reading score log file
    
    Reported by louis94
    
    See hrm Bug #907791
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fa280f545a9f7e13f1ef2e09e594b2c026a282b4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 31 05:28:59 2020 +0200

    Update Spanish translation
    
    Translation by Jordi Negrevernis i Font
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d6daa8e495bf0b5fbf83c7bebf9a62382e09897a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 29 03:42:45 2020 +0200

    gtk: Fix crash on receiving chat with link tags
    
    We did g_object_unref() ourselves to a tag we had created with
    gtk_text_buffer_create_tag(). Its documentation says:
    "The returned tag is owned by the buffer's tag table"
    
    Reported by louis94
    
    See hrm Bug #910832
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4cc9a34d67792438763dc511b5d953aca2a08254
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 30 15:27:51 2020 +0200

    Update Spanish translation
    
    Translation by Jordi Negrevernis i Font
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 34818cbaee0ee66440618938e6e3007293c365e7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 30 15:03:55 2020 +0200

    m4/.gitignore: Remove x.m4 that should not be ignored
    
    It's no longer generated file, but the master source.
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 60f500de8c24ceb5eb8271652e0108e4ad1249c0
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Tue Dec 29 22:42:40 2020 +0500

    Updated Russian translation.

commit f7296d1674be34a776d268175816a5f65ece44e7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 27 05:14:17 2020 +0200

    sdl/2: Do not assume Toggle Mini Map Mode button as part of widgets array
    
    Button has been removed.
    
    See hrm Bug #898649
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 360bd4f59f0e2560fd20a476dc1d735289814445
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Sun Dec 27 20:00:38 2020 +0100

    Updated French translations

commit 45e61a5caec0be443f1167fe1746e3cc664d038f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 23 18:30:06 2020 +0200

    sdl/2: Update sdl_create_server_list() function header
    
    See hrm Bug #908900
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 58115096255ee3db013fe439eac1db501c5a2deb
Author: John Robertson <jro.johnro@gmail.com>
Date:   Tue Dec 22 10:34:59 2020 -0700

    Qt: Update gotodlg when unit selection changes
    
    See hrm Feature #908664

commit 852207f333f1211211985604896945beaefea9d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 22 18:58:05 2020 +0200

    Rulesave: Save multiplier offset and factor
    
    See hrm Bug #908577
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit df46b35aa6f08e30b352fdc177936bab18cc80b7
Author: Ilkka Virta <itvirta@iki.fi>
Date:   Sun Dec 20 18:58:23 2020 +0200

    Update city info to owner when foreign caravan helps build wonder.
    
    See hrm Bug #907977

commit 538925721225c8dffd9693d7aeb0ce7d3450a82d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 19 16:36:27 2020 +0200

    Update .gitignores to .desktop file name changes
    
    Reported by Alain Baeckeroot
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 13e02cda01b4a2703a94dae9b312ae9116f348d0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 18 04:45:08 2020 +0200

    Comment typofix: "stoped" -> "stopped"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9b1f6dc8afe33c28393003ed5183103e3736bc0e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 13 21:36:45 2020 +0200

    Fix continuing to a new music track when previous one ends
    
    audio_stop_usage() was flagging music ending callback to not to
    select a new track. That's not necessary as the callback is not
    called at all in that case. Instead the flag remained until
    callback's next call, causing it not to continue to new track
    at that point.
    
    Reported by jwrober
    
    See hrm Bug #905818
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c55b05ff56d2fd0cce226eaa64b4ef407719da23
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 17 01:36:31 2020 +0200

    Qt: plrdlg.cpp comment typofixes
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 100c0c3c924890af217b6737c5ccc06393ec90ce
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 12 04:27:30 2020 +0200

    traderoutes.h: Document enums as part of network protocol
    
    See hrm Feature #905523
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68d1ebf9ae1ab58a3b8370bfcbe30d7552b87b2c
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Tue Dec 15 20:04:26 2020 +0100

    Updating Catalan translation

commit eb01d855eec13fe915aeb2d8664ea81ad4d634f6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 14 01:34:59 2020 +0200

    audio.c: Rename variable 'keepstyle' as 'keep_old_style'
    
    This should make it clearer that it's not about introducing
    persistent style, but about not touching existing style.
    
    See hrm Feature #905828
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d3ebcb89a0b4abb31d7aa67bdba9696910420d56
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 8 14:02:08 2020 +0200

    fcgui: Respect @EXEEXT@ on name of executable chosen with --gui
    
    See hrm Bug #904301
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0ac19da40eca2591b45fe82d48034c438aacc7cf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 11 12:57:13 2020 +0200

    Make city_tile() a macro
    
    See hrm Feature #905312
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9934c09e5f5565087749a19d1e8d088a809e1413
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 8 11:51:58 2020 +0200

    AI: Fix unnecessary production changes for away player
    
    Reported by Frelhelm
    
    See hrm Bug #904268
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 516f62e32156f035b0c3d4877c33bd25b286e8b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 18:15:02 2020 +0200

    Avoid client crash if workertask requiring target does not have one
    
    Server should not send such tasks, but make client robust against
    broken or modified server that does.
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #885482
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f1894de2b71f70988ec8db290b58f020bc70024d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 16:57:59 2020 +0200

    Qt: Clean citydlg.h includes
    
    - Reorder them to correct grouping
    - Drop unneeded Qt includes
    
    See hrm Feature #902626
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a418320df51165af129d6b06e1a05dc95e1a7171
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 00:59:40 2020 +0200

    Ruledit: Correctly translate translatable strings with R__()
    
    See hrm Bug #902423
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d0d71da19d4c0cb03314c1ac1c47302c0fc3c8de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 6 06:41:32 2020 +0200

    freeciv/POTFILES.in: Add client/gui-qt/citydlg.h
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b1762a5e3c62bd87f3eba69f9ca4786206c8cf94
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 19 17:42:10 2020 +0200

    sdl/2: Remove useless Toggle Mini Map Mode button
    
    It did nothing, just confused user by its existence.
    
    See hrm Bug #898649
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3ad2898b4852017b65935a4941f33c3f04aa1f2d
Author: John Robertson <jro.johnro@agmail.com>
Date:   Wed Dec 2 23:42:59 2020 -0700

    Qt: Add city size to city info panel
    
    See hrm Feature #901393

commit 67a3a5091bee27a049fec036eaf0c8e5700870d3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 1 10:49:05 2020 +0200

    Tell tileset name or filename in scan_specfile() error messages
    
    See hrm Feature #901829
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dd832da11b0876ecfe67f677d717b0994468ee16
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 24 17:32:20 2020 +0200

    README.modpack_installer: Fix typo "is is" -> "it is"
    
    See hrm Bug #899608
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bee4710bc4a39756154a27fd4901e2cd8b6f86ed
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Sep 15 08:27:13 2020 +0200

    Validate city worker tasks.
    
    A corrupt worker task can cause corruption issues. Refuse to accept bad
    worker tasks sent over the network. Purge corrupt worker tasks that gets
    into a city via a bug or a savegame.
    
    Thanks to Marko Lindqvist for pointing out that sanitycheck.c only runs
    in debug builds.
    
    See hrm Feature #901938

commit 21ece4b53cd2edcbc27bdcb698752a69d734016f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 07:36:05 2020 +0200

    Comment typofixes for sdl- and sdl2-clients
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64a6fbb76a5f9cf756065b4f18adbb6171229425
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 3 00:26:33 2020 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 45f219ab8f2b7cc9a7f3c655b25776a63ed0a969
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 28 04:22:33 2020 +0200

    Use initials of d)epartures and a)rrivals in airlift capacity message
    
    They replace old initials of s)ource and d)estination. There's
    hoping that meaning of the new ones is a bit easier to figure out
    by end-user.
    
    Reported by Hubert Kowalewski
    
    See hrm Feature #899057
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0bc59e42bc0cda0ac10837b94c8bd470b1818580
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 24 03:51:36 2020 +0200

    Avoid returning too early in assert builds when inf_sanity_check() fails
    
    See hrm Bug #899339
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f67145a47c18865fcb8b013628b945616c7f4dea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 24 16:48:11 2020 +0200

    data/graphics/README: Drop duplicate "are"
    
    See hrm Bug #899594
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit efb3511a26ea9dc61720c21565ce5fab9d09ad08
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 17 21:48:32 2020 +0200

    mem.h: Update comment to say "exit(EXIT_FAILURE)" instead of "exit(1)"
    
    See hrm Feature #898117
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c037ffa688dee1151a9fa6b0d13a96db97bb60ea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 23 17:22:47 2020 +0200

    Tell topologies in question in map/tileset topo incompatibility error
    
    See hrm Feature #899315
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fec9cb9443ddc764575df127746bf8e057602d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 27 13:06:51 2020 +0200

    FAQ: Update latest stable version number to 2.6.2.1
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 197382566a9c7d4efc1025b288fce8b39f6a9a62
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 27 14:04:07 2020 +0200

    NEWS-2.6: Update 2.6.2.1 translation statistics
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3144a3dcbd95c3747923876a3045cea42024ad5e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 27 12:10:10 2020 +0200

    Msgmerge Spanish translation from S2_6_2
    
    Merged from S2_6_2 1f6782b3d6
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 336e13c0355c2ce95bf448ba6e86cda7db5c0edb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 19 07:07:14 2020 +0200

    Update diff_ignore
    
    - Add freeciv-gtk3.22
    - Add distribution packages compressed with zip or bz2
    
    See hrm Feature #898550
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d7da62c53456f36e97286aa86ad487b165611b7e
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Thu Nov 26 14:57:51 2020 +0100

    * Updated French translations for trunk, 3.0 & 2.6*
    * Updated INSTALL.fr for trunk (only)

commit 57c10b3f408b9ea8a11c43754bd29bec96361805
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 25 14:18:03 2020 +0200

    NEWS-2.6: Add 2.6.2.1 content
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 831e4cdba0232147c9f91444481f0dcb6c75d29e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 25 05:05:59 2020 +0200

    Comment typofix: Drop duplicate "are"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 88a9cd500fdced2f7575359003dbc78145ee35cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 24 06:06:32 2020 +0200

    Replace '0' by 'FALSE' as boolean in read_a_line() function header
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 13a66833a408b746e5e1257827c11dc28ba34513
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 14 10:03:40 2020 +0200

    Use nanosleep() instead of usleep() when possible
    
    usleep() is deprecated.
    
    See hrm Bug #896807
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 03956bc08bc97a731bffb927808d5bcd6e65f3b2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 19 00:42:12 2020 +0200

    sandbox: Document Ecclesiastical Palace as not quite a second capital
    
    Update Ecclesiastical Palace documentation to the fact that it makes
    city only a Gov_Center, not a capital.
    
    Similar change has already been done for civ2civ3.
    
    See hrm Feature #898469
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 54f44a9d2670b929e2d4f72d270b978b0f5d1d21
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 20 20:11:56 2020 +0200

    Update Polish translation
    
    Translation by Hubert Kowalewski
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 27cb329c9596bac6a91c15c8277063ee79d32be6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 16 05:57:12 2020 +0200

    Metaknowledge: Consider VUT_ROADFLAG a tile targeted requirement
    
    See hrm Bug #897490
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cdcf5dbea624c16fea235d957b3008197a0faa07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 18 23:56:53 2020 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2bd9bfb4f61426f31130e428731d4cba2f8ccfb3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 7 09:28:48 2020 +0200

    Set BUG_URL to point to freeciv-dev mailing list
    
    See hrm Feature #894573
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dda04ac54637b2984cc777fb01b19068b0211cce
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Tue Nov 17 23:48:12 2020 +0100

    Catalan translation update

commit f367e405ce3f8390b59630d49a6f683233580996
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 17 21:22:46 2020 +0200

    Remove no longer true comment about mem.c sanity_check_size()
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1af721ef185b4426338f4d93eea8929ef939cff6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 16 02:48:50 2020 +0200

    civ2civ3: Again document Ecclesiastical Palace to prevent city incite
    
    Partially revert documentation change that it's not quite second capital.
    It does prevent city incite after all.
    
    Reported by Ilkka Virta
    
    See hrm Bug #872573
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5a9cd796cda65cd07c0f67f041b0b608d6ca164e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 14 02:37:49 2020 +0200

    Bump version number to 2.6.2.90+
    
    See hrm Feature #896720
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8689b7bea87172efb0e0e50c73c0cc287a4b4f56
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 7 23:04:41 2020 +0200

    AI: Initiate the spacerace if being tech leader
    
    AI that is leading tech, and will thus alone have required tech
    for spacerace for some time, tries to take advantage of that by
    building spaceship while others are still trying to get the tech.
    
    See hrm Feature #894739
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 952e7a09146137adfbad84e6094d46f92650a712
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 7 08:22:50 2020 +0200

    gtk3/.22: Drop unused files from theme
    
    See hrm Feature #894559
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 59bfcc2c8a88248e9e078af83e5ef77d51fef6df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 8 23:59:19 2020 +0200

    Document that action_prepare_ui_name() is not thread-safe
    
    Add mention about function not being thread-safe to function header.
    Also for other similar function - action_get_tool_tip() - in actions.c
    
    See hrm Feature #895052
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c0a657c01c73d2207285a34a72ff57d3679baef1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 12 03:13:18 2020 +0200

    Comment typofix: WINACRH -> WINARCH
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5553b98faeb2b9ba3eb70a2d726437855b3d5515
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 8 15:45:42 2020 +0200

    Fix gcc-11 stringop-overread error at comparing scenario.authors fields
    
    See hrm Bug #894423
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6a1899fe9b16197da555fabd41e85fda211d1623
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 02:55:23 2020 +0300

    Fix Small Wonder impr_req for units
    
    There was a strict requirement that impr_req for unit must
    be buildable by the player, unless it's Great Wonder, for unit to
    be buildable. If player already has Small Wonder in the city, it's
    not buildable any more.
    Change this so that unit can also be built if Small Wonder is already
    built
    
    Reported by Lexxie L
    
    See hrm Bug #884993
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7e87912f6c0dc940977a0df90d5f42f1f0e5357c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 7 11:47:45 2020 +0200

    Free action ui_name string
    
    See hrm Bug #894582
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 36fd1f1f04047883687432253a33633b9c5fb547
Author: graf wasili <graf.wasili@posteo.net>
Date:   Fri Nov 6 08:43:21 2020 +0100

    Display correct tile output if celebration ends
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #885093

commit bf2d3899fe1d069027df661a67670feabd10b1f5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 6 20:58:53 2020 +0200

    sdl/2: Fix enabling buttons for activities that require target
    
    See hrm Bug #894434
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9c9bdc47fa41bacdb4aa8b1d1b88f8fa00d7d8ff
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 03:49:19 2020 +0300

    Qt: Fix hang on trade planning calculation
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #874406
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cfaf1df701194fe5c2095025d88072f493d2712f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 6 15:56:05 2020 +0200

    Comment typofix: WARRING -> WARNING
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 26d79420ce051073041100989e2122dce623d74f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 30 12:47:46 2020 +0200

    Fix clang ndebug build warnings
    
    See hrm Bug #893306
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 911cb220d029d2f1854e49189588705cc8bbb333
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 29 21:05:54 2020 +0200

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ec6548e1f17a3fb1768bb0efc5e2a1f0a88b2222
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 00:25:09 2020 +0300

    Output /write command result
    
    See hrm Feature #892376
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit eacdf4b25186533bd57ae979546db15ec6a06af4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 00:09:35 2020 +0300

    Add '.serv' extension to file created by /write
    
    Only files with '.serv' extension can be read by /read command, so
    it should always be on files created by /write.
    
    Requested by S.C. L.
    
    See hrm Bug #677584
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e00a99f40bf78edf1f32e59a47d30e0892e5f073
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 16:11:22 2020 +0300

    gtk: Adjust improvement tooltips in citydlg if they are not sellable
    
    Tooltip used to instruct improvement selling also for wonders that
    cannot se sold.
    
    Requested by Alexandro Ignatiev
    
    Patch by graf wasili
    
    See hrm Bug #885725
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 30242b74e3eee1b914072a1f50f831bd162ddd32
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 03:32:59 2020 +0300

    Use shuffled player order when placing startunits
    
    Requested by Jacob Nevins
    
    See hrm Feature #850656
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fb43fa9785a3d0c83fae079be2863c47adb1398
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 04:31:51 2020 +0300

    Clear Qt-client rally points when city is removed
    
    Requested by Zoltán Žarkov
    
    See hrm Bug #839702
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a93354500addf509e51c35a499c0dce81132ebd6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 10:40:55 2020 +0300

    Don't hide allied stealth units on seen tiles
    
    They are expected to be visible. Hiding them lead to duplicate
    unit removal from client when such a unit dies
    
    Reported by Jacob Nevins
    
    See hrm Bug #764976
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 03cb1d762e8c0fefb8196dd91e41cedfad81d5e4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 23 04:31:47 2020 +0300

    tools/Makefile.am: Look for correct gtk2 fcmp installer .desktop
    
    See hrm Bug #892377
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c4a7256b7d1bb260ce73a48157b9dd15d7bab50e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 01:23:08 2020 +0300

    Unify writing of Washington-on-the-Brazos between rulesets
    
    Reported by John E. Beach
    
    See hrm Bug #867817
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68d30c4a71fb99f1dde9319a24fc585b10e7bc26
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 22 22:38:58 2020 +0300

    Merge Chinese translation by swiftech from master
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c6b6cd0b4487811a6e17a4a1f6c87785a59fc216
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 02:21:38 2020 +0300

    Qt themes: Fix "Specified color without alpha value but alpha given"
    
    See hrm Bug #891563
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 607b0db9e2052047799a9a2f0e7feac3c6685657
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 19 05:27:05 2020 +0300

    Avoid infinite loop when phase from savegame == num phases
    
    Reported by George Koehler
    
    See hrm Bug #815196
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e5e23b3123a4d653dfaed07b3241e368f6701153
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 18 17:39:23 2020 +0300

    sdl/2: Rename unit_type *pUnit as punittype
    
    See hrm Feature #891555
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 273d4bbdc6b2e3b77984027dcee96933fdcf824e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 17 20:50:04 2020 +0300

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4cd09f9c9c8d7baf31b897d61775fba2946dfef4
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Thu Oct 15 21:18:08 2020 +0300

    Auto-close tags at the end of featured texts
    
    This prevents failure of some clients at wrong tags.
    
    See hrm Bug #887581
    
    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25adc7587c851159bb98d9896ba828766b8994a5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 13 04:09:10 2020 +0300

    Do not call mapimg_client_define() when mapimg subsystem is uninitilised
    
    Reported by Olivier Certner
    
    See hrm Bug #886678
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e20a9393366ad308c561f8e7bc669f2fa146922
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 12 11:45:54 2020 +0300

    Qt: Fix clearing of worker tasks
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #887748
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 40e1f24aa39c2539fb8f53c66d340344e6f79c85
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 8 21:04:30 2020 +0300

    sdl2: Drop unused utf8_strlen()
    
    See hrm Feature #858229
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e8dc1149c519954e056a54dd407a28b9ad7bebf8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 8 23:34:05 2020 +0300

    Make appdata ids reverse-DNS
    
    Add separate launchable entries for connecting appdata files to
    desktop files.
    
    Also rename desktop files to match reverse-DNS scheme of appdata ids
    
    See hrm Bug #853571
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c70a664cc7539110e3ba7e31f5e436dbff46bf0f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 8 21:32:33 2020 +0300

    Use past tense in Land Ahoy achievement messages
    
    The message is not shown immediately when unit sees a shore,
    but only in next turn change.
    
    Reported by Chippo Elder
    
    See hrm Bug #856804
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 983334eb1b156dbe7755a1a536f3c8b8d0facbad
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 8 18:27:31 2020 +0300

    Update diplomatic counters between alive players only
    
    This fixes problems like cease fire running out and turning to a war
    with already dead player.
    
    Reported by fomalhaut pa
    
    See hrm Bug #879055
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf1156a8cf7add49977aabf995b4db1433772495
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 7 07:35:04 2020 +0300

    Fix build with clang-11
    
    See hrm Bug #883284
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bdf716e6cd57ad3b8d6192dfd043a4c92da5e161
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 30 07:09:54 2020 +0300

    Update included lua to 5.3.6
    
    See hrm Feature #889425
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6d28d5869936cbff372fc4663dee45dc0dc2b37b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 30 11:28:35 2020 +0300

    configure.ac: Drop use of obsolete AC_HEADER_STDC
    
    Autoconf-2.70 was giving a warning about it. We didn't use its
    results anyway (with any version of autoconf).
    
    See hrm Feature #889544
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 00ffb4d40a5db6f2d8ddfaef5eced857e0261ada
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 30 11:12:19 2020 +0300

    configure.ac: Drop use of obsolete AC_HEADER_TIME
    
    Autoconf-2.70 was giving a warning about it. We didn't use its
    results anyway (with any version of autoconf).
    
    See hrm Feature #889543
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2e0bd20c5d0aa67ea17a7564738dd37eef8434bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 30 08:34:19 2020 +0300

    Fix lua-5.3 compile with gcc-10
    
    See hrm Bug #889511
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ce8af00f8da657de69bc462c6064f3c7d247f0d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 5 23:50:02 2020 +0300

    Make top 5 cities report to accurately label number of Great Wonders
    
    Make it clear that Small Wonders do not count by changing mentions
    of "wonders" to "Great Wonders"
    
    Patch by Lexxie L
    
    See hrm Bug #884474
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68bd1df005192c0b69ccdf1591adcedce980ab1a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 5 14:41:02 2020 +0300

    Fix stdinhand.c compiler warning with gcc-10 and -O3
    
    See hrm Bug #886331
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0dc10b62619d54beaf2d7ed3b7cbb07447f24e74
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 5 14:12:59 2020 +0300

    Fix cvercmp compiler warning with gcc-10 and -O3
    
    See hrm Bug #886330
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0243f75aeeb2c5aa9ea3083a741cbc1b733df677
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Thu Sep 3 16:40:11 2020 +0200

    3-way coherency check between translations

commit 10863dbcdb62ec32d2b8fb3129baf6405397eb51
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Sun Aug 2 17:07:58 2020 +0300

    Scripting: Fix segfaults with Direction objects
    
    Prevent segmentation faults in C applications due to tolua
    botched garbage collection of user objects (Direction). It also makes
    functions return same objects for same directions and nil for invalid
    directions (they hanged the application anyway).
    
    See hrm Bug #880869
    
    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit be080d1f2b457c49b3e4c5e5fd27d9285a7559a1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 2 18:46:41 2020 +0300

    Deprecation warning typofix: "instad" -> "instead"
    
    See hrm Bug #883116
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1cabdb4d2f3e07b69d1211b09380bbd68f347adc
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Sun Aug 2 16:44:37 2020 +0300

    Fix City:is_(un)happy() Lua functions in clients
    
    See hrm Bug #881951
    
    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 647c6fb68f7b0f266b0adbac10512f17ce3edb34
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 2 11:06:05 2020 +0300

    Update gettext bootstrap files to gettext-0.21 level
    
    See hrm Feature #883109
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cd69ef35b4769a579725b0346c84161b49fd81e6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 27 02:55:35 2020 +0300

    Qt: Drop multipler_rates_dialog Qt::WindowFlags parameter
    
    See hrm Bug #882483
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b0066033089a3d8ff067e72b863742387a4b2c1b
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Mon Jul 27 22:16:49 2020 +0200

    Updated French translations :
    - action enablers
    - improved cross-branches coherency

commit 40f3d72484bf50e96d2447d718266a53fdcb2520
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 26 01:41:07 2020 +0300

    Update gettext bootstrap files to gettext-0.20.2 level
    
    See hrm Feature #882434
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2ecb4a6be5a6416efebbe354608eb1561385b394
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Jul 16 15:02:58 2020 +0200

    README.msys2: fix package name spelling.
    
    See hrm Bug #881455

commit add0b60c8d5a63b80f6015e1007de5ea1e31d503
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Sep 13 11:55:11 2018 +0200

    HACKING: Explain what an "action" is.
    
    Explain that the action concept shouldn't be muddled.
    
    See hrm Feature #880508

commit 8d1b17f028a670cab3805afe4d96ccf736677b4f
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Jul 1 23:37:51 2020 +0200

    illegal_action(): fix explanation finding order.
    
    Punishing a unit changes its state. This state change can make the action
    illegal for other reasons than the real reason why it was illegal. The
    reason why the action was illegal must therefore be found before the
    punishment is applied.
    
    Looking for an explanation why the action was illegal after the unit was
    punished can also crash the server if the unit is killed.
    
    See hrm Bug #879880

commit 6c6f8033ea44e9de5aed70500021d38894ed2f14
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Fri Jul 3 22:43:55 2020 +0200

    Updating Catalan translation

commit 76c202e450b31606c94d6b43273d5afb035f5451
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Jun 25 14:18:40 2020 +0200

    Introduce action_prob_unit_vs_tgt(),
    
    an action probability finder that picks the target to evaluate against
    based on what the action in question wants.
    
    See hrm Feature #879100

commit 06e05c59c2863c011641c6d497f76c997bbf783b
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Jun 25 12:53:30 2020 +0200

    Refresh non fogged borders on player map load.
    
    The tile owner isn't read when loading a tile from a save player map
    unless  foggedborders is on. Set it during the player map repair
    phase of the savegame loading.
    
    See hrm Bug #879084

commit 3ae5bc1543ba1df405d21744c410701ce6812963
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Jun 16 09:40:10 2020 +0200

    universal_fulfills_requirement: support CityTile.
    
    Add a universal_found_function for tile properties.
    
    See hrm Feature #877780

commit a145ec01c92281edb01bb9b8e52b0c41b41d7c41
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 10 13:53:25 2020 +0300

    Fix api_game_methods.c return types
    
    Several functions in api_game_methods.c were returning
    in LUASCRIPT_CHECK_STATE() failure cases returning wrong type
    of value. Non-pointer functions were returning NULL, and non-boolean
    functions returning FALSE.
    
    See hrm Bug #871688
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2403878cf808ea40e6f067538c72f7cabc7e2df5
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Jun 26 12:11:41 2018 +0200

    order_recursive_roads(): check for existing road.
    
    There is no need to order a road that already is there built.
    
    See hrm Feature #876088

commit 89ccb743656bdb5e2dc2f3ca80c0ba4b56a091f7
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 26 21:53:36 2020 +0200

    README.actions: mention gold theft effects.
    
    See hrm Feature #875196

commit 40690fa2e5ae417a235c38230b8c34266aaf1e91
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 21 01:08:08 2020 +0300

    AI: Fix illegal read on EFT_DEFEND_BONUS evaluation with ocean cities
    
    See hrm Bug #874452
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 401718a85134a63a75938ebff111816c7c86cd64
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri May 22 09:10:22 2020 +0200

    Standardize extra action selection dialog info.
    
    The additional details that appears next to the probability of success on the
    action selection dialog buttons gives action specific information.
    
    The Qt client and the GTK clients used to show remaining shields of the
    current production for "Help Wonder". The SDL 2 client used to show estimated
    recurring revenue for "Establish Trade Route" and estimated one time bonus
    for "Establish Trade Route" and "Enter Marketplace".
    
    Have them all show everything.
    
    See hrm Feature #874621

commit a9144b100c8b3a1891dfb4b51abaccefab7cfe6b
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu May 21 00:30:20 2020 +0200

    action_prepare_ui_name(): free chance.
    
    Reported by Marko Lindqvist
    
    See hrm Bug #872662

commit e725f580a2ca2d06984475e19eebd3de9f1331a8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 19 10:07:12 2020 +0300

    Do end_phase() research updates for alive players only
    
    See hrm Bug #873692
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 491356777aaaebbfac60645800084967e9474f7b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 3 00:42:27 2020 +0300

    Return FALSE instead of NULL from api_edit_unleash_barbarians()
    
    See hrm Bug #871686
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5528bdeeef6a14fe3a76155ef9f10d1aabc8d452
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 20 09:06:32 2020 +0300

    Gtk: Add the city's size to the Info Panel of the City dialog
    
    Clenup the field enums while at it.
    
    Patch by John Robertson
    
    See hrm Feature #872815
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b30d45f9582acdb2efc97249ffe402dada5b3e8c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 19 11:13:51 2020 +0300

    README.effects: Document meaning of value of Airlift effect
    
    See hrm Bug #874123
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e1160380972228801e52d05ab09362d3e7d9bae
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 7 16:26:55 2020 +0300

    AI: Want units that can occupy already empty enemy city
    
    High want for unit to occupy enemy city was given only when
    also defenders of the enemy city were about to be attacked.
    This ignored the case where there was no defenders in the
    city to attack against, i.e., when city was empty to begin with.
    
    See hrm Bug #872220
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fe47194d8918d9834cb84ca26f23a5fa65f090b5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 10 00:49:10 2020 +0300

    civ2civ3: Document Ecclesiastical Palace as not quite a second capital
    
    Update Ecclesiastical Palace documentation to the fact that it makes
    city only a Gov_Center, not an capital.
    
    See hrm Bug #872573
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 95645705ddeae79f9a652d6f00134e0e46b93dbc
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon May 18 19:27:39 2020 +0200

    free_unit_orders(): set orders.length to 0.
    
    When a unit don't have orders the length of its orders list is 0.
    
    See hrm Feature #874191

commit 04371a2621278b47eda36f57ae71b58da8930c9a
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 12 11:28:43 2020 +0200

    can_remove_extra(): make all parameters const.
    
    The only remaining non constant parameter was pextra.
    
    See hrm Feature #872904

commit 68da1cf2b3b4c0c75de3afd90d459b8ba6309acc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 2 19:55:22 2020 +0300

    Correctly set use_prev_server client option to FALSE instead of NULL
    
    See hrm Bug #871676
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c6a7b0f530a64c64548b70219d7c8263e4d4a861
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon May 11 15:16:40 2020 +0200

    Comment fact fixes.
    
    * Starting with 3.0 actions aren't only about special abilities.
    * The unit being marked as wanting an action decision doesn't pop up an
      action selection dialog by itself.
    * The client doesn't always show an action selection dialog in response to
      getting a list of potentially legal actions. The Qt client has default
      actions based on target type.

commit cf3467e99bcc1f0518adbad3fc3122329e43b844
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 2 22:18:04 2020 +0300

    get_activity_text(): Return "Mine" as name of ACTIVITY_MINE
    
    This reverts making untargeted Mine activity to happen under
    name "Plant".
    The problem was that sometimes activity, that is
    actually targeted, defaults to the name of the untargeted
    activity.
    
    Reported by Jacob Nevins
    
    See hrm Bug #853128
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0d7d1e149cc231d056ba0a0d093d1a172a42914c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 7 16:14:59 2020 +0300

    AI: Handle settler_evaluate_improvements() result as adv_want, not int
    
    See hrm Bug #872193
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d9f0aacc3173c52032a7bbb6066ee8e827bb63f
Author: Zeko <zeko@freeciv.xyz>
Date:   Tue May 5 13:17:06 2020 -0700

    Set player tile owner whenever tile knowledge is updated
    
    See hrm #846106

commit d19e2f26e02219c2d2d8d885b04da1b1fde39a70
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 5 11:07:06 2020 +0300

    Set GDK_VERSION_MAX_ALLOWED for gtk3.22-client
    
    Set also GLIB_VERSION_MAX_ALLOWED.
    
    See hrm Feature #871873
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8a130a311fda7a0233c641c4fbf93f6ea98f6194
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Apr 28 23:51:33 2020 +0300

    Rulesave: Save actual terrain_control.pythagorean_diagonal value
    
    It had hardcoded assumption that when the value is not default, TRUE
    should be saved. That was true for the current value of
    RS_DEFAULT_PYTHAGOREAN_DIAGONAL, but wouldn't adjust to changes in
    default.
    
    See hrm Bug #871296
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c9de11a0f99a67652773158c91ae7a30c5706d22
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 1 17:05:15 2020 +0300

    reality_check_city() trade partners when trade route established
    
    Establishing a trade route reveals the partner cities, and their tiles.
    If the partner city is founded on the ruins of a former city that
    is still in player's plrtile, that former city must be cleared out
    by reality_check_city().
    
    See hrm Bug #871606
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f36c6eeb29abdd6b1ea3a0fb1f99f2abe8fb9a7d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 29 06:51:20 2020 +0300

    Qt: Uncomment Qt version display in build info
    
    See hrm Feature #871307
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit af265bb5558163b8fb8f8fa8140aa3102f1f0f4e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 23 12:44:54 2020 +0300

    Drop R. Daniel Markstedt from the list of present administrators
    
    See hrm Feature #870391
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2d73421c54c8a9c04e96841bcd5310e97f80c6d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Apr 27 03:43:56 2020 +0300

    Set -Wno-deprecated-declarations to CXXFLAGS of --enable-debug builds
    
    Newer Qt versions than our minimum requirement gives
    deprecated-declarations warnings that we can't yet fix.
    In --enable-debug builds -Werror was turning those warnings to errors.
    
    See hrm Bug #870968
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 397d388c1d6f56f42e8fad097dc0958f15ddcc42
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 29 09:26:58 2020 +0300

    Msys2: Create ShortCut from Start Menu to doc/freeciv
    
    See hrm Feature #871297
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6b564a00c9650d4486294f944822344fb3601374
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 24 04:28:20 2020 +0300

    Fix caravan_evaluate_withtransit() result setting
    
    The function was only initializing the result. It didn't pass
    the result pointer to the callback that is supposed to actually
    set it.
    
    See hrm Bug #870482
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f0089dcf4d03cc293ba26e6b87b08e1588d35bf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 29 09:39:25 2020 +0300

    Msys1: Create ShortCut from Start Menu to doc/freeciv
    
    See hrm Feature #871325
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7883a846a875b209cccafe6f3bb219eded819291
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 13:10:43 2020 +0300

    Qt: Make mr_idle::callback_list private
    
    See hrm Feature #870178
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a16307e60399d5d1d74f861c528aed42edddc387
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 24 03:58:33 2020 +0300

    mapimg_colortest(): Fix compiler warning with -O3
    
    See hrm Bug #870481
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e62882327cc7fd452a79bb113d951227574bbf1a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 04:28:04 2020 +0300

    is_tile_units_in_range(): Rename maxUnits as max_units
    
    See hrm Feature #870142
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7e68780ec2d28286df85b1a37b9ff615e8087ca8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 13:52:11 2020 +0300

    Qt: Fix plrdialog crash when selected player has no research selected
    
    The crash also required that client is not attached to a player.
    That can happen at least when it's global observer.
    
    Reported by Chippo Elder
    
    See hrm Bug #863815
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cdbdff0215b71dfc1d408546158880c30610a97a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 17:11:49 2020 +0300

    Fix Qt-client crash on timeout label update
    
    Qt-client was calling its new turn setup functionality
    from timeout label update if turn number had changed since the
    previous update. Timeout label gets updated at times when
    client state is not suitable for those new turn setup actions,
    sometimes leading to a crash.
    
    Call Qt-client new turn setup function by generic
    gui interface instead. New callback is added for this goal,
    called from new turn packet handling.
    
    Crashes reported by Chippo Elder
    
    See hrm Bug #857974 and Bug #858251
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25db9b0a7ff7d2ed8010e214965d9d4716e7c0e3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 06:00:21 2020 +0300

    debug.m4: Set always-active compiler flags last, not first
    
    This way they override other flags that might affect same things.
    Especially this makes specific -Wno-xxx flags to override -Wall, and not
    the other way around.
    
    This fixes compile with clang-10
    
    See hrm Bug #868533
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b4f0213bb672e5de5bc3b6c6846a347ad38eaf55
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 18 00:43:29 2020 +0300

    README.effects: Correct typo "MinMoveFargs" as "MinMoveFrags"
    
    See hrm Bug #869737
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 793abfd241498ec3451a7a1e20545bb537b31f89
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon Apr 20 23:00:58 2020 +0200

    "Paradrop Unit" to unconquerable city kills unit.
    
    Kill a unit that tries to paradrop to a non allied city it can't conquer.
    
    See hrm Bug #870004

commit d6bda807576c77cbca4a2e5b336296fdbe8851a1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 12:37:43 2020 +0300

    Comment typofix: callabcks -> callbacks
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c935470e4e4d11bd7a184da79383d5d30c809e56
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 18 23:01:47 2020 +0300

    Qt: Avoid division by zero in chatline default_size()
    
    Reported by Chippo Elder
    
    See hrm Bug #863839
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit effcce6b9eaa1526aca61362273ff1dcf7fda73a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 17 04:13:41 2020 +0300

    sdl2: Drop nation legend display from races dialog main view
    
    Only a couple of words of the legend fit there at best. Sometimes
    it gave an error when even one line did not fit.
    Complete legends are available via right-click dialog.
    
    In sdl-client part of the code to show the legend was already
    commented out, so there's no functional change to it, only cleanup.
    
    Reported by Chippo Elder
    
    See hrm Bug #858718
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 42e33648e337eef345039d9a83553b5e76fbf002
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 18 22:27:00 2020 +0300

    Comment typofix: numer -> number
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 90f119eaf4ee6e3b4efd55bd98013823409a9ed8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 16 09:42:12 2020 +0300

    HACKING: Replace list of --enable-debug set flags with reference to debug.m4
    
    The list was outdated. Let's not try to maintain it, but tell user
    to check from the master list.
    
    See hrm Bug #855637
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 84a3a5230595c40d53e63d3a113767b91433a31c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 16 09:10:12 2020 +0300

    Qt: Do not try to show enemy move points
    
    Reported by Chippo Elder
    
    See hrm  Bug #857638
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5cd287f5bc88ffa41073a600ffbe98cf05753679
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 17 01:45:58 2020 +0300

    AI: Want cities more when getting them would mean finishing enemy off
    
    Add an bonus to city want when the enemy in question has only a couple
    of cities left in total.
    
    Requested by Anton Körbchen
    
    See hrm Bug #855339
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 11d09599b15f36e23e7b4c5ccb5c57a61691b862
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 16 08:45:25 2020 +0300

    Improve documentation of "Nationality" requirement type
    
    Requested by Lexxie
    
    See hrm Bug #857353
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4dcf96b1877507350b332349fe083a5bbecd7875
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 15 20:56:04 2020 +0300

    Comment typofix: evalutaion -> evaluation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 49bc80e09d4f0aae1c8b3594d95047a995812d4a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Apr 13 21:35:54 2020 +0300

    Qt: Extend lifetime of QByteArrays when their data() is later used
    
    Replace temporary QByteArrays with ones stored in variables so that
    their content returned by data() stays valid as long as its referenced.
    
    See hrm Bug #859139
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f5808f41278664008d4e385896a957a13f34592b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 12 17:15:01 2020 +0300

    Fix division by zero when transforming unit with zero move_rate
    
    Reported by soundnfury
    
    See hrm Bug #868905
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e2cfc97e7e948eaf0152612849bc479dc0c8f79
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 10 15:13:34 2020 +0300

    Improve coding style of the generated code
    
    See hrm Feature #868649
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 666bd268678287cc2916dc0ce5930c7596ff7ef5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 9 16:28:23 2020 +0300

    INSTALL: Note msys2 in addition to msys1 and cygwin in Windows notes
    
    See hrm Feature #868505
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a0e2be8e48028401d2818ed6f351b08362d14c4a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Apr 7 13:22:14 2020 +0300

    Include <QPainterPath> where needed
    
    This fixes Qt-client build on OpenEmbedded
    
    See hrm Bug #868060
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit edd4b5cfe118940595c89dafdc6eea34ec44d889
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Apr 6 07:05:09 2020 +0300

    Fix msys Qt-client build
    
    See hrm Bug #863755
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea6f58f18cbcb2e1674422678f0a718e2bccb81a
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Mar 13 03:09:47 2020 +0100

    Show correct name for the Claimed CityTile req.
    
    Freeciv 2.6 introduced the CityTile value "Claimed" in addition to the old
    value "Center". The function universal_name_translation() assumed that
    CityTile still only could be Center.
    
    Update universal_name_translation() so it checks the value and returns a
    matching text.
    
    See hrm Bug #864579

commit c265981fdc6866d42cffadf4519862eab309ecc1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 7 10:03:37 2020 +0200

    Revert "Enable -Wold-style-definition with --enable-debug"
    
    This reverts commit a8f59b146cca4b81a14ce8dae649a6dfc3ce84e8.
    
    It was causing some configure time function availability checks,
    notably that of _mkdir(), to fail when they should not.
    
    See hrm Bug #863322

commit dbe21626d87f5d5ab6f05b30ca46babff269cd8f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Mar 7 15:21:55 2020 +0000

    Qt: fix "Gold: 178 (+-2)" on turn change display
    
    See hrm bug #863755.

commit bf813d334ffa4334deec7613447af825992741dd
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Mar 7 15:01:38 2020 +0000

    Undefined behaviour in specvec copy when size==0
    
    Found by UBSan (gcc -fsanitize=undefined), in the context of loading
    classic ruleset specialists' empty reqs vector. Not known to cause
    visible symptoms.
    
    See hrm bug #863750.

commit 0869a6c5e53c41df5f552969eb5073faf4354768
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Feb 26 00:41:58 2020 +0100

    actions.c: sort imports.
    
    See hrm Bug #861875

commit 8340d2ab1567fd141a45c163e063ad7a3b277733
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Feb 25 23:19:16 2020 +0000

    Qt: tweak irrigation/mining UI hardcoding
    
    Similar to how SDL clients were changed recently.
    
    See hrm bug #861867.

commit 2a3757ff3ffe8fa4dc863114ac84d57672cb50a6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Mar 1 16:31:51 2020 +0000

    Gtk3.x: fog_style "Auto" was too dark
    
    Fix it to (roughly) match the Gtk2 client (65% of normal).
    
    See hrm bug #862511.

commit d6c60cc9cc98f7e9b7aa7773160d469737d641ed
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Mar 1 14:17:31 2020 +0000

    Correct comment in Gtk2 fog_sprite()
    
    The percentage has been wrong since 469841a34c in 2005.

commit efeffaba274f0c74007c1fc62858954759a883f0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Feb 28 18:26:46 2020 +0000

    Updated Spanish translation by Jordi Negrevernis i Font
    
    freeciv: 99.8%: 7185 translated, 8 fuzzy, 9 untranslated.
    nations: 100%: 1843 translated.
    ruledit: 100%: 57 translated.

commit db8d75188cc5ea1d16cccef00f87669262948685
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Feb 25 14:15:11 2020 +0100

    Action probability for "Poison City".
    
    Calculate action probability for "Poison City" and for "Poison City Escape".
    Will almost always be unknown because of potential invisible diplomatic
    defenders.
    
    See hrm Feature #861827

commit fa5bfc1d5c471a3a25dc180a126efa435d651a5d
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Feb 25 14:11:30 2020 +0100

    ap_diplomat_battle(): support unseen defenders.
    
    Don't assume that all potential diplomatic defenders are visible when
    calculating action probability. This makes it possible to use it in more
    actions without leaking information.
    
    See hrm Feature #861825

commit 406b7950e6a4b9bf6f2453929b21f3c02f0dc848
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 12:39:09 2020 +0000

    SDL: show turns / result of bases/cleaning
    
    In the order button tooltips for Fortress, Airbase, Pollution, and
    Fallout, show which extra they would affect and how long it will take to
    complete the activity.
    
    See hrm feature #861501.

commit 21d9c83a3a515e81c4390a925fde85bd0dc09a7a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 16:26:51 2020 +0000

    SDL: remove never-used order tooltip strings
    
    These were overwritten by context-sensitive strings before anyone could
    see them.
    
    See hrm bug #861500.

commit ef6b5927bd943c283c3a7637ac95b8930b8c0b66
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 12:52:07 2020 +0000

    Remove traces of auto-attack order in SDL clients
    
    This was functionally dead code.
    
    See hrm bug #861499.

commit 93b194dbeaa72454894e28fb25e9aee0b142e3ea
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 16:30:10 2020 +0000

    SDL/2 order button turn estimates were very wrong
    
    The time to completion reported in the tooltip on buttons like
    irrigation did not take into account unit activity rate, so were too
    pessimistic by at least ACTIVITY_FACTOR (10x).
    
    (This change adds a general function turns_to_activity_done() which
    accurately calculates how long an activity would take to complete if a
    given unit were to start work on it now.)
    
    See hrm bug #861460.

commit a06a58c0881e398310f310c3068df37d86a9ae73
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 15:10:09 2020 +0000

    Fix middle-click popup for some complex rulesets
    
    In a hypothetical custom ruleset where different activities could cause
    creation or removal of a single extra, the middle-click tile info popup
    got very confused about the activities and their completion time if
    those two activities were ongoing on a tile simultaneously.
    
    Also, split out the turn calculation to a separate function, as I'm
    about to need it for something else.
    
    See hrm bug #861509.

commit 0a75c5ea1bba9ffe638f51c53d60192d1263b45d
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 14:48:28 2020 +0000

    Don't prevent pillaging of nuisance/hut extras
    
    It was possible to give extras with cause "Pollution"/"Fallout"/"Hut" an
    rmcauses of "Pillage" in a custom ruleset, but actually issuing a
    pillage order did nothing.
    
    See hrm bug #861508.

commit ed28fbeb85e884f7344e460d7b05cd21f71f045f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 10:59:10 2020 +0000

    Improve SDL/2 mining/irrigation UI hardcoding
    
    It still has some hardcoding that works best with rulesets like
    'classic', but it should adapt a bit better to different rulesets now.
    
    See hrm feature #861498.

commit 3d0df6f94da2903c712756c0797bd6caca88d387
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 23 13:00:02 2020 +0000

    SDL/2: make fortress/airbase keys as documented
    
    In 2.6, the keys were supposed to become Shift+F/Shift+E respectively.
    Gna patch #5076 claimed to fix this, but it only changed the UI text;
    the actual recognised keyboard shortcuts were still unshifted.
    
    See hrm bug #861497.

commit e177e7c716a50acd23c523e58b9f0beaa27d4140
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 22 15:26:30 2020 +0000

    SDL/2: pluralise worklist length message
    
    See hrm bug #861462.

commit a26ff42668e5e342bc55161c9bcc684b438d7e9e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 22 22:23:44 2020 +0000

    SDL/2 climate change icons not updated sometimes
    
    See hrm bug #861479.

commit dbbe457e4fb820fa98999b2591ffca288268bd5e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 22 22:23:19 2020 +0000

    SDL/2 worklist UI not reliably refreshed
    
    See hrm bug #861461.

commit 3d96e7d5b522efc88f712e3924a19e9642f68ecd
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 22 20:56:36 2020 +0000

    SDL/2: explain what a gui_layer is
    
    And how a widget's coordinates relate to it.

commit 08097fc1a4c080a84e84684e56a9b568247ee1a8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Feb 20 00:44:49 2020 +0000

    Gtk: don't default to merged messages/chat layout
    
    It's not a very friendly default for new players.
    
    Gtk3+ can still default to it on first run, if they determine the
    screen to be small. (Regardless of any Gtk2 setting that exists.)
    
    See hrm feature #860624.

commit 88356b84f540169bd4641d504fcd47a5c29ccd5a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Feb 19 22:58:42 2020 +0000

    Fix comments around gui_gtk_message_chat_location
    
    I'm not sure whether the comment that these options' default was ignored
    was true when I wrote it in 2010; but it's certainly not true now.

commit f3042e63228bbbdec3cf5449d5dc88510478c8ec
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Feb 12 11:01:28 2020 +0100

    ap_diplomat_battle(): indention fix.
    
    Fix misleading indention.
    
    See hrm Bug #859775

commit 7fcfba149e77c49d29dc077a55f1d754120753a1
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Feb 12 10:01:06 2020 +0100

    ap_diplomat_battle(): stop assuming unit target.
    
    Stop assuming that the target kind of the actions ap_diplomat_battle() checks
    the diplomatic battle probability off is individual units.
    
    See hrm Feature #859761

commit 48c8da2fb55d5d7759905a6a94a898e25d670b42
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Feb 6 16:56:56 2020 +0100

    Display airlift capacity in the city dialog.
    
    Make the Qt client and the GTK clients display the city's current airlifting
    capacity in their city dialog.
    
    See hrm Feature #858965

commit 6c10c9480a6fc2d30e2cbcbe30dd994dd97b47fb
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Feb 6 18:37:24 2020 +0100

    Comment clarification

commit 1b5291459466be00f300204d244ec9bcaedf737c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 14 06:07:49 2020 +0200

    Qt: Correct capitalization of the Map Image file name
    
    See hrm Bug #860076
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 91d5eab36b8c4b60666256a51783ba3bb6c367d6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:49:31 2020 +0000

    Mark as development code

commit c97f4f63b52dbfdf055ded09bb88322e8a443c54
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:47:18 2020 +0000

    Refresh ChangeLog for 2.6.2 release

commit cdf9437e1c3b7bbc3212e3a647c72945512e86a8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:44:57 2020 +0000

    Bump version number and mark as release code

commit 22a4a987b4c5a254fb7262eb1c0dc1d94f42f677
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:40:57 2020 +0000

    Refresh NEWS-2.6 for 2.6.2, from wiki

commit a56e633afe27365d35aa79bc4149e4df853efa41
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:40:45 2020 +0000

    Cross-reference NEWS-2.6 from NEWS

commit 069fe8a50d6803c63cd3b97ac7f3df25b3027038
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 15:37:01 2020 +0000

    Update version numbers in FAQ

commit c945337ab9762c454c0933c71388d7efad792f33
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 15 14:08:49 2020 +0000

    Results of running 'make update-po'
    
    in translations/{freeciv,nations,ruledit}/

commit 07a6666fa5c7394c1ad304f7b34aebdb966d39a5
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Fri Feb 14 22:02:25 2020 +0100

    Updated French translations
    Started coherency check among branches, but too late to make it for 2.6.2 - It will be finished later...
    Also tried to be more consistent with the capitalization policy of the English strings : capitalized unit, tiles & government names.

commit 76d90bd2b6465b45064ee5fb72a3d7d45654e12d
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Fri Feb 14 16:23:49 2020 +0500

    Update for Russian translation.

commit c6c081ae78e2187df5549fc7fad2045129f7a8dc
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Thu Feb 13 12:58:43 2020 +0500

    Update for Russian translation.

commit 8c7e17f2f27173b8f50df1c81b82780cfebeb753
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Feb 11 17:54:50 2020 +0200

    Update Finnish translation of ruledit domain
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5210e3f32450bba0b7c6f63f0c96e8e210f8a29f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Feb 11 09:54:08 2020 +0000

    Updated Polish translation by Hubert Kowalewski
    
    Received in email 2020-02-10.
    freeciv: 100%: 7187 translated.
    nations: 100%: 1843 translated.
    ruledit: 100%: 57 translated.
    
    (This fixes the UTF-8 msgid confusion in the previous update.)

commit 08a6f85949b66d7bfda6272027141afc6450fb46
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 9 13:32:17 2020 +0000

    GUI modpack installers: fix message display
    
    Some messages were allocated on the stack in frontend-independent code
    and being passed to another thread and accessed after they went out of
    scope.
    
    Reported by Chippo Elder.
    
    See hrm bug #858823.

commit 6e2dc283079e97da9e05a19da2f8a70aaaa9f7ca
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 8 22:46:35 2020 +0200

    citydlg_common.c: Include stdarg.h
    
    See hrm Bug #859209
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 384e909390e7279d6f20786c016d5da57e028807
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 8 13:02:31 2020 +0000

    Gtk3.22: set size request on unit buttons
    
    To stop the main view jumping around when the size of the unit stack
    changes (with wide tilesets such as hex ones).
    
    See hrm bug #858871.

commit 3cc3a0dcddf9eaf1b4caef9eab4d68b14f13d68b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 7 21:08:38 2020 +0200

    Qt: Fix heap-use-after-free in nations dialog
    
    Reported by Chippo Elder
    
    See hrm Bug #858212
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4135b2b203f28878013ff88cab90c1d9e4ef8093
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Sat Feb 8 20:12:42 2020 +0100

    Update Catalan translation

commit 9c00b2e35d7ac1d379f00bdb04c177b0d533e51d
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 8 18:26:37 2020 +0000

    TRANS comments about leading spaces

commit fffb0a8434d3f87e789ab0991a278cede2ba2451
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 8 15:37:54 2020 +0000

    Updated Finnish translation
    
    From Sini Ruohomaa.
    freeciv: 100%: 7187 translated.

commit 8567107628017ea3148284aca94626b291d8a2b6
Merge: e99d3192a6 e4405d9d20
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Sat Feb 8 12:58:09 2020 +0100

    Merge branch 'S2_6' of github.com:freeciv/freeciv into S2_6

commit e99d3192a636f8f483af8a6138a290f30bcf4b59
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Sat Feb 8 12:57:43 2020 +0100

    Update for Catalan translation

commit e4405d9d20130629e60201f25bbb0fbc2e84f3d6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Feb 6 00:52:51 2020 +0000

    Fix player colours when ruleset overrides tileset
    
    When a ruleset's suggested tileset was accepted (automatically or by the
    user), the parts of the tileset depending on player colours weren't
    reliably being initialised, leading to effects like no visible borders
    and assertion failures when trying to draw them.
    
    Reported by Chippo Elder.
    
    See hrm bug #858072.

commit a5900b6cb2d102ba2db9aec09e139ba40b98a5ec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 3 01:13:57 2020 +0200

    Do not unqueue mapview updates when tileset is not fully loaded
    
    Timer initiated unqueue was sometimes crashing in the middle of
    a tileset change.
    
    Reported by Chippo Elder
    
    See hrm Bug #858069
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b5d01adc0a650f1ddbafe95fcae7fc7482c8a8c6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Feb 6 23:43:50 2020 +0000

    Partial update of en_GB translation
    
    freeciv: 95.6%: 6871 translated, 233 fuzzy, 83 untranslated.

commit 9bb782982bee0f0e7a42bba17f82c63e4a958026
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Feb 3 21:38:16 2020 +0000

    TRANS comment about tileset types

commit dc5cf585ff57908748197cf06df9625676171d4a
Author: Louis Moureaux <m_louis30@yahoo.com>
Date:   Mon Feb 3 21:12:47 2020 +0100

    Fix crashes in Qt client side rally points
    
    Neither the original city nor the target tile were checked for
    existence. Both were stored as pointers that could become invalidated.
    
    Use ids instead of pointers and check that the city and tile exist.
    
    See hrm bug #830553.

commit 581ff73b91727e88a392bc296d8fb87ad5d0a0d6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 3 00:27:59 2020 +0200

    Fix ghost unit issue when unit is loaded to an transport on the same tile
    
    Reported by Chippo Elder
    
    See hrm Bug #858214
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d16c96466229f7311c3eb34b1f80551c007f6b25
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 16:34:45 2020 +0000

    Tweak topology-related strings
    
    Standardise on "overhead" as terminology for non-iso, non-hex maps; get
    rid of notion of topology 'index', now that setting is a bitfield; etc.
    
    See hrm bug #858226.

commit 952f675132ae3bda08c2d2f62ccb19abbef86d76
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 3 01:08:30 2020 +0200

    Fix error message typo; "reparing" -> "repairing"
    
    See hrm Bug #858243
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25f6cf7a54d82f2e8244fa1dffb565aa87632090
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 16:34:50 2020 +0000

    A few miscellaneous string tweaks
    
    Including moving toward standardising on referring to action names as
    "do %s", rather than assuming they all have a main-verb-like form.
    ("You're Fired" does not, and "Recycle Unit" is dubious in some
    contexts.)
    
    See hrm bug #689474.

commit 83abc22a6866a4f144d195ac9196748a70cdf552
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 22:24:14 2020 +0000

    Rework GUI option migration
    
     - Don't try to migrate anything on first run. (This was probably
       harmless, but unnecessary.)
    
     - On first boot of a client, mark all migrations relevant to it as
       done, so that they can't accidentally trigger on subsequent runs.
       (For instance, if the user explicitly enabled full-screen on first
       run, migrate_options_from_2_5() could clobber it back to FALSE on the
       second run.)
    
     - Avoid an enabled fullscreen setting from pre-2.6 Gtk2 leaking though
       to Gtk3.x; as with migration from 2.6+ Gtk2, we want to start again
       from defaults for this setting.
    
     - In the Gtk3.22 client, migrate a pre-2.6 fullscreen preference that
       would have affected the pre-2.6 Gtk3 client (if there is no newer
       Gtk3-specific fullscreen preference).
    
    See hrm bug #858208.

commit 3c36cc7ce3e26d45961eade50677c9f5d86717b5
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 22:23:14 2020 +0000

    Don't migrate small_display_layout Gtk2->Gtk3
    
    The Gtk3 clients may decide to override it to TRUE anyway, but if they
    don't, we don't want a TRUE from Gtk2 leaking through anyway; we want it
    to be freshly evaluated, as for a fresh boot of the Gtk3 client(s).
    (The same as the 'fullscreen' setting already is.)
    
    See hrm bug #765941.

commit d823068f659394754f7c89c2cf54662d849fc4ab
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 21:52:08 2020 +0000

    Abolish client_option_adjust_defaults()
    
    The only client that was using this GUI-independent mechanism was Gtk,
    and it was being called too early to actually work properly for Gtk.
    
    Remove the nominally client-independent interface, and instead do the
    Gtk adjustments at the same time as option migrations.
    
    This fixes two problems with the Gtk screen-size-dependent adjustment:
     - It was attempting to determine screen size before gtk_init(),
       which caused a return of 0 (unknown), so it would not actually adjust
       anything.
     - It was adjusting options before the GUI-dependent command-line
       options had been processed, so "-- --resolution" could not affect the
       adjusted behaviour.
    
    See hrm bug #858203.

commit f8ae3d12dad5641a65f43fcf4b18b12b2170ca24
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 21:27:39 2020 +0000

    Gtk: don't default to small screen layout
    
    Gtk3.x clients will now enable the small layout on first run if they can
    determine that the screen is <1024px high (previously it was the other
    way round).
    
    Gtk2 client will now always start with normal layout on first run.
    
    Add a bit more logging to the area.
    
    See hrm feature #858179.

commit 63283532a603aa77a41cc0bbe25bedebf338a1d7
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 18:52:17 2020 +0000

    Gtk3.22: adapt to screen size
    
    Enable all the mechanisms that the Gtk3 client has to adapt to screen
    size, using the primary monitor of the default display (if available).
    
    See hrm feature #858202.

commit e3f540b15deb6e248c74a312c5bf901a1f05cac1
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 21:52:44 2020 +0000

    Treat client rc load failure same as first run
    
    Since it uses defaults, just the same as when no rc file was found.
    
    This also applies if a path to a non-existent file was specified with
    the FREECIV_OPT environment variable, causing creation of a fresh one.
    
    This change has little practical effect right now. It causes the Gtk3
    dynamic option adjustments to be invoked, but they don't actually do
    anything right now. It suppresses some spurious "Migrating [...] from
    freeciv-2.5 options" messages (the actual migration had no effect).
    
    See hrm bug #857675.

commit ac895ece069be5692dd6cd6ec58012d34017dc3a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 02:28:07 2020 +0000

    Fix defaults for migration_gtk2/gtk3_from_2_5
    
    They were swapped. This might have caused a user full-screen preference
    to be clobbered in some obscure sequence of different Gtk client starts
    after upgrading or starting with 2.6.
    
    See hrm bug #858207.

commit 7c30e20232f666be89818f929ea342f6278d905f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 29 12:36:55 2019 +0000

    Clarify description of 'mgr_distance' setting
    
    After reports by Corbeau and Ignatus on the forum.
    
    See hrm bug #854305.

commit 48de5d8882e9226cde7aa967f6c417685ca0e4cc
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 14:40:52 2020 +0000

    Correct help about city defense bonus
    
    Reported by 'fomalhaut pa', fix suggested by Marko Lindqvist.
    
    See hrm bug #763061.

commit 21c0da28d7c360f7d1724e34b53592e1254099a1
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Feb 1 14:26:13 2020 +0000

    Describe worker tasks in online help
    
    Requested by Marko Lindqvist.
    
    See hrm feature #657405.

commit ec0f40dcfb49b1d5efea29ec2895c70e87b023fc
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 15:10:05 2020 +0000

    Add missing toonhex.tilespec to POTFILES

commit 869ae29eca4079f33af08563c14d9c7407508bd6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 15:08:58 2020 +0000

    Alphabetically sort tilespec files in POTFILES
    
    No functional change.

commit b29d76e07584cb0dcedf9b58efba2f522cbc5002
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Feb 2 11:22:15 2020 +0000

    Miscellaneous TRANS comments

commit 0463e938019b8f5b1ea8f57f55579202d50cdfde
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 30 17:45:23 2020 +0200

    qt: Properly NULL-terminate gfx file extension list
    
    Reported by Chippo Elder
    
    See hrm Bug #857808
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dc13ebbd932a7dc1ffbb80e65f6814a75480d3f1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 27 04:10:24 2020 +0200

    Make tech parasite effect to count teams, not players
    
    Reported by fomalhaut pa
    
    Tested by Chippo Elder
    
    See hrm Bug #817118
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 41833f6fb75f4fcca3118911c7044326c0ee795d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 27 04:17:48 2020 +0200

    gtk3.22: Migrate settings all the way from gtk2-client
    
    Requested by Jacob Nevins
    
    See hrm Bug #856682
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d472e6ad60d71ad0f08e1794a4d7551b76dd9561
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jan 26 12:37:39 2020 +0000

    Gtk3.22: fix city dialog emergency highlighting
    
    The red highlighting of things like famine only showed up the first time
    a city dialog was opened.
    
    The custom style provider continues to exist throughout, but was not
    being associated with the new widgets of city dialogs after the first
    time, so those new widgets' "emergency" style had no effect when applied.
    
    See hrm bug #856484.

commit d844aa87da8dc5de868d57a8bed402f62495b524
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 14:18:05 2020 +0000

    Qt: use fixed-width font for city dialog popups
    
    See hrm bug #857341.

commit f832ae5421c90c9268e6dc43ddc85f18d6f9386f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 22:02:59 2020 +0000

    Qt: take more care over HTML-escaping
    
    Various ruleset- and user-defined text was being interpreted as
    (Qt) HTML in some contexts without being HTML-escaped.
    
    This is not a complete fix -- tooltips in particular are still a bit of
    a crapshoot -- but it improves the situation a lot.
    
    See hrm bug #857342.

commit 2dd6e87625b6a5cd8c95854576b7b71f4bf6c072
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 17:54:08 2020 +0000

    Qt: &-escape ruleset and user text
    
    Various menus and buttons were letting ampersands in user and ruleset
    text cause unwanted mnemonics.
    
    See hrm bug #857340.

commit 324aeb7969d4ded42c443e20c0bbf8b5433225f2
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 20:00:23 2020 +0000

    Escape mnemonics in action UI names
    
    If a ruleset's action UI name happened to contain a client-specific
    mnemonic character (such as "Steal&Escape" with the Qt client), it could
    cause unwanted mnemonic effects in that client.
    
    See hrm bug #857339.

commit d0a11e5a76e889831df893349d1d5108a41bf200
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jan 26 00:32:26 2020 +0000

    stub ruleset: Generic Ship had no cargo
    
    See hrm bug #857337.

commit c39f809a7e3eb6c659ab5a8a4c73f125d4e902b9
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 22:19:32 2020 +0000

    Qt nation report showed own gold/gov as unknown
    
    See hrm bug #857334.

commit 4ed0b3d1c321495e557567524611b79cb17979fd
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 20:52:42 2020 +0000

    Qt client didn't translate nation set descriptions
    
    See hrm bug #857331.

commit bc0f36c0495370b1f78ff4048a4ea3b350ca2aa0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 23:45:44 2020 +0000

    Gtk: fix 'weight' property in tech help
    
    We were passing a string instead of a number. As well as not giving the
    intended result, this could lead to console messages like
      GLib-GObject-WARNING **: [...] value "-1453617302" of type 'gint' is
        invalid or out of range for property 'weight' of type 'gint'
    
    Message reported by Chippo Elder.
    
    See hrm bug #857203.

commit 4dc8f716afe011025c84635bb54dadc09061b171
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 23:27:14 2020 +0000

    civ2civ3/sandbox: fix Statue of Zeus help
    
    It wasn't clear that it affects happiness in every city of its owner,
    not just the city containing the wonder.
    
    Reported by Chippo Elder.
    
    See hrm bug #856984.

commit b31d594a731a26bc1a821e4bcb7757a2d54d6561
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Sun Jan 26 18:16:06 2020 +0100

    Updated French translations
    (headers included)

commit 53bf835b8088a270f54b840b755078ca6e0b7b8b
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jan 26 13:42:06 2020 +0000

    Partial update of en_GB translation.
    
    freeciv: 95.3%: 6847 translated, 249 fuzzy, 87 untranslated.

commit 87e446673092a9816ee542c585cd990f53b10512
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 25 00:59:09 2020 +0000

    Gtk3.22: shortcuts for musicset selection dialog
    
    Missed in hrm bug #857082.
    
    See hrm bug #857239.

commit 22a4abcb810cd7c10cf9433c03ba787ec8fbb793
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jan 14 01:19:29 2020 +0000

    Display city history points per turn in client
    
    This is now shown in:
     - the city dialog, in the popup sum for "Culture";
     - the city report, on the "History" column.
    
    See hrm feature #857084.

commit 84ba0d97afd1b8046007beb7a1624867b5890e74
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 22 21:43:34 2020 +0000

    Display nation culture in civilization info popup
    
    This makes total culture, and total history points per turn, visible in
    the Gtk and Qt clients.
    
    See hrm feature #857083.

commit fe396803b4a9284da6b010809d63b8722450692c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 22 21:47:43 2020 +0000

    Gtk: shortcuts for ruleset-preference dialogs
    
    Add keyboard Alt-accelerators for the dialogs shown when the ruleset
    wants to override the tileset, soundset, or musicset.
    
    See hrm feature #857082.

commit b36bc7dd48ed6559389cce28930445d9d9db4237
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 22 00:46:08 2020 +0000

    Use research_pretty_name() for Lua script API
    
    Most code describing research groups would return a nation plural for
    1-player teams, but Lua (Player):research_name_translation() would
    return "Team 2". This made the embassy "Team 2 acquired ... from scrolls
    of ancient wisdom" message inconsistent with other research-related
    messages.
    
    This changes the grammar of what the Lua method returns, so scripts
    which use it need adjusting.
    
    Reported by Chippo Elder.
    
    See hrm bug #855670.

commit 5cb07cf5d7ffdfe4b0f89a30d772f1735f5b3a35
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jan 21 23:56:31 2020 +0000

    Always update menus on tech gain/loss
    
    It was possible for a tech change that granted a new government type not
    to refresh the governments submenu.
    
    Also add a menus_update() when receiving a player_info packet, on
    general principles.
    
    Government/tech trouble reported by Chippo Elder.
    
    See hrm bug #856629.

commit 651dee9d1cb7c7e86864552e020bb93e798a25b7
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jan 21 22:45:33 2020 +0000

    Goto path waypoints weren't displayed sometimes
    
    They were only displayed if the tile already had some other path marker
    on it.
    
    See hrm bug #856946.

commit 2a9625ca32a9821fb0d081ad6c83fbc26b7d7a55
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 10 21:26:35 2020 +0200

    Qt: Don't compare equality to 'true' or 'false'
    
    See hrm Bug #855482
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 500ae55f4550abe4407fc103f87cba0fb6186777
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 21 17:49:38 2020 +0200

    msys1: Convert langstat files to ISO-8859-1 when building installer
    
    This fixes display of name of the language "Norwegian Bokmål"
    
    Reported by Jacob Nevins
    
    See hrm Bug #852637
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ad829afb6a1ec5f3ae8202917274f7c79eb71e5
Author: Christian Prochaska <cp.ml.freeciv.dev@googlemail.com>
Date:   Mon Jan 20 19:05:44 2020 +0200

    Update msys1 environment (iconv)
    
    See hrm Bug #852637
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 06992f1da79f843496b3e790f9e6295f7c618217
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 18 20:43:11 2020 +0000

    Gtk3.22: fix glitch in city dialog citizen bar
    
    There was a 2-pixel dropping to the right when moving from a larger city
    to a smaller one.
    
    Thanks to Marko Lindqvist for help diagnosing.
    
    See hrm bug #856465.

commit a8f59b146cca4b81a14ce8dae649a6dfc3ce84e8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 18 18:00:38 2020 +0000

    Enable -Wold-style-definition with --enable-debug
    
    See hrm feature #856477.

commit 33aa0bb5c0772538b84072f66fb0fbf6de85b484
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 18 18:00:28 2020 +0000

    Fix -Wold-style-definition compiler warnings
    
    See hrm bug #856478.

commit cf2ba3c3db7df7fc7fdee91b98a499805b475580
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jan 18 17:07:55 2020 +0000

    Building help: fix "Allows Tribe (with None)"
    
    A unit with a building requirement but no tech requirement led to a
    spurious "with None" in the building's help. (For example, Tribe and
    Tribe Hut in the augmented2 modpack.)
    
    See hrm bug #856473.

commit e79158a81f84bc9027394b5c947f7826e21ab2ac
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 20 05:07:46 2020 +0200

    Qt: Properly scale multiplier value to display units when opening dialog
    
    See hrm Bug #855486
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ca400cac6a674a3892cf9a9a96ec9d96f150cfb5
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Jan 16 01:46:51 2020 +0000

    Rework sum display in city dialog
    
    Invent a new 'city_sum' facility, that accumulates sum contributors and
    their effects, merges duplicate descriptions, and optionally accounts
    for any discrepancy between the accumulated and 'correct' total.
    
    Also, the "plague" sum now shows the original size of any bonuses from
    effects (e.g. "Bonus from Aqueduct (-50%)").
    
    See hrm feature #856260.

commit 66443e8f7eecc7910e9605fd3e3c7784450d911f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 29 12:27:50 2019 +0000

    astring: expose varargs method astr_vadd()
    
    See hrm feature #856256.

commit 775fc4b973726baed17976f718bcd94ed67d0293
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jan 14 09:38:36 2020 +0000

    Fix description of "Multicultural" achievement.
    
    In c03f0da945 (hrm bug #689474), I erroneously changed rulesets to imply
    that it required multiple nationalities in a single city; but it's
    across an entire nation.
    
    Update README.achievements to clarify this.
    
    See hrm bug #855938.

commit 761c2ff098abc6c6064b9ea887b4668d099bfa9d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 10 12:40:44 2020 +0200

    Disallow negative line numbers in per-file debug log level definitions
    
    See hrm Feature #855537
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 97bdd54f883c3caf65948c170c883927db806fee
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 12 03:39:56 2020 +0200

    CodingStyle: Instruct usage of fc__fallthrough
    
    See hrm Feature #853526
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 23fe10ccba3503479df900d1c5fcb4ec29a4b4f3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 9 07:28:31 2020 +0200

    Fix sign-compare compiler warning from genlist_sort()
    
    See hrm Bug #855389
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0ce05733996e3b46e60fd1a2ad5b3b94af2f1fa4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 9 05:06:22 2020 +0200

    Qt: menus_sensitive(): Add missing break after DISBAND key handling
    
    See hrm Bug #855366
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8400cb748eb002a8baf4b63caf6aec0f7519a830
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 9 05:15:24 2020 +0200

    Use fc__fallthrough where needed
    
    See hrm Feature #854739
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 06518eebfa7de61195d8cd0d23a5aa268179c93d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 8 16:10:22 2020 +0200

    Qt: Fix nations dialog global observer crash
    
    Reported by Anton Körbchen
    
    See hrm Bug #855199
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0f8c2fc49c254d0bca069433cc9b75f4a5ba8e36
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 1 20:12:28 2020 +0200

    Fix sign-compare compiler warning from log_parse_level_str()
    
    See hrm Bug #854474
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2b828fd5726481fb673401425c9d8e8d02c9e8f3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 1 12:31:56 2020 +0200

    sdl/2: Fix assertions when first opening Help Browser
    
    See hrm Bug #854468
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 917c73a3f2958a0c0af084570769a7d927858fd9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 19:49:56 2019 +0200

    AI: Check migration from cities full migration distance away
    
    When calculating want for Migration_Pct effect, AI was not
    considering cities far enough as potential migration sources.
    
    Reported by Jacob Nevins
    
    See hrm Bug #854301
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ddbf164176aa3f1639d9710b21f911c7990be498
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Jan 3 08:37:30 2020 +0100

    SQLite3 detection: fix "unary operator expected".
    
    See hrm Bug #854668

commit 0f0c2096129b9c768343d8fa58e1fa64e965093f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 22:56:17 2019 +0200

    fill_sprite_array(): Call city_size_get() just once in LAYER_CITY2 handling
    
    See hrm Feature #854366
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3ee1875848542230f71aff87193450af49094f0d
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jan 3 00:21:17 2020 +0000

    Server: new command '/list rulesets'
    
    This uses the existing single-player logic to enumerate .serv files
    (which conventionally correspond to rulesets).
    
    Also, in a single-player setup with very long .serv file names, the
    server no longer sends invalid truncated names to the client (it no
    longer sends such filenames at all).
    
    See hrm feature #854630.

commit fbcf952243ce693cc37efe966a854b391067b7a6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Jan 2 21:11:20 2020 +0000

    Server: cope better with failure to load savegame
    
    Particularly in the common case where the required ruleset is not
    available.
    
    See hrm bug #854623.

commit fea66e7a5189d72b1d254fb055bd8c4db13cdf41
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Jan 2 17:12:24 2020 +0000

    Add purpose comment to fc_config.h
    
    Mainly for the benefit of people who see it in binary distributions like
    the Windows builds.
    
    See hrm feature #854615.

commit 7a4bf4ccdbba95d44d966d05eeae3eb826a009a2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 28 12:19:09 2019 +0200

    Fix sign-compare compiler warnings from fc_utf8.c
    
    See hrm Feature #854096
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4759ac7df71a1ae235718d017121600499e0c34b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 4 03:15:17 2020 +0200

    Add gui-qt/themes.cpp to POTFILES
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f86a4ffb75978f96409a94ccbc53f0d3ac604c9a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 16:01:21 2019 +0200

    sdl2.m4: Correct upstream version number to 2.0.10 in comment
    
    See hrm Bug #854328
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5ee62cb1c7be39a759f3b88fe5f9b6653c7364b4
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 14:03:21 2020 +0000

    Add plague risk to SDL clients' city dialog
    
    See hrm feature #854479.

commit eb89f4e3cc826afb6c451595521b8c146e8782e0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 14:02:44 2020 +0000

    Clarify meaning of "plague risk"
    
    See hrm feature #854478.

commit a823e0825b73aea49abbb866afe2dbedac0bf86f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 17:08:57 2020 +0000

    SDL2: fix various input event handling
    
    Some right/middle-click actions were unavailable, and there may have
    been trouble with finger events.
    
    Also some equivalent rearrangements in the SDL client, although those
    shouldn't have any functional effect.
    
    See hrm bug #854477.

commit 037487a155914ccafa4244ba329e9e5db87dc538
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 15:28:52 2020 +0000

    SDL2: many keyboard shortcuts didn't work
    
    Due to testing SDL_MouseButtonEvent union members without first
    verifying that the event was a SDL_MOUSEBUTTON* event.
    
    See hrm bug #854476.

commit ea3ef1f63e62221416ca77b1d2beb99368e80e2b
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 17:00:34 2020 +0000

    SDL2: fix crash when editing global worklists
    
    See hrm bug #854475.

commit 746cc5085d53ef8c9308a8703e848a63e9013916
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Dec 18 19:43:02 2019 +0100

    Don't attempt to move to bounced unit's tile.
    
    The action "Bribe Unit" will in some cases force a move to the target unit's
    tile.
    
    In certain rulesets a spy unit can bribe a target unit on a tile with a city
    and/or units the target unit won't be able to share a tile with after
    changing  side. In those cases the target unit is bounced after being bribed.
    
    The code checking if the briber should be forced to attempt to move to the
    victim's tile after a successful bribing would check that the target tile
    only had one unit. This was presumed to be the bribe target. But if two enemy
    units shared a tile and one got bribed and then bounced the target tile would
    contain the enemy unit that wasn't bribed. The briber would then have to
    attempt a forced move to a tile with a non allied unit.
    
    Never force a move when the bribe target unit was bounced.
    
    (It may be a good idea to make "Bribe Unit"'s post action forced move
    consistent with the forced post action move of "Attack" for post 2.6 branches
    in a follow up patch.)
    
    Reported by Jacob Nevins
    
    See hrm bug #765938

commit f3a0ba80094eace578bf2c306c7befcc4635f174
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 16:08:26 2019 +0200

    make_dir(): Set null character as '\0', not 0
    
    See hrm Feature #854295
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3ee6757acd23e086350a0d87854c40f8fc57d547
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Dec 31 21:54:25 2019 +0000

    Add README.modpack_installer
    
    Includes some material from
    <http://www.freeciv.org/wiki/Creating_freeciv-modpack_content>,
    which was mostly written by Marko Lindqvist.
    
    Also, tweak the modpack installer man page.
    
    See hrm feature #854464.

commit d8daa55705994037c509bc2715fb213093988136
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 16:24:55 2019 +0200

    Add configure option --with-cacert-path
    
    It replaces old Windows CA cert path hardcoding.
    
    See hrm Feature #854259
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 43fe4b561b8ed19174634fb2909896f782b02abe
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Thu Jan 2 11:12:55 2020 +0100

    Updated French translations (freeciv subdir only)

commit 06978b9e0af16c7617070fd8cc828484615a12d3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 30 23:12:31 2019 +0200

    sdl2: Fix how utf8_strlen() detects multibyte characters
    
    See hrm Bug #854367
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 66c62a4c5f676ce2a8f1c7a4ecd9df4d4a3f9cb5
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jan 1 14:27:04 2020 +0000

    Improve comments around Gtk emergency highlighting

commit 7a949acf243d00c4408153510e85ee9a98efaabc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 28 12:00:27 2019 +0200

    Add str_to_uint() implementation
    
    See hrm Feature #854090
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6215bd47e6b8982706f29709151624ea878d4f66
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 29 14:19:51 2019 +0000

    Add attribute __format_arg__ to Q_() and friends
    
    This is similar to what _() / gettext() gets as standard, and
    suppresses complaints about using the output of Q_("string") as a
    printf format string when "string" has no format specifiers.
    
    See hrm bug #854307.

commit bed7287db361f6f2966dedb4cf83dc6f539fbfba
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 29 12:40:10 2019 +0000

    "Traderoute_Pct" confused city dialog trade popup
    
    In the presence of "Traderoute_Pct" effects, the city dialog could
    display a spurious "(unknown)" term in its trade point breakdown.
    
    See hrm bug #854306.

commit bacf135e04a8f5561e0fcb912564dfa0a2a9afda
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 29 11:07:56 2019 +0000

    The city dialog plague chance popup was misaligned
    
    See hrm bug #854303.

commit 5676655ca54a5d6b29e0ef36940cee0605db25d1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 29 13:02:41 2019 +0200

    entry_type(): Return new ENTRY_ILLEGAL value on error
    
    It was returning -1 despite having unsigned return type.
    
    See hrm Bug #854093
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4c0e9673c9275630ccd8a919966a60b8aaa50a51
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 26 06:49:46 2019 +0200

    Explicitly mark fc__fallthrough in research_total_bulbs_required()
    
    See hrm Bug #853520
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 804e4e1293019ce5f7f808120dba147f2fb20bf5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 28 12:45:31 2019 +0200

    msys2: Do not build gtk3-client installer by default
    
    See hrm Feature #854018
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 815bd3ec6db452e33abc3dcdaea5d48eb4110222
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Dec 2 21:41:34 2019 +0000

    civ1: Minor help text improvements
    
    The description of Pollution mentioned Solar Plant, which isn't in the
    civ1 ruleset; plus a few other wording tweaks.
    
    See hrm bug #854117.

commit 3ba6e69e93073e37981bf09692ad37d11fa0aab1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 28 11:23:11 2019 +0200

    Check gcc version to be at least 7 for fc__fallthrough
    
    See hrm Feature #854081
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7a0b6eb59a4e0be7435d4d045ef3845b0a24c719
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 27 15:37:51 2019 +0200

    msys1: Fix https usage
    
    Reported by Zoltán Žarkov and Jacob Nevins
    
    See hrm Bug #853960
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fcf415fe9d334aacd6263a8df748690cbcd5bf18
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Dec 28 11:35:03 2019 +0000

    civ2civ3: Explain why no farmland on bare desert
    
    Since the autogenerated help has an inviting button implying that it is
    possible.
    
    (This commit expands the help for Farmland in some other rulesets too.)
    
    Reported by user "Voland0" on the forum.
    
    See hrm bug #854105.

commit 2eb9729dcb8fc540e7f0ab50b91ee723142c7431
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Dec 27 19:45:37 2019 +0000

    Gtk: use fixed-width font for city dialog popups
    
    They were using the style name "city_info_label", which doesn't have a
    corresponding font option, so they were not styled. Changed them to use
    "city_label", a fixed-width font.
    
    (Also comment that "city_happiness_label" has a similar problem, but I
    haven't done anything about that.)
    
    See hrm bug #854005.

commit fd705ec2e515b3cf89322c38508a3a6ffe54a279
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Dec 27 16:30:21 2019 +0000

    Gtk3.22: fix huge detach handles
    
    The detachable widget handles were far too big. Add some custom CSS to
    shrink them to be comparable to Gtk2.
    
    The Gtk3.0 client will be covered separately by hrm bug #853912, since
    it turns out to be more complicated.
    
    See hrm bug #854002.

commit 2658b030f1fcc1b86d9edca8e99fc91ff9347fc0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Dec 27 13:46:19 2019 +0000

    Scripting fixes at unit build time
    
     - A unit whose creation disbanded its city now emits the
       "unit_built" signal.
     - Fix trouble in city_build_stuff() if script "unit_built" or
       "unit_cant_be_built" handlers destroyed city.
     - Fix trouble in city_build_unit() for pop_cost units if script
       "city_size_change" handler destroyed city.
    
    The precise sequence of events around unit building has changed
    slightly.
    
    See hrm bug #853935.

commit d4f6cec1337872fec29f7481233dc75af13f4b38
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 27 07:51:05 2019 +0200

    msys2: Fix https usage
    
    Reported by Zoltán Žarkov and Jacob Nevins
    
    See hrm Bug #833269
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cdbd597837da0934fdea4f62f4dbf853fcf4aae4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 25 18:16:25 2019 +0200

    Make position fields in struct inputfile unsigned
    
    See hrm Feature #853704
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cd49f036dc4db73eb1736f93b8d0ce51ed7157f1
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Dec 27 13:17:50 2019 +0000

    Document unit population cost better
    
     - Add description in online help (helpdata.txt), including the rules
       about disbanding cities
     - Generalise description of CITYO_DISBAND in city options dialog
     - Fix the message emitted when attempting to disband last city
    
    See hrm bug #853987.

commit abb800a1f64d97aef834f1d99c988bbe628a09a2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 25 02:11:36 2019 +0200

    mapgen: Do not reduce mountains percentage by steepness^2 factor
    
    Mountains percentage is kept the same with the default steepness
    value of 30. With values different from that mountains percentage
    changes more logically.
    
    Reported by Akechi .
    
    See hrm Bug #767003
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a99fd28ac0cbf1a29afdbf9995210f53bca1cdb5
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Dec 27 02:06:59 2019 +0000

    Gtk: don't clear worklist source tasks on refresh
    
    In the Gtk3 clients, this caused the worklist source task viewport to
    scroll around annoyingly on actions like adding an item to the worklist.
    
    Reported by vla22.
    
    See hrm bug #706351.

commit 42090750791626c3435de4d4b447b55faa6b3423
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 25 18:17:25 2019 +0200

    Fix sign-compare compiler warning at fc_has_capability()
    
    See hrm Feature #853705
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e0ffc9347828d4fb19960d38a60fb9dac40530b4
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 26 14:37:48 2019 +0000

    Gtk3.x: make civ-info-and-units box expand
    
    This stops the detach handle changing size when the contents change size
    (for instance when switching between unit stacks of different sizes).
    
    See hrm bug #853923.

commit 84f39b43d22be8f8d53877892bb1369b82bd34f3
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 26 12:38:45 2019 +0000

    Gtk3.x: ensure overview etc to left of main map
    
    With "Arrange widgets for small displays" enabled, the pane containing
    the overview map, civilization status etc would appear to the right of
    the main pane containing the main map view, etc. (Unlike Gtk2.)
    
    See hrm bug #853922.

commit 3d1bbe595483c7a3176f40043731059d66c9c3f4
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 26 13:08:25 2019 +0000

    Gtk3.x: set more GTK_ORIENTATION_VERTICAL
    
    For some GtkGrids that were GtkVBoxes in the Gtk2 client.
    This has no known functional effect; in practice, I think these VBoxes
    never have more than one child.
    
    See hrm bug #853921.

commit 2f55449b9b9b86ae7acedd426bbc431a2f7a1399
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 26 12:38:14 2019 +0000

    Gtk3.x: fix vote bar location
    
    The vote bar could be displayed in the wrong location, taking up a lot
    of screen space:
     - If "Arrange widgets for small displays" was set; or
     - If that was unset but "Messages and Chat reports location" = "Merged".
    
    This was caused by not setting GTK_ORIENTATION_VERTICAL when converting
    some Gtk2 GtkVBoxes to GtkGrids.
    
    Reported by forum user "RsXT.2" and HRM user "S.C. L."
    
    See hrm bug #656550.

commit 703a5dee0adcdc702e909014c3baf04b8c392c65
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 19 04:04:34 2019 +0200

    Qt: Fallback to FC_QT_DEFAULT_THEME_NAME
    
    If theme set in the settings cannot be loaded at client start,
    fallback to FC_QT_DEFAULT_THEME_NAME.
    The settings can contain theme names derived from freeciv-2.5
    illegal in later versions.
    
    Reported by Christian Prochaska and Jacob Nevins
    
    See hrm Bug #853130
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f2477b2d70a07aa1275b1613bc1d893903a82705
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 21 14:08:05 2019 +0200

    Add missing breaks to mapgen.c
    
    They were missing after some supposedly impossible to reach
    cases, also guarded by asserts. The main difference this commit
    makes is cleaning out compiler warnings about those cases
    when -Wimplicit-fallthrough is used.
    
    See hrm Bug #853422
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7970dd439e8484aacc8d192c88ff38cf151f95c6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 26 12:42:03 2019 +0000

    Fix comment about Gtk overview map size.

commit b2217296442b2640d0d13f068ef75928d8d4229f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 17:21:20 2019 +0200

    Add implementation of fc__fallthrough
    
    See hrm Feature #852923
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7dff96426c1f84398f647ac4ab66da620acd4d6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 24 16:26:32 2019 +0200

    Apply lua.org patch #4 to our copy of lua-5.3.5
    
    Patch for lua-5.3.5 bug #4
    ("Joining an upvalue with itself can cause a use-after-free crash.")
    from http://www.lua.org/bugs.html
    
    See hrm Feature #853700
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5f2fc3e26b59f343009ecccbaedb14c4895c81cf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 20 18:14:19 2019 +0200

    List 'sdl' as a value for --enable-sdl-mixer in ./configure --help
    
    Reported by Jacob Nevins
    
    See hrm Bug #853375
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3051808f26e123e037ff963a915b377eef373e4c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 17:47:44 2019 +0200

    Fix sign-compare compiler warning in get_tokens()
    
    See hrm Bug #853540
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aca2abcac789329cc58d6f6f7c97cd144f088d2c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 21 11:09:22 2019 +0200

    Do not build tolua command at all when sys tolua cmd used
    
    Requested by Luc Schrijvers
    
    See hrm Feature #853406
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c7848cf8b89556b50b315ddcb84f6c5f3aceb24b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 21 12:45:05 2019 +0200

    Fix astr_reserve() sign-compare compiler warning
    
    See hrm Bug #853412
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b57077f39b811cd4f174ca0ffc7f5aaeab04a751
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 20 07:06:49 2019 +0200

    INSTALL: Document minimum Qt version
    
    See hrm Feature #853326
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 482dd58ba1d676a21959540b88db37f99e8779a1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 20:16:08 2019 +0200

    Comment typofix: "shortut" -> "shortcut"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f5d38e6e63c087e77f4d7e6b0074c0139582db07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 18 12:56:04 2019 +0200

    Add missing breaks to reqtext handling
    
    Erroneous fallthroughs were in handling of some of the
    unsupported requirement ranges.
    
    See hrm Bug #853037
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cd64adab9fb64c4e0ac30cbf9849210ff661c97b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 20 17:23:07 2019 +0200

    sdl: Improve configure error message about wrong mixer type
    
    Suggest suitable --enable-sdl-mixer value.
    
    See hrm Feature #853364
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e4e8743cd2b4e44d38bedb1f0b0eb0ace14826d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 19 06:12:02 2019 +0200

    sell_random_unit(): Return NULL instead of FALSE
    
    Function's return type is pointer.
    
    See hrm Bug #852996
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ed294256de031c03ff5751424fb081e2938d587f
Author: Christian Prochaska <cp.ml.freeciv.dev@googlemail.com>
Date:   Fri Dec 20 01:44:28 2019 +0100

    Updated msys1 environment (python3)
    
    See hrm Bug #851511

commit 66705b714b36dd74677487a2e03270b50f3f1a22
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 20 05:54:52 2019 +0200

    README.packaging: Don't imply that gtk3.22-client requires exactly gtk+-3.22
    
    gtk+-3.24 is ok too.
    
    See hrm Feature #853321
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9c0a2c947b211685d04d54dd96edaec6f4bb0c1d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 15:03:20 2019 +0200

    Enable -Wold-style-declaration in --enable-debug builds
    
    See hrm Feature #852936
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b082b8149efce12c04e23731c61875bdd7f1239a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 19 05:44:23 2019 +0200

    Qt: Use FC_QT_DEFAULT_THEME_NAME theme when clearing custom theme
    
    It was attempting to use default theme name from settings, but that
    might be custom theme in itself.
    
    See hrm Bug #853140
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 95b7a08c68336d33ddc2db41b20ffed7392e42d8
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Fri Dec 20 23:36:01 2019 +0100

    Catalan translation updated

commit b27fb8971d7cdc2122773d6adbad34ba583f9eb3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 15:29:55 2019 +0200

    Fix -Wold-style-declaration compiler warnings
    
    See hrm Bug #852918
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 27c70b019741aad2e0ec8a8ea40cad68cf02ba86
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 18 04:45:11 2019 +0200

    Fix sell_random_unit() crash with recursive transports
    
    See hrm Bug #852938
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c888ae16728ac44dbf31c7b45b08f787ba3e7cb8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 07:23:45 2019 +0200

    Set QT_DISABLE_DEPRECATED_BEFORE
    
    In stable branches it's set to 5.2 that is also our minimum Qt requirement
    
    See hrm Feature #852856
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b55ba7b663aebfee80161aafce9069b1a6d1997a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Dec 19 09:30:40 2019 +0000

    Correct 2.6.1 release date in NEWS-2.6.
    
    (Sigh.)

commit e324fb822071d497a81db80a1dc20dd683a1561e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 14:13:01 2019 +0200

    Add missing break to universal_by_rule_name()
    
    See hrm Bug #852927
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 044e13c1ac0284a55cd34adaf42e894a878bdb28
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 06:20:15 2019 +0200

    Qt: Replace deprecated qSort() call with std::sort()
    
    See hrm Bug #852857
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d983862079da0062430ff778a7c90359a1de1aea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 15 11:58:22 2019 +0200

    msys2: Convert langstat files to ISO-8859-1 when building installer
    
    This fixes display of name of the language "Norwegian Bokmål"
    
    Reported by Jacob Nevins
    
    See hrm Bug #681314
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dc597a8172835f0a7de9b860f631e8923851031e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:57:06 2019 +0000

    Mark as development code.

commit 7d34baebc5c4f4a4825415cc60b369d7608f16c9
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:50:59 2019 +0000

    Refresh ChangeLog for 2.6.1 release.

commit 93f14e982f67a248d647de96b9a25624272d4c9c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:48:19 2019 +0000

    Bump version number and mark as release code.

commit cadfbc76ddafaca487f53bfc8a9d422b30f4783d
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:42:17 2019 +0000

    Refresh NEWS for 2.6.1, from wiki.

commit 8f901a9da756c035ce8a3240c88aeb7d19579585
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:25:10 2019 +0000

    Update version numbers in FAQ.

commit 8fea17b95161134dabb545e2b151003198f6d337
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 18 13:21:54 2019 +0000

    Results of running 'make update-po'
    
    in translations/{freeciv,nations,ruledit}/

commit 9a1954aa67eba4f866eb3dd984e8d6c1b36884ec
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Dec 17 21:16:04 2019 +0000

    Remove a fuzzy from Finnish translation
    
    Due to a geographical error fix in the Cuyavian ruleset,
    hrm bug #706252. It turns out Markus Linnakangas already spotted the
    error, so the Finnish translation already corrected it.
    So, as the msgid and msgstr finally agree, just removed the fuzzy marker
    and associated comment. (Agreed with Sini Ruohomaa.)

commit dbdb8f2d24dac1d9323bdc5064cb4420f5ea524c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Dec 17 19:02:25 2019 +0000

    Updated Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2019-12-11).
    freeciv: 100%: 7163 translated.
    nations: 100%: 1843 translated.
    ruledit: 100%: 57 translated.
    
    (There is some confusion with UTF-8 msgids in this update; it's ended up
    with extra double-escaped msgids, which have new translations attached,
    also somewhat double-escaped. I think these translations will be ignored
    and the possibly out-of-date translations attached to the correct msgids
    will be used.)

commit a98a33bfdd21cacb8b635cca27943ef4a3138dc2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 12 01:53:13 2019 +0200

    Fix gcc-10 warning about use of possibly uninitialized variable
    
    See hrm Bug #851873
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 424e61e1838ce42cb5df0b76bb0d6cf2b714ac45
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Dec 11 23:52:22 2019 +0000

    Fix formatting error in freeciv-client(6) man page
    
    See hrm bug #852070.

commit 3f2b49a7ffc8495167193827c99860c4fa6a8293
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 12 01:35:58 2019 +0200

    Refactor code to avoid gcc-10 warning
    
    See hrm Bug #851728
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c7e91e438c198ab9ab81d7f09e49856871d1cc15
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 10 07:39:19 2019 +0200

    Terminate format escapes list
    
    See hrm Bug #851727
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d67b45caf58682ed6842034d91965eb5465fec7
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Dec 9 01:11:33 2019 +0000

    Gtk3.*: handle "close" signal in input_dialog
    
    This is sent when the user hits "Esc" at such a dialog.
    Among other effects, if the user hit Esc at a new city name dialog, that
    settler would subsequently be unable to build a city.
    
    Reported by Joan Creus.
    
    See hrm bug #689225.

commit 3b5377259bb64c48008c792699527b6d5a67d3dd
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Dec 7 13:25:53 2019 +0000

    Miscellaneous TRANS comments.
    
    See hrm bug #851518.

commit 661b898d4f04d8cf22eecf83be047fc1282effba
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Dec 7 13:32:36 2019 +0000

    Fix a message about failure to act
    
    The format string arguments were the wrong way round.
    
    See hrm bug #851510.

commit bba19fadc40b9475cb7c658a654e00bd20ef104d
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Mon Dec 9 13:39:52 2019 +0500

    Update for Russian translation.

commit d46b64fa24b2eaed70f6c4626db15b1efa4886b0
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Dec 4 21:15:13 2019 +0100

    civ1: remove lie from land unit class.
    
    Remove "Airliftable" flag in from [unitclass_land]. Can never be done because
    the effect Airlift is never set but AGH hasn't figured this out (and probably
    shouldn't need to).
    
    Reported by nef at the Freeciv Forum
    Based on a patch by nef from the Freeciv Forum
    
    See http://forum.freeciv.org/f/viewtopic.php?f=15&t=597&start=40#p100875
    See hrm Bug #850673

commit 6310d51f6aa7f0429e895f068278fc3644169598
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 5 19:14:52 2019 +0200

    Correct comment implying that python > 2.2 wouldn't work
    
    See hrm Bug #851193
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bb94e699a1f7b86d0e0aba8d555f62a31b561b7f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 5 00:13:57 2019 +0200

    Fix tripling of units when copy+pasting tiles in editor
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #850947
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3afb28dc319ad2bbbf7234b0a9403050ae29f79f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 4 21:25:08 2019 +0200

    Update sdl2.m4 to SDL2-2.0.10 level
    
    Manually rebased upstream changes to our modified version.
    
    See hrm Feature #850938
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 02b5ec5183282083961d080a7a77886d03ddbc3a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 3 17:28:45 2019 +0200

    Fix client crash in lua call to city:inspire_partisans()
    
    Check if the caller is server before executing inspire_partisans()
    parts that would require omniscience. If the caller is client and
    correct answer for the current rules would be available only with
    omniscience, always return FALSE.
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #797679
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 11f71e7e8be49ad12708ebdf970ac30033738ca9
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Dec 3 21:35:42 2019 +0000

    Cancel ANIM_NUKE when done
    
    This was causing permanent sluggishness and high CPU usage in clients
    which use frame_by_frame_animation (Gtk3/3.22) after a nuclear
    explosion.
    
    See hrm bug #850672.

commit d30826e1e749ea8fa743e155848d50b4b1080247
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 3 16:47:24 2019 +0200

    Add function headers for civmanual client stubs lacking one
    
    See hrm Bug #820981
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ff39b49163e100e19dfc72b5817b85a22bbe189
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 3 18:13:02 2019 +0200

    Qt: Do not try to load without savegame selected
    
    Do nothing if user clicks Load button without savegame selected.
    Previously game proceeded to loading page where it then stayed forever
    waiting for server to get game loaded.
    
    Reported by  David Fernandez (bard)
    
    See hrm Bug #778016
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d95a8c8b4c4f3329ea7eb4e881021b7409686a59
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 3 16:17:06 2019 +0200

    Correct code comment about HutTech unit role
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #823695
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 98adb81658cd0832f2c72638db31d669afa4c128
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Dec 2 23:01:44 2019 +0000

    Partial update of en_GB translation.
    
    freeciv: 95.3%: 6825 translated, 249 fuzzy, 89 untranslated.
    nations: 100%: 1843 translated.
    ruledit: 100%: 57 translated.

commit 29e9c98943874b1372f7ae987fd9efc4ede2def3
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Dec 2 22:21:55 2019 +0000

    Updated Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    freeciv: 99.5%: 7130 translated, 31 fuzzy, 2 untranslated.
    nations: 99.9%: 1842 translated, 1 fuzzy.
    ruledit: 100%: 57 translated.

commit de20fc0653e0b78b74d02ce2b1b200a68ca989f0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Dec 2 21:16:55 2019 +0000

    en_GB: fix mistranslated "Wake up sequence"

commit 60304c0c90d684db37e8c18934ca6b3a217bba66
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 1 00:36:53 2019 +0000

    Gtk3.22: restore mnemonics to most buttons
    
    Many of these are GTK_STOCK buttons in the Gtk3 client. I've mostly
    chosen the keyboard mnemonics that the Gtk3 client shows on my system.
    
    See hrm feature #850297.

commit 93d70405b775a05e938eeecf8c2e471976af22f6
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Nov 30 21:33:14 2019 +0000

    Gtk3.22: restore Alt+mnemonics to menu system
    
    See hrm feature #850295.

commit 2065934b6ebcaa4b5b311e691b32296dcd71539a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Nov 30 20:20:50 2019 +0000

    Gtk3.22: don't use keypad for fullscreen
    
    Laptops/netbooks often don't have a numeric keypad. Use Alt+Return
    instead, like Gtk2/3 did.
    
    See hrm bug #850293.

commit 7b6d7e874bb23ee45f5d98f79995527f8a50d481
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Nov 30 20:13:34 2019 +0000

    Gtk3.22: replace META with MOD1 in shortcuts
    
    This works with the 'Alt' key (on my Linux PC at least), like Gtk2/3.
    
    See hrm bug #850292.

commit eae74f2507666ae07ea0d944b65ccb1ab3aae1f4
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Dec 1 02:08:27 2019 +0000

    Gtk3.22: fix keyboard shortcuts
    
    This is essentially a backport of gna bug #24190 (S3_0 9a82cf61a7)
    to S2_6.
    
    It brings the 2.6 Gtk3.22 client closer in line with Gtk2/3.
    New shortcuts:
     - Ctrl+Q: Quit (previously provided by GTK_STOCK_QUIT)
     - Ctrl+S: Save (previously provided by GTK_STOCK_SAVE)
     - Ctrl+E: Editing Mode
    Changed:
     - View / City Names from N to Ctrl+N (clash with "Clean Nuclear Fallout")
     - View / Native Tiles: from Ctrl+N to Shift+Ctrl+N (see above)
     - Edit / Toggle For of War: W to Ctrl+M (sort-of clash with "wait" order)
    Removed shortcuts (these didn't seem to have any useful effect; I'm
    guessing they were intended as mnemonics but they didn't seem to work).
     - Civilization and Help menus
     - View / Improvements submenu
     - Save Options on Exit
     - Recalculate Borders
    
    See hrm bug #850291.

commit f350bfc15fa95bd359d182fe6d92fcca55c7a31e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Nov 30 18:32:49 2019 +0000

    Qt: don't cache first theme directory
    
    The first time a theme was loaded, its directory was cached and all
    future attempts to use themes would try to use the same directory.
    However, the user could still be presented with themes in different
    directories, which would then fail to load.
    
    See hrm bug #850290.

commit 10e243256890c17ca3cd530fa26723e010f9a125
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Nov 30 14:44:24 2019 +0000

    Add dates to NEWS files.
    
    See hrm task #850289.

commit 4bcb7b7df31cdd998c4bf1617937d68caa420e66
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 16 07:12:20 2019 +0200

    Switch from python to python3
    
    See hrm Feature #842994
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cc7e9c5cb6f1e479d8adbfc96f437ba1d6e63b6d
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Nov 20 09:49:36 2019 +0100

    Load and store OutputType reqs by rule name.
    
    Read and save OutputType requirements by rule name rather than by (translated
    in the case of writing) vernacular name.
    
    See hrm Bug #848260

commit e0583bb3a125f0678488290f5c34e1ea18d5bc99
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Nov 19 09:12:15 2019 +0100

    Improve no universal found function handling.
    
    See hrm Feature #848027

commit 37996e315fc4f2eb124d37f1b4d4a550d166e28c
Author: Zeko <zeko@freeciv.xyz>
Date:   Sun Nov 17 07:45:49 2019 +0200

    Call get_tooltip_improvement in Qt client with city pointer
    
    Reported by Marko Lindqvist
    
    See hrm bug #846914
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 76a77468a646ce01471a6835d5cb5cb86782966e
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Nov 13 14:49:14 2019 +0100

    Include terrain_control in movement.h.
    
    SINGLE_MOVE and MOVE_COST_IGTER in movement.h refers to terrain_control.
    Include it.
    
    See hrm Bug #847090

commit 896b721a432ba50bcb4fa1d5200149dfceb21644
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Nov 12 10:30:26 2019 +0100

    Replace magic number of max move frags...
    
    ...with the macro MAX_MOVE_FRAGS.
    
    See hrm Feature #846809

commit 535a9f3cf33b5a2ff7cb3e801374f0e140c8b019
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Sun Nov 10 15:35:59 2019 +0100

    Fix city worklist building postponing.
    
    Make building postponing happen again.
    
    See hrm Bug #846514

commit edf8ed1bac255a2e99bc2e00e221f43e38c30147
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Nov 5 13:00:31 2019 +0100

    Fix incomplete comment.

commit dd802fcde1072351b5cca5ee8a61154d315066b9
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Fri Oct 11 11:28:40 2019 +0200

    Updated French translations

commit 3e0d8d59d71f25598992c871da150d69dc21d1ec
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Jul 29 10:57:39 2015 +0000

    freeciv-manual: Minimal unit types support
    
    See hrm Feature #840873

commit 22726e24fc57d8409b298b3f4f4621cab2c2c1a2
Author: Zeko <zeko@freeciv.xyz>
Date:   Mon Oct 7 08:24:35 2019 +0300

    sdl2: Add handling of SDL_FINGERDOWN events
    
    See hrm #831742
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4be49db057a48dd29a74db7ba0c7951917a29812
Author: Louis Moureaux <m_louis30@yahoo.com>
Date:   Thu Sep 5 14:20:56 2019 +0300

    Update README.delta with information about struct fields
    
    See hrm Feature #834328
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 92a1580f6f0f3a7bf984af61ab6a85d0845e5b5b
Author: Zeko <zeko@freeciv.xyz>
Date:   Sat Aug 3 14:09:18 2019 +0300

    Fix multiple declaration of pOptions_Button
    
    See hrm #829535
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f407d47ea25aabbbca8a14844c633df1a65601d9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 3 09:49:05 2019 +0300

    Fix gcc9 warning in mapimg_generate_name()
    
    See hrm Bug #830116
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c9471fa995d1c68be836f6c0ac918c46e94a4bf3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Jul 18 10:01:37 2019 +0300

    Female Kibutznik is Kibutznikit
    
    Changed to the correct form
    
    See hrm Bug #829168
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d87575d28d6749d6fed22814f61b2a683c86c7b2
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Tue Jul 30 20:18:31 2019 +0200

    typo

commit 92de673ec18e15757883bed6a58708f1574070ff
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Tue Jul 30 19:25:05 2019 +0200

    Translation update

commit 26a40318cce22c103e3543971c1adb8aee50f67e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 17 12:47:37 2019 +0300

    civ1: Remove max rates limits for tax/sci/lux
    
    Reported by nef
    
    See hrm Feature #827329
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit eb5977507288c846a2b136822e41ff3bb6249b7c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 22 21:40:53 2019 +0300

    Fix stringop-overflow compiler warning in xml registry
    
    See hrm Bug #828263
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 011d603eed75f417979e535a45bf3a6eab6c1cc8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 23 10:16:51 2019 +0300

    Comment typofix: "is is" -> "is"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cfe2c665581827beb0f554927be965ef813d2fc9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 23 09:55:16 2019 +0300

    Typofixes: "Is is" -> "It is" / "Is it"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8ed6cdeab4e4661e965e42fe53b97120fab15da4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 5 04:12:51 2019 +0300

    find_something_to_kill(): Count considered unit as one more attacker
    
    When counting how many units there would be to attack enemy city,
    and considering an unit to be built, count the considered unit in.
    Maybe attack is worthwhile with the new unit.
    
    See hrm Feature #825074
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 13ff67e406332e4d3f48a194579244ac81545204
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 18 11:50:08 2019 +0300

    Do allowed_terrains check against original city name hint
    
    The code to check if terrain given as city name hint exist modifies
    the name to check also non-plural form if the terrain is not found
    with original. Later allowed_terrains check should be against the
    original name given in as the hint regardless.
    
    See hrm Bug #827555
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2e3a74a4f45edbcb477f4caed454d464fe4641bb
Author: Louis Moureaux <m_louis30@yahoo.com>
Date:   Thu Jul 18 03:13:26 2019 +0300

    Fix negative array index in send_path_orders
    
    i can be equal to 0 after the loop when a final_order was given without a path.
    This caused p.orders[-1] to be read. Prevent it by requiring i > 0.
    
    See HRM issue #827156
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 623a988ebf1abdda90b958f64bb2be7ae7a597ad
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 5 03:57:39 2019 +0300

    Fix military advisor to consider sea attacker instead of land attacker twice
    
    See hrm Bug #825073
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 12d9ad6df4ae773b1f713db6258c9649de6a1f43
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 18:54:07 2019 +0300

    PF: Support move costs bigger than 253 in fuel maps
    
    See hrm Bug #824102
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3450482abbfa4fd07c044d1e51d1224b6f18a769
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 8 01:30:58 2019 +0300

    civ1: Don't allow planting Forest to River tile
    
    Reported by nef
    
    See hrm Feature #825239
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 675cbfcc95575ba4514da7320fd8b179d3ad9e27
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 14 02:22:33 2019 +0300

    Handle entering multiple huts in the same tile correctly
    
    Patch by Alexandro Ignatiev
    
    See hrm Bug #824708
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e6e249fe1da1d3e0428b072b778298ca0d4ad4a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 18:52:26 2019 +0300

    PF: Correct check against impossible move in pf_fuel_map_iterate()
    
    See hrm Bug #824100
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0b65f65685c1aba9451997f9824d5256325ac962
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 13 23:09:16 2019 +0300

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bcfacaeddbb2ec217ff02516e1e6310149cd6163
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 11:42:18 2019 +0300

    civ1: Correct River helptext
    
    It was claiming that River can exist on any land terrain when in
    reality it can exist only on Grassland.
    
    Reported by nef
    
    See hrm Bug #824129
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 210fac1d56e702164f438e8f1e99325d0bef4723
Author: Zeko <zeko@freeciv.xyz>
Date:   Sun Jul 7 10:27:38 2019 +0300

    Clarify helptext for airliftingstyle setting
    
    See hrm #825210
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7f63ccc64afd580b29cd6fb4d2685277e10fa5de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 18:48:01 2019 +0300

    PF: Handle FC_INFINITY move cost in fuel maps
    
    tile_move_cost_ptrs() uses FC_INFINITY to flag that all
    movement is spent. Handle that special value if received
    in pf_fuel_map_iterate()
    
    See hrm Bug #824099
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c23855855cfd72870a271dc38d4e08cc94e5ccff
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 8 02:18:53 2019 +0300

    Fix gcc9 warning in NDEBUG build
    
    See hrm Bug #825241
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ce54a9ebc23bb5830d201938e5ebbaf5913d1345
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 7 23:16:18 2019 +0300

    Qt: Correct display of adversary luxury rate
    
    Reported by Jacob Nevins
    
    See hrm Bug #825218
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2c81ce4b5777f5584e4edc8bda455fc96b8d9762
Author: Zeko <zeko@freeciv.xyz>
Date:   Sun Jul 7 10:24:16 2019 +0300

    Fix heap buffer overflow when stripping string prefix
    
    See hrm bug #769012
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5b84e87414f80b74261f33dadea3fce30e7ae136
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 1 16:16:09 2019 +0300

    PF: Fix handling of NS_PROCESSED in fuel map iteration
    
    In case of fuel map iteration, even already processed tiles can
    be rechecked if they are not refuel point. Make sure that when
    that happens, they do not end to main queue, but only to waited_queue.
    
    See hrm Bug #824278
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8e47f9220b3bd406c7ae0e0359c788b4dfadb2dd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 25 19:19:56 2019 +0300

    civ1: Make Great Wall to protect against population loss
    
    Great Wall is documented to be equivalent of having City Walls
    in every city. City Walls protect against population loss, so
    Great Wall should too.
    
    Reported by nef
    
    See hrm Bug #822929
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6df61b1410351d9e81d7a102e393c9987f0f9d28
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 5 19:07:42 2019 +0300

    Make food_stock signed value in network protocol
    
    See hrm Bug #661865
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 339565d6d5f61af8a5d3394a78b6e3bb69244996
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 3 02:11:03 2019 +0300

    sdl/2: Do not try to add callbacks to the list when client is closing
    
    Reported by Zoltán Žarkov
    
    See hrm Bug #824593
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7a08a390ed1860ab68714b0cec90676462ad6e71
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 23 07:54:08 2019 +0300

    civ1: Make only Artillery and Bombers to ignore City Walls
    
    Reported by nef
    
    See hrm Bug #822926
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 043ba0d5cb86cced746592b0118d7d8f2517087a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 01:59:50 2019 +0300

    Improve documentation of terrain.ruleset [extraui] section
    
    See hrm Feature #824117
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6015f05823fdf3c37e6b2e7112432c50c96e0b8c
Author: Zeko <zeko@freeciv.xyz>
Date:   Wed Jul 3 02:40:42 2019 +0300

    Fix arithmetic error in SDL2 create_line
    
    Reported by Ignatus and Zoltán Žarkov
    
    See hrm Bug #824589
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e5e5de3effbce49aa045abfddd8b8f5eec13b4e9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 08:48:58 2019 +0300

    entry_str_set(): Free old entry only after allocating a new one
    
    This supports the case where the new entry is supposed to be
    copy of the old one. This is useful when replacing only some
    entries of the string vector, i.e., keeping some unchanged.
    
    See hrm Bug #824076
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4d781877510229f2d18e8f7013c1f890771da557
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 25 16:40:29 2019 +0300

    Stub: Make styles.ruleset file header template-like
    
    Replace file header comment in stub ruleset styles.ruleset file
    with a similar comment and template description as in other
    stub ruleset files.
    
    See hrm Bug #822938
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 54e4f5aae3de0afa334712763b19fe63839d771e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 04:03:03 2019 +0300

    gtk3: Use gtk_font_chooser_get|set_font()
    
    Replace gtk_font_button_get|set_font_name() calls with calls to
    gtk_font_chooser_get|set_font().
    
    See hrm Feature #821847
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 87dffd46a1be72f2611de63ad10b454b6ff26701
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 18 17:16:35 2019 +0300

    default.lua: Do not use 'type' as a variable name
    
    'type' is a name of standard lua function. It should be treated
    like it was reserved word.
    
    Reported by nef
    
    See hrm Bug #822189
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 848ed6fb2afc6d0f2aa7ddeb193e3217f65862b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 17:30:23 2019 +0300

    Comment typofix: remeber -> remember
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c1f6cb4ceab6ce3485832557920fc1158ec0e83
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 16:47:28 2019 +0300

    Comment typofix: are -> or
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f6e050e2cde7b293e6cc7ba06a6fd6b59188ad74
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 04:40:16 2019 +0300

    README: State that gtk+-3.24 is ok for gtk3.22-client
    
    See hrm Feature #821848
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 747ca865398dae012e0d604f97db2cbefc459467
Author: Zeko <zeko@freecivweb.org>
Date:   Tue Jun 25 17:55:25 2019 +0300

    Correct off-by-one error in "land ahoy" achievement checker
    
    See hrm Bug #823174
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ac802f349d9c952e1412f59c42c7a715fd0b61ea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 14 18:31:59 2019 +0300

    INSTALL.Cygwin: Document audio support building
    
    See hrm Feature #821798
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dd1ee5a7c11d07881c22e2e50eab742660aa2331
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 25 20:06:42 2019 +0300

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e2395b7b57be9ed1921af3e4caf815023677f5c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 14 09:00:41 2019 +0300

    civ1: Do not claim in Barracks help that they heal units
    
    Units in civ1 have no HP to heal.
    
    Reported by nef
    
    See hrm Bug #821646
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64c1c3e6d5aa971fe9fadf1595de52f64a9b8bc9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 14 04:58:11 2019 +0300

    Use place_starting_unit() to place nation specific start units
    
    This makes sure nation specific starting units are placed on a
    tile where they can exist, and any hut extras on the tile will
    get cleared.
    
    Reported by Jacob Nevins
    
    See hrm Bug #767129
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a26e669ecde0765618a5af23e7c00f94be914e97
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 14 21:26:03 2019 +0300

    Improve ruleset documentation of extra.buildable
    
    Requested by nef
    
    See hrm Feature #821817
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fbc8ba379724d37015db0636988cee4853c89818
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 03:37:47 2019 +0300

    gtk3.22: Avoid deprecated gtk_font_button_get|set_font_name()
    
    Replace gtk_font_button_get|set_font_name() calls with
    gtk_font_chooser_get|set_font() calls.
    
    See hrm Bug #821128
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cda4d152855d162915aba6da27c5b2bd3a59cd0c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 11 21:44:11 2019 +0300

    Rename player.culture as player.history
    
    It contains only history, not full culture value. Confusing name has
    already produced issues. Everything remains ABI compatible.
    
    See hrm Bug #821112
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fe0b9dfb1ae52ab3a3ec6b8bba1c92d21f992c85
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 9 09:18:47 2019 +0300

    Alio: Drop duplicate Burrow Tube sprites
    
    Keep providing road.burrow tags, now pointing to the remaining
    burrow tube sprites, to remain compatible with any custom
    tileset that refers to alio files.
    
    See hrm Bug #740865
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 863147aa42d832dbad4f8ca2207e37869c980a86
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 19:46:55 2019 +0300

    INSTALL.Cygwin: Add Qt-client build instructions
    
    See hrm Feature #820664
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit eb774cc533c7c0022d4a911c2845da916723d2b7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 18:18:33 2019 +0300

    Support moc-command named 'moc-qt5'
    
    Cygwin has moc named as 'moc-qt5'
    
    See hrm Bug #820604
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c23d6e6ed89578e705de182cf6d323798084d49f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 11 04:17:40 2019 +0300

    Update help_nodes_init code comment
    
    - Correct variable name; helpnodes_init -> help_nodes_init
    - Correct reference to boolean value; 0 -> FALSE
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3418c71c70c3544b09fd92275f3afddfd1f3352d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jun 5 03:10:01 2019 +0300

    Update INSTALL.Cygwin
    
    - Instruct build of gtk3.22-client instead of gtk3-client
    - Minor updates, corrections, and clarifications
    
    See hrm Feature #819966
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 20a5cc4e8618828cc896ec8d17afe178c16c1ad7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 4 02:57:33 2019 +0300

    sdl/2: Popup full government dialog when about to start revolution
    
    Removed separate revolution dialog completely. Now we popup the
    government dialog that used to popup in the end of the revolution
    in the beginning of the revolution.
    With some server settings target government must be known from
    the beginning of the revolution, and so server was rejecting
    any attempts of revolution from sdl-clients that did not provide
    that information.
    
    Reported by Louis Moureaux
    
    See hrm Bug #794114
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5f5d4b2ba9534842b753216078869c8c75f42717
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 3 01:48:52 2019 +0300

    Correct lua-5.3 freeciv_lua.patch
    
    See hrm Bug #819537
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ee75b76f3c962c0f693b3b91104a6f31beb16f1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 1 03:12:26 2019 +0300

    Correct ruler title documentation in government.rulesets
    
    They were documenting nation specific ruler_titles as if those
    were part of governments.ruleset, and failed to document default
    titles that are part of governments.ruleset
    
    See hrm Bug #741552
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9255523508b8f93c4a9f4ccfd30c32e1293ed8e9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 30 02:18:53 2019 +0300

    Disallow capturing occupied transports
    
    Reported by Gyubal Wahazar
    
    See hrm Bug #772516
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e8304db126a15fb5ff69cc59ddcf3e36559ad183
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 2 23:05:27 2019 +0300

    Comment typofix: "elsethere" -> "elsewhere"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2f3b62b17bce56262ba8edac29577b573486733b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 30 02:12:08 2019 +0300

    Make event cache settings SSET_META instead of SSET_RULES_FLEXIBLE
    
    See hrm Bug #778665
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fd76838695227ad7ac321ccc4b211e4b9f75a967
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 13:53:27 2019 +0300

    README.nations: List flags-large.spec and shields-large.spec in flag doc
    
    Reported by publo
    
    See hrm Bug #817952
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 29fd4d8938c88bc5646ddd7e1a1442baf6e1c4dd
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Tue May 14 15:24:45 2019 +0200

    Updated French translations

commit b744537cee56b67440490fcdc5762205152c7a1d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 11 04:23:15 2019 +0300

    Fix server crash when ruleset does not define tech_req for a unit
    
    Reported by Corbeau
    
    See hrm Bug #816374
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 248cb543b51c590b04b7d0695d16a1e79b7f23cd
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Tue Apr 23 15:03:28 2019 +0200

    Updated French translation

commit 33f67e8747b9b0319f5d9e746102ce5a1a5d2da2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 15:19:15 2019 +0200

    threaded AI: Do not run dai_do_first_activities() on restart phase
    
    See hrm Bug #804448
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 82c142767812dd477ad019ca024faf9719292504
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 13:57:27 2019 +0200

    Call city_got AI callback for cities loaded from savegame
    
    See hrm Bug #804440
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 826ccfaa591695c92e76ce8156f73105b5348f24
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 08:00:15 2019 +0200

    Call unit_got AI callbacks for units loaded from savegame
    
    See hrm Bug #804394
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 435547fe47ddce7a1a5464a449f45ede629ebdd7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 28 02:21:27 2019 +0200

    sdl2/themespec.c: Correct comment about accepted capabilities
    
    Neither themespec capability string nor individual spec file capability
    string documentation had been updated from their sdl-client format
    to sdl2-client format. They had wrong format and referred to version
    2.3 instead of current 2.6.
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7dec25285058041f2dc4ec6a3efe5ab0d76c66db
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 28 01:48:24 2019 +0200

    tilespec.c: Correct comment about accepted capabilities
    
    - Tilespec capstring for 2.4 was given instead of 2.6 one
    - Spec capstring for 2.3 was given instead of 2.6 one
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d0c1c94ea3cc5b4102c24a0086c4ef24617e4362
Author: James Wilson <jwilsoncalderdale@gmail.com>
Date:   Mon Feb 25 02:38:32 2019 +0200

    Display messages when bombarding units or being bombarded
    
    See hrm Feature #734377
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1b4a438dd9e383614eb1e40b214006c9dd6fbf91
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 27 06:30:09 2019 +0200

    ruleset.h: Correct comment about accepted capabilities
    
    - Capstring for 2.3 was given instead of 2.6 one
    - For the development capstr, tilespec string was given instead
      of ruleset one
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 66062b052ec0ab7e6521feeb3a63854fe526e001
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 01:50:36 2019 +0200

    Update helpdata.txt
    
    Includes a couple bits of UI info that were lacking.
    
    1 zooming/scaling the map graphics with the + and - keys.
    2 in the diplomatic dialog, you can remove an item from the list by
    double-clicking on it.
    
    Update by Dean ddeanbrown@comcast.net
    
    See hrm Feature #804379
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8e17251ab4badd7c50695b287ae6442a371df1a8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 24 06:09:36 2019 +0200

    Improve documentation about Age requirement range
    
    Requested by Akechi
    
    See hrm Bug #769391
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d0c3a485bc030ab99fc90abaed83908e48ec01c6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 01:40:42 2019 +0200

    Updated Spanish translation by Jordi Negrevernis i Font.
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0dab5d0a0a5f4d883994ca1ffa67535c77842d19
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 25 01:20:05 2019 +0200

    Remove another spurious 'msgstr' from a string in Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 63b89625abd62db701f65f10e6b7a98e184a52bd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 24 16:19:04 2019 +0200

    Remove spurious 'msgstr' from a string in Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ed4aeca8aef7b1d1a27d4d260b44b01307fe59fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 24 15:04:46 2019 +0200

    Typofix to Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f7fedc3f130388215020be631cd392fb4bc6f818
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 24 14:19:43 2019 +0200

    Update Finnish translation
    
    By Sini Ruohomaa
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 08bd5cef9c6ebf16f94679b51eccdba1c2186064
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 24 07:27:19 2019 +0200

    Comment typofix: generate_specnum.py -> generate_specenum.py
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2164cfd740a362856a86b4dc1b6080b60111331f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 17 22:45:58 2019 +0200

    civ1: Prevent Railroads on city center tiles
    
    Reported by nef
    
    See hrm Feature #803249
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ef5416db54b12a63a11bc8937c1fe3eaee286a2a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 15 04:21:27 2019 +0200

    Ruleset doc: Mark calendar fragment names for translation in examples
    
    See hrm Feature #802774
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f7cce1aa984093601de97a7f3fd1f161e6fea6c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 10 22:06:40 2019 +0200

    Tell tech steal defender if tech was already stolen from the city
    
    See hrm Feature #801810
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2ff6b0386ef5955757a16039028b76b9d4efa035
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 10 01:30:56 2019 +0200

    Do not reduce borders or vision on destruction of base on virtual tile
    
    When changes to a virtual tile cause extra on it to get destroyed,
    do not change real player vision counts or borders. Virtual tiles
    are most often used by autosettlers when they consider what to do next.
    Such calculations of just considering a change were incorrectly
    reducing player vision and borders.
    
    Effect on player vision was reported by Lexxie L and Máximo Castañeda
    
    See hrm Bug #797698
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64d9f8a6f52e8f2b1e1786b83e48bd17575cbccb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 10 00:20:15 2019 +0200

    Update md5.c to match upstream revision 1.15
    
    Also update comment about freeciv specific changes for a part
    for which the code change had already been implemented before.
    
    See hrm Feature #801777
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 63b47724b29f5bdad5a53cbedd6f08136a0201af
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 11 19:30:37 2019 +0200

    Update path to default units.ruleset in a code comment
    
    Replace 'default' in ruleset path with 'classic'
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 815db05baf0c54ec20238bc23ed8fc05ece1ef4a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 9 22:27:41 2019 +0200

    Update included luasql files to luasql-2.4.0 level.
    
    See hrm Feature #801775
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f45ac22b269157ae345e1087f1a1bffea3dd7690
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 9 16:20:03 2019 +0200

    Fix gcc9 compiler warnings
    
    See hrm Bug #801655
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 20aebfc85db2d7222c40b2c3b4ce1b2d14122b7b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 9 14:27:01 2019 +0200

    Drop duplicate setting of mapimg layer indicator character in client
    
    See hrm Bug #801661
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 846c2bae8c4f24981fdae91e1fd5cfe7aa4898de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 11 00:03:16 2019 +0200

    Fix comment typo: "endrturn" -> "endturn"
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fddec02b63370ad8aa99e696f58f4548206f0e71
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 7 18:56:55 2019 +0200

    Document [tileset], [soundset], and [musicset] preferred game.ruleset entries
    
    See hrm Bug #785647
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c9c059dc001681e6de95d73a474b55667757bb55
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 4 14:55:39 2019 +0200

    Do not try to print NULL unit state property for %s
    
    See hrm Bug #800852
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b9f9f8d8fe9c4720a8c713b6183fc766ccc0b947
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 4 00:04:25 2019 +0200

    Do not try to print NULL terrain property for %s
    
    See hrm Bug #800781
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d7c54ba4cad633073df156ded1c070a6118b075f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 23 10:27:22 2019 +0200

    Do not try to print NULL soundfile for %s
    
    See hrm Bug #799291
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 44a3ec5e2fa467a7fea203ba84c49925254818e8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 10 13:30:00 2018 +0200

    INSTALL: Document building sound support
    
    See hrm Feature #785520
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5ece8c7334047b69d8c20ad6638bf03aea5cfab1
Author: Chadwick McHenry <mchenryc@gmail.com>
Date:   Fri Nov 9 23:20:39 2018 -0500

    Fix divide by zero error in mapimg
    
    Use player_count() instead of player_slot_count() so player colors
    are sized meaningfully. Ensure no division error, or negative
    offset is used.
    
    See hrm Bug #707912

commit 1b6d9e95054b2cd951e2b6abeac156102fa63b76
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 10 00:19:55 2018 +0200

    Consider extras with cause "Hut" enterable
    
    Whether extra was considered enterable was erroneously deducted
    from its UI category.
    
    Reported by Alexandro Ignatiev
    
    See hrm Bug #782719
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bec4bdea5262e50fc81e5660adc86ab09229c6f6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 28 11:02:06 2018 +0200

    Qt: Find themes from any data directory
    
    See hrm Bug #782349
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8610e47b8a7bd575a50006c9f4111d9747332be5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 24 17:20:51 2018 +0300

    Msys2: Create correct link to modpack installer in gtk3.22-client package
    
    See hrm Bug #781746
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b494832719c55f9dd24fc9590edbee5609889afb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 19 21:33:26 2018 +0300

    configure.ac: Drop VERSION_WITHOUT_LABEL
    
    See hrm Feature #780300
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 793b8bad2e9eff591a474650f6ead2ff653b9c5a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 18 20:05:37 2018 +0300

    gtk: Drop gtk_icon_size_lookup() call with unused results
    
    See hrm Feature #780526
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1254945ccbf46e4ea6bf342d435e0e917e9763b4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 16 05:39:10 2018 +0300

    Revert "Server - move AI phase before player activities/orders phase"
    
    This reverts commit 72f212b545d1d6d6bca18d172c14057ec5e10e3e.
    
    See hrm Bug #769791

commit cafa6243ede65379a0d92de657964661649bcfe6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 9 03:17:25 2018 +0300

    Consider City_Radius_Sq effects when showing city area for city founding units
    
    Player and tile wide requirements are considered. There's no city yet, and
    future city will not have unit related requirements fulfilled as founder
    gets disbanded on founding the city.
    
    Reported by Phil G.
    
    See hrm Bug #746187
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c2646f11e021bf4ffa5a7d43819893b5fc99984
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 6 09:13:02 2018 +0300

    Drop outcommented MAX_LAST definition
    
    See hrm Feature #778025
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e73835b2ecf83a01c5070c0c6d0b2ab6e7fd60d9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 4 08:20:25 2018 +0300

    Make sure second and later games use correct random seed
    
    Reported by Jacob Nevins
    
    See hrm Bug #761219
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4ebe09aab3cd422b6debdbb6fc6086f5c1ec563c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 4 07:51:26 2018 +0300

    Do not give double culture for non-unique achievements to first gainer
    
    Reported by Akechi
    
    See hrm Bug #763885
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c409296bc631216ccab3b8fb5832d61fa20b8f8a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 30 12:32:48 2018 +0300

    Sanitycheck barbarian init_buildings against B_LAST, not A_LAST
    
    See hrm Bug #776786
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 46a05757d1cb20c76ee0bd9cafda05bfed3ea139
Author: Zeko <zeko@freecivweb.org>
Date:   Sun Sep 30 09:11:17 2018 +0300

    Save orig_username for delegated players in savegames
    
    See hrm bug #772657
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 28ae14f43ca2cb7e6e383a6231182bfa14497ae6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 30 12:07:45 2018 +0300

    Update tech.ruleset comment about max number of advances
    
    Currently max number of advances in a ruleset is 199. Make documentation
    to match.
    
    Reported by Akechi
    
    See hrm Bug #769401
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 17a97130fd1e3b3553bf9a0b1295b7668fa55d73
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 29 20:15:47 2018 +0300

    Set hexemplio city sprite tags to point to correct sprites
    
    Patch by Pierre R
    
    See hrm Bug #774184
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1b5dd47d321035a488e254d9cab888ecd6ed5ac9
Author: Zeko <zeko@freecivweb.org>
Date:   Sun Sep 30 06:37:40 2018 +0300

    Change all callbacks in update_queue to void (*cb) (void*)
    
    See hrm bug #775057
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 20225114f4203085f3b6309e65d2c9c2cb4bfb1b
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed Jul 18 13:12:58 2018 +0200

    Comment clarification: fake action id.

commit 82ed29ac0951624c13f9e3d01a1a876f6242fe26
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Jun 1 12:56:51 2018 +0200

    Speculative action enabler evaluation.
    
    Start by allowing speculation about actor position and home city. Use that to
    replace is_action_enabled_unit_on_city_full().
    
    See hrm Feature #755356

commit 597d6121b5e6823cbd15f5f0a82f67f78bee1744
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 7 07:43:37 2018 +0300

    gtk-clients: Avoid deprecated gtk_css_provider_get_default() call
    
    See hrm Bug #771103
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 03cba608db4c46e00349f392bfa53e9c4e7f87ea
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Sep 7 01:57:41 2018 +0200

    Server - Fixed stopped rapture when city size changes
    Reported by Zoltán Žarkov
    
    See hrm Bug #771536

commit 05c4372b72bd9651be9222e7d34dee171f62b8fc
Author: mir3x <mlewczuk80@gmail.com>
Date:   Sat Sep 1 20:46:57 2018 +0200

    Qt client - show technology icons in comboboxes and sidebar tech menu
    
    See hrm Feature #771722

commit 6b9f8d8968b175b169ac6947b26bfa7a618281a7
Author: mir3x <mlewczuk80@gmail.com>
Date:   Sat Sep 1 20:44:27 2018 +0200

    Qt client - dont update unit label if it not shown
    
    See hrm Bug #771721

commit 57f0e34fd8e1a3fac33aa4cb581d2379428821f1
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Aug 28 19:34:27 2018 +0200

    Qt client - made governor area smaller in city dialog
    
    See hrm Bug #770355

commit f3868496fba4d1dfd400696d4042d8d8de8ef2ec
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Aug 28 19:30:45 2018 +0200

    Qt client - Fixed isohex units size in city dialog and unit selector.
    
    See hrm Bug #770253

commit 72f212b545d1d6d6bca18d172c14057ec5e10e3e
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:57:28 2018 +0200

    Server - move AI phase before player activities/orders phase
    
    See hrm Bug #769791

commit 706ba9ff5453d0920abda25cc340ddf3ec2e65d8
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:55:27 2018 +0200

    Qt client - dont allow observers to try changing city name or governor
    
    See hrm Bug #769796

commit e0889acab6a5082ad0d8a658bb4d520102811a3c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:52:52 2018 +0200

    Qt client - Fixed trying to cancel meetings when leaving game
    
    See hrm Bug #769764

commit 15bb6e7f37a7df68b57e28ca46fe23d51b2e1615
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:49:44 2018 +0200

    Qt client - updated nation report
    Reported by formalhaut.
    
    See hrm Bug #769585

commit da9180fc33773cb7804310fbe984177316e877cd
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:46:21 2018 +0200

    Fixed goto to target indicating one less turn in 2.6+ and wrong number after exhausting moves.
    Reported by Akechi.
    
    See hrm Bug #763893

commit 70f58b7cdc0ad63be159adb36585a2426546192c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 20 21:42:13 2018 +0200

    Fixed goto path drawing bug with exhausted moves
    Reported by Marko Lindqvist and Jacob Nevins
    
    See hrm Bug #657396

commit fa6dd3282a575ac017a2ee3f21bff936f6bd80eb
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 17 02:43:25 2018 +0200

    Qt client - use unscaled units in city dialog, unit report, unit orders
    
    See hrm Feature #769214

commit a4a412f6d83d7f4486e02ac0f6381247136ddc2b
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 17 02:39:28 2018 +0200

    Client - draw unscaled tiles in city map dialog
    
    See hrm Feature #769212

commit 4dbda325b001b92b89334a0a0ee5877761c65f49
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 17 02:33:30 2018 +0200

    Qt client - added new menu option to scale/not scale fonts
    
    See hrm Feature #769204

commit 23b7e763c98654337824e7bd7711a496b45f68e0
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Thu Aug 16 20:22:26 2018 +0200

    Translation update

commit ec34e52a104c4f452463d5688da75fe5eedd2e3d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 13 19:47:02 2018 +0200

    Qt client - use QPixmapCache also to store tileset sprites
    
    See hrm Feature #768847

commit b821605192f599f1fb216ee8313e26a69daa8a2c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Mon Aug 13 19:43:39 2018 +0200

    Qt client - remove useless TODO about adding scrollbar
    
    See hrm Bug #768652

commit e3233add48c1134243e9379230a4bd7b886efd65
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Aug 7 15:28:03 2018 +0300

    AI: Value embassy clause when tech leakage style is "Embassies"
    
    See hrm Feature #767838
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3131cf113edcf9972a94838f1367ba1fc7793eee
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Aug 7 20:13:01 2018 +0200

    Client - Freed effect_list in text_happiness_wonders
    
    See hrm Bug #767983

commit 8fcbdc25466d345d9d4835e6403926c5b6d7e307
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Aug 7 20:08:27 2018 +0200

    Qt Client - fixed some small memory leaks
    
    See hrm Bug #767837

commit 243b6896055f7ff8a60563758e1b70643b69cefe
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Aug 7 20:05:06 2018 +0200

    Qt Client - Added possibility of bases/roads to build
    Reported by  Marko Lindqvist
    
    See hrm Bug #684336

commit f07fe75074a5bb291920f110317813f4df3435a7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 4 18:50:51 2018 +0300

    gtk3-clients: Set transient parent for happiness tooltips
    
    See hrm Bug #768105
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7db4dbcfb09853b0f3b7376e729411337c7603cc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 4 10:48:39 2018 +0300

    Improve ruleset comments about unit convert_time
    
    Make it clear that time is in movement points, and not in turns
    
    Reported by frank e
    
    See hrm Bug #692480
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6167b75515e9a692f386771ee468c45d13271e9a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 3 01:45:42 2018 +0300

    sandbox: Fix "Turn_Fragments" comment in game.ruleset
    
    See hrm Bug #767841
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3de07262adb011371bacc8cfa3b46e0d1b354be6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Aug 2 23:36:34 2018 +0300

    AI: Give some value for culture effects
    
    See hrm Bug #767726
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit acb38caf2cb28a5f35aebb15f33d8ced862e590d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 22:06:53 2018 +0200

    Reverted commit "Pathfinding - added workaround for goto path drawing bug with exhausted unit"
    
    See hrm Bug #657396

commit a166993c0c1423be867a73a9fed7a4dca6a7b50a
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 21:57:59 2018 +0200

    Server - fixed square dispersion 'radius' on hex maps
    Reported by Jacob Nevins<jtn>
    
    See hrm Bug #767131

commit d1db4656547a009dd7fde028f78944969682e3c5
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 21:54:50 2018 +0200

    Qt client - dont open city when adding city to trade planning
    
    See hrm Bug #767095

commit afc8c4315475ed7b0999ca75c22a90500cbec493
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 21:49:38 2018 +0200

    Server - fixed angry citizens not taken into account in HAPPIEST Civilizations report
    Reported by Akechi
    
    See hrm Bug #763884

commit 4d32139d3a2a007fd8442175e647ea2fb578476d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 21:46:23 2018 +0200

    Server - fixed pollution placed 1% more than pollution value of city
    Reported by Akechi
    
    See hrm Bug #763881

commit b4c7135c6c034db15c555dce23c2e051239c691b
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Aug 3 21:24:29 2018 +0200

    Pathfinding - added workaround for goto path drawing bug with exhausted unit and maglev
    Reported by Marko Lindqvist and Jacob Nevins <jtn>
    
    See hrm Bug #657396

commit 86d119e8a91b4b986762eb7a17933cbd35d4c239
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Aug 2 20:26:34 2018 +0300

    Fix appending gthread cflags to modpack cflags
    
    See hrm Bug #767468
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b45a69c4d80d86a582f0813f6ebb92ce1c29b533
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 30 12:06:43 2018 +0300

    README.packaging: Mention dropping of ggz support
    
    See hrm Bug #767203
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 039dc1fc1b523016e79b66e4d4a194a2447e822c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 30 11:16:47 2018 +0300

    gtk2: Update appdata file format
    
    See hrm Bug #767187
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit afe5265d85090d9fd0bedc03af61e4b5e980803a
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 21:22:36 2018 +0200

    Reverted Bug #767095: Qt client - dont open city when adding city to trade planning
    Unexpected non working select button at all.
    
    See hrm Bug #767095

commit 792a61c156850f98b951d876ed156a0c0097e83d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 21:17:45 2018 +0200

    Pathfinding - fixed path drawing for fueled units with fuel > 1
    Reported by Jacob Nevins<jtn>
    
    See hrm Bug #765079

commit 2587852d5163c8de61517c672b56497890e433e4
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 21:08:15 2018 +0200

    Qt client - dont open city when adding city to trade planning
    
    See hrm Bug #767095

commit c67fef8223e5fda986edb7b43405fad510790c6d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 21:06:09 2018 +0200

    Qt - always draw virtual cities in trade planning
    
    See hrm Bug #767094

commit 6fe51f7eb7e30cf9477258f5878ebbb6cfd5daaf
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 21:04:09 2018 +0200

    Qt - improved city dialog splitters and size policies position on first run
    
    See hrm Bug #767092

commit a5cc2c1c721a37cf6e4fb66734ddc4f1a548a7b2
Author: mir3x <mlewczuk80@gmail.com>
Date:   Wed Aug 1 20:59:52 2018 +0200

    Qt client - fixed default huge fonts on some small displays
    Reported by Yuri Tretyakov
    
    See hrm Bug #766497

commit 2e4ed5fe9e04e83284393db671b29f7af3876f79
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 29 23:15:36 2018 +0300

    Init capabilities for freeciv-manual
    
    This fixes assert failure because of missing capability.
    
    Reported by Máximo Castañeda
    
    See hrm Bug #763694
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4a3313bd31f0874597a3e866a42fe42a44003b8f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 29 22:29:06 2018 +0300

    Increase victory_min_points in rulesets with cultural victory chance
    
    Experimental: 15000
    Civ2civ3:     18000
    Sandbox:      18000
    
    See hrm Bug #766716
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f78349892da001e24567588a02da95ecadc94a5f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Jul 30 22:32:55 2018 +0100

    Updated Spanish translation by Jordi Negrevernis i Font.
    
    nations: 100%: 1843 translated.

commit ff354c648abfd0790435cd688c371a801248fd72
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 28 12:22:37 2018 +0100

    Script to scrape NEWS from Freeciv wiki.
    
    Cloned and hacked from doc/generate_FAQ.pl by me (in 2012), originally
    for gna patch #3488.
    
    See hrm feature #767074.

commit 94ca622ebd6d0da528ca0b70f7dcdb9ce5a04a85
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 29 14:27:49 2018 +0300

    Make create_vertical_surface() state parameter enum widget_state
    
    See hrm Feature #735289
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2ef2373362dd39e02c5e5d2eef7283ab6aebf14d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 22 00:06:35 2018 +0300

    Try glibtoolize if libtoolize is not found
    
    On Mac libtoolize might be called glibtoolize.
    
    Reported by Daniel Markstedt
    
    See hrm Bug #714899
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 718a79d662ed7aa456c8b5e712bd49ca51d28a36
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 22 00:59:55 2018 +0300

    msys1: Build only stub AI to ruledit installer
    
    See hrm Feature #656443
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7633b20501bd3df1e1e8e7fc4d5530b1be79a9fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 22 19:22:10 2018 +0300

    sdl2-client: Correct freetype minimum version detection
    
    Reported by Lars Wendler
    
    See hrm Bug #765927
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f903e12c519fa423743c58ca50a0d1eb6de46eea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 19:31:23 2018 +0300

    Fix editing research while one is researching Future Tech
    
    Reported by fomalhaut pa
    
    See hrm Bug #765089
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a9d92b31a6a9c38953e098a7712871c0e678f289
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 22 01:17:18 2018 +0300

    msys2: Build only stub AI to ruledit installer
    
    See hrm Feature #656441
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aa3095e0bd6eb07043b024d53cd6fba009f46f47
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 11:40:22 2018 +0300

    Add function header for tilespec_reread_frozen_refresh()
    
    See hrm Bug #735284
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b1956d731a63f048ae423ee76b226248d48b8b0a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 01:43:19 2018 +0300

    Respect forced_tileset_name when starting a scenario game
    
    Reported by javaxubuntu
    
    See hrm Bug #765923
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 54ae5d92cffe6e2c080435b1716ae29bc5d6d716
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 18:40:34 2018 +0300

    Mention "Turn_Fragments" effect on game.ruleset documentation about fragments
    
    See hrm Feature #765121
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dcabc321fa5ad926dadaa26ad63e9fd5bd069c07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 12:26:23 2018 +0300

    Update included lua to version 5.3.5
    
    See hrm Feature #765936
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 40b29bd13dd5c683eec44d68d16f348fe5c5be9c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 02:35:09 2018 +0300

    Save advance root req only if it's not inherited
    
    Reported by Jacob Nevins
    
    See hrm Bug #758958
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 183f9ea7d7196fd0b006f469ccbfba0ca6e68f83
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 21 02:03:19 2018 +0300

    Qualify extra owner format string
    
    See hrm Feature #765598
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 143e1255cb602a1fb42c0a4faa13b362b163e6fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 20 23:33:16 2018 +0300

    Fix stringop-truncation warnings on C++ code
    
    See hrm Bug #765910
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3c2cea61e0b1e4e3e97ed98be3f2149fb24edd6f
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Sat Jul 21 02:58:42 2018 +0300

    Use pkg-config to find freetype
    
    As of freetype-2.9.1 the freetype-config script no longer gets installed
    by default.
    
    See hrm Feature #754206
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4249099785c1cf1bd59075926edbf19e7dcbaa5b
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 15 16:39:21 2018 +0100

    Keep pregame AI level dropdown in sync with server state.
    
    It's been a longstanding bug that this dropdown, in clients which have
    it, doesn't track server state, and often the initial state doesn't
    reflect the server's.
    
    Reported by lots of people, including Frank (dunnoob@gna) in
    gna bug #24899.
    
    See hrm bug #765061.

commit 72c0e9f6de9d9c2903671b5986ead73b6d3400d4
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 15 13:32:35 2018 +0100

    Trouble choosing defenders in military_advisor_choose_build().
    
    I think the AI's ability to decide to build defending units when under
    threat could have been compromised. Brought the code into line with
    later branches.
    
    Also, a diagnostic could cause a server crash with LOG_DEBUG enabled.
    Again, changed to match later branches.
    
    See hrm bug #764974.

commit ec913f1fe46c83e4d37068995fedaf0dd7f9d834
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 15 00:10:06 2018 +0100

    Suppress "wonder will be finished" notices once obsolete.
    
    They could be printed even if the wonder could no longer be built,
    for instance due to becoming obsolete. (And would be printed every
    turn until the city production was changed.) This was a regression
    from 2.5.
    
    Reported by "fomalhaut pa".
    
    See hrm bug #764965.

commit 80cdf11311d691c0c07b30be0e13a66287325df3
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 14 13:56:33 2018 +0100

    More warning for unit disband due to peace treaty.
    
    Make the initial message clearer that units will be disbanded, and
    send a followup warnings once per turn to any player who has units
    still at risk of disband.
    
    After a suggestion by David Lowe (doctorjlowe@gna) in gna bug #16000.
    
    See hrm feature #764959.

commit bc9a202ad053ebb0bc67c0bb47a846a3574d1004
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 14 12:00:13 2018 +0100

    Notify of endturn/spaceship arrival next turn.
    
    This gives players a chance to react (for instance, by changing server
    settings to prolong the game).
    
    See hrm feature #764421.

commit a5aabb77b610dfcb6f90f5788c7bcf8ca172e363
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 14 11:24:43 2018 +0100

    Allow game_next_year() without side effects.
    
    See hrm feature #764956.

commit f3e99d779858875a6b4446caf94052bce5f6a6d8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 8 10:12:23 2018 +0100

    Fix docs for civ2civ3 Cure for Cancer.
    
    The description of the effect on plague risk was misleading.
    
    See hrm bug #763957.

commit 643ec4e7ab395719d147713bb1f625fa901b7877
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 17:33:30 2018 +0100

    Don't clear cities' worker tasks on /away.
    
    See hrm bug #685253.

commit a70bb2284a46d75ba4ee63910f54ba577a56a514
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 22:42:25 2018 +0100

    Mark as development code.

commit f55ac6fadb54cfb3dac3387dcab1ed3c0211eb13
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 22:40:47 2018 +0100

    Refresh ChangeLog for 2.6.0 release.

commit 18a6684c5415046f8b75ea49eebcb72243312807
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 22:39:10 2018 +0100

    Bump version number and mark as release code.

commit 2e14c4b3fe181255375b3161afcce86f4084c51c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 22:29:58 2018 +0100

    Update NEWS/NEWS-2.6 for 2.6.0 from wiki.

commit f48ec2870af8c06cab82fa035370b35fac31bbbf
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 22:17:13 2018 +0100

    Update FAQ for 2.6.
    
    Semi-manually updated from http://www.freeciv.org/wiki/FAQ_2.6, which
    will shortly be moved to the main FAQ URL.
    
    2.6 FAQ started by frank e, with further updates from me.
    
    See hrm feature #696454.

commit 4e37cd0e735931f52992c911baca8fee9e931332
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 21 21:27:12 2018 +0100

    Results of running 'make update-po'
    
    in translations/{freeciv,nations,ruledit}/

commit 5c1239d65e636de26b9c2a9dc1b9d2a881ccd9ee
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Fri Jul 20 20:56:12 2018 +0200

    Updated French translation

commit c55e5e722f6778ba88d7e739467b4ac04ff15f5c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 20 19:05:14 2018 +0200

    Reverted temporarily due to Bug #765892
    
    See hrm Bug #765390

commit 3b081427c26f9dd398730140e0f3d388c2f2e9cd
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 20 00:42:25 2018 +0100

    Updated Spanish translation by Jordi Negrevernis i Font.
    
    freeciv: 93%: 6630 translated, 326 fuzzy, 197 untranslated.

commit 55b6d64eeee3e713ad1d0d4194d30e804beef581
Author: mir3x <mlewczuk80@gmail.com>
Date:   Thu Jul 19 22:25:45 2018 +0200

    Qt client - fixed not null-terminated string used for showing tooltip in city dialog
    
    See hrm Bug #765390

commit efe331e02670a47bb4a9191cd3809561d68bf442
Author: mir3x <mlewczuk80@gmail.com>
Date:   Thu Jul 19 22:22:22 2018 +0200

    Qt client - button for canceling production dialog was invisible and inactive in Qt5.11
    
    See hrm Bug #765387

commit 422b79e2a99219a1006dd48a8e3067fd8a17a876
Author: mir3x <mlewczuk80@gmail.com>
Date:   Thu Jul 19 22:19:04 2018 +0200

    Pathfinding - show number in correct place on mapview for unit being out of fuel for given turn
    Reported by Jacob Nevins
    
    See hrm Bug #765079

commit 2bde13ab7ed375c37c59acd4b94337ee20c417ee
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 19 09:00:25 2018 +0300

    Update Finnish translation
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit deac9014aae741bf92fddad0bc9d872102714c21
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jul 17 09:32:04 2018 +0100

    Updated Japanese translation by "fomalhaut pa".
    
    freeciv: 89%: 6348 translated, 407 fuzzy, 399 untranslated.
    nations: 95.8%: 1766 translated, 11 fuzzy, 66 untranslated.
    
    See hrm feature #765297.

commit 01126774ba09acf494e12947a370224bb6745f45
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 15 13:12:23 2018 +0100

    More visible Pollution sprite for Amplio2/Cimpletoon.
    
    By Gyubal Wahazar on the forum.
    
    See hrm feature #765046.

commit 662f8dddb6fad51c7419e3313ad32f46b6d7870e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 14 21:06:45 2018 +0100

    Fix server crash loading worker tasks.
    
    A savegame where a city had a terrain-conversion type worker task was
    loaded with an uninitialised pointer, potentially causing a server
    crash later.
    
    Crash reported by mir3x.
    
    See hrm bug #764223.

commit 6136abb34e11b2f7615e30b2ca90289d3b0f5ba9
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jul 14 00:52:26 2018 +0100

    Updated Spanish translation by Jordi Negrevernis i Font.
    
    freeciv: 88%: 6328 translated, 563 fuzzy, 263 untranslated.

commit 70ec063e1efeb5166748116a45d88fe6fab365d2
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:54:43 2018 +0100

    Mark as development code.

commit 84f703cabbddade4092b4044fca243483f04fce2
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:52:19 2018 +0100

    Refresh ChangeLog for 2.6.0-RC2 release.

commit 58893e7f7e94fb6560b22e21baac80eb1b012e7c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:51:16 2018 +0100

    Bump version number and mark as release code.

commit 3fc78af06497046fe237a0a592f19e59910fcaf5
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:48:11 2018 +0100

    Update NEWS/NEWS-2.6 for RC2 from wiki.

commit 2faeae58823cff7545c88a21d9ceea07822a8aaa
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:37:59 2018 +0100

    Results of running 'make update-po'
    
    in translations/{freeciv,nations,ruledit}/

commit 217e151f7de8c3a250c63212c6ea0062ec99be38
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jul 13 18:20:33 2018 +0100

    Updated Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    freeciv: 100%: 7154 translated.

commit e82c53ecdabfa78487bb8af84495a7d8e4e88205
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:51:35 2018 +0200

    Qt client - display help text in build queue & Improvement List
    Requested by Griffon Spade
    
    See hrm Feature #735308

commit e6b6be510ad18225bcf83846aa1715076bbbe252
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:44:56 2018 +0200

    Server - Fix global warming occurring at 0 accumulated value
    Reported by Akechi.
    
    See hrm Bug #763882

commit a245d3e871c75f941e49faabb5cd8f8b1705a356
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:40:39 2018 +0200

    Client - Drawn goto turns to target is incorrect on mapview
    
    See hrm Bug #763943

commit 06cdd0a9c15773d9804baf270858517d81f34c4a
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:32:31 2018 +0200

    Qt client - fix Shift-E shortcut clash
    Reported by Jacob Nevins
    
    See hrm Bug #764407

commit 6aa018bccee5bc89d9b6cbffb48ee757e67948e9
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:29:50 2018 +0200

    Qt client - use QPixmapCache for faster loading pixmaps
    
    See hrm Feature #764525

commit fd0510b97cb96654b95a7a3e9a4e4188cb36452f
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:27:29 2018 +0200

    Qt client - show extra moves left for fueled units
    Request by Jacob Nevins somewhere on gna.
    
    See hrm Feature #764524

commit 36f2322c73e73825f90e4f47369441bde907cd11
Author: mir3x <mlewczuk80@gmail.com>
Date:   Fri Jul 13 14:24:13 2018 +0200

    Qt client - Save help dialog position and geometry
    
    See hrm Feature #764218

commit 5b1f306a468189fad5e2fc15d74e903838e6d324
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 8 12:19:42 2018 +0100

    Lua find.role_unit_type() considers flags too.
    
    Fixes a regression in 2.6 where you could never get Settler-type units
    from huts.
    
    Reported in various forms by frank e and Akechi.
    
    See hrm bug #700906, hrm bug #763890.

commit 19a48ebc50d162d713fe6c522f64d36cea034291
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:29:03 2018 +0200

    Qt client - Left-Align Header Text for Present Units, Supported Units, and Improvements in city dialog
    Reported by Griffon Spade
    
    See hrm Bug #735301

commit d82bedc0df00a92768dfca4824fd224157483f9b
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:24:28 2018 +0200

    Qt client - added option to resize battle log widget
    
    See hrm Feature #764025

commit dd211aa9806900bc28aaf2a8caa6b91daea2ca28
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:21:05 2018 +0200

    Qt client - fixed crash when observing player with diplomacy meetings open
    
    See hrm Bug #764026

commit 3a339b5a3a8db541fd5c8abd8b30cf45f2736fcc
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:18:08 2018 +0200

    Fixed incorrect "bribe cost" for damaged units.
    Reported by Akechi
    
    See hrm Bug #763896

commit 7d96235eb41679dce3f7ce673ebd2acf3673f92c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:14:59 2018 +0200

    Server - fixed "Largest Civilizations report" not being created
    Reported by Akechi
    
    See hrm Bug Bug #763883

commit 95d011e8ca4373e1a3a0547bf648d41542d70d7d
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:10:23 2018 +0200

    Server - fixed resources placed 0.1% more than setting value
    Reported by Akechi
    
    See hrm Bug #763879

commit e8e43bfdefccd2e56447359deb2a0331a8dd9bbb
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:04:48 2018 +0200

    Qt client - link for terrain in buidlings help not working
    Reported by Máximo Castañeda
    
    See hrm Bug #763708

commit a6fa1333de62c59ab85f94c296b931670a5d202c
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 10 21:01:09 2018 +0200

    Fixed crash when unit goto is active and mouse is leaving bottom of unit actions widget.
    Reported by Jacob Nevins<jtn>
    
    See hrm Bug #761748

commit 36981ddf7ea5b387414c6744c52899e91a76609b
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jul 8 14:38:55 2018 +0100

    Fix network protocol for rulesets with lots of units.
    
    There was a longstanding bug if a ruleset has 129 or more units,
    and one of the 129th-or-later units is an upgrade or convert target,
    the client wouldn't register that, so players couldn't initiate the
    affected upgrade or conversion. This was due to use of SINT8 in the
    network protocol.
    
    Change the network protocol definition to UINT8. It so happens that
    this doesn't actually change what the server sends on the wire, just
    how the client interprets it, so there's no need for a capability
    bump, and new clients will now do the correct thing even with old
    servers.
    
    Reported by Akechi.
    
    See hrm bug #763894.

commit b6707af65a598b0a84dbff547a896ab75d73c789
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Mon Jul 9 15:05:44 2018 +0500

    Update of Russian translation.
    
    freeciv: 7154 translated messages.
    nations: 1843 translated messages.
    ruledit: 57 translated messages.

commit de5fa951d7cebbd729836435a36910f72f526148
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Thu Jul 5 19:42:35 2018 +0200

    Translation update

commit 1c33b8f96d59f727ca3029036f4a745e8e0ed903
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jul 3 09:34:36 2018 +0100

    Mark 'default' command as translatable.
    
    Reported by Máximo Castañeda.
    
    See hrm bug #763068.

commit cb3e5c4ab7c16da27deeecb776a6394e640e96a9
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 3 21:56:41 2018 +0200

    Qt client - make sidebar width dependent on screen size not application size.
    
    See hrm Feature #760162

commit c55b3ca33a5ef723b6caab76e8d4b9f41ced76a4
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 3 21:52:36 2018 +0200

    Qt Client - when scaling tileset make tile information size not changeable.
    
    See hrm Bug #759976

commit 7963e943edf246b186924f6322c8327a915737e7
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 3 21:48:59 2018 +0200

    Qt Client - reverted policies dialog to normal QDialog, due to crash on
                earlier versions of Qt.
    Reported by Jacob Nevins <jtn>
    
    See hrm Bug #759242

commit aae9682e2b02db93029bb5435f08e540ed861611
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jul 3 21:43:29 2018 +0200

    Client - fixed displaying borders when using scaled tileset.
    Reported by Jacob Nevins <jtn>
    
    See hrm Bug #756115

commit b06775d0723a555ac1589a05cb127150f3b1c04b
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 15:32:42 2018 +0100

    Activity icons and other tweaks for Isotrident/Isophex.
    
    Add activity icons for all extras in shipping rulesets.
    Removed piecewise nuke sprites (not used since r7322 in 2004).
    
    By GriffonSpade with spec tweaks by me.
    
    See hrm feature #762839.

commit 5ed9e1d5fe9da5eee82ebc0e68c415d4a83e3463
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 15:30:57 2018 +0100

    More unit activity icons for Amplio2/Cimpletoon.
    
    Added irrigation, farmland, mine, oil_mine, oil_rig.
    These tilesets now have specific activity icons for all extras in shipping
    rulesets.
    
    By GriffonSpade.
    
    See hrm feature #762838.

commit 06ae250201cc554dcf3b66da86d5550deb553494
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 10:47:53 2018 +0100

    Mark as development code.

commit e789d672c1e2041dbbec6c75490bca97b5a85157
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 10:44:55 2018 +0100

    Refresh ChangeLog for 2.6.0-RC1 release

commit 81d5897f4ec5972584a45ad77aa97c8faaff9439
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 30 10:33:02 2018 +0100

    Switch to stable release mode
    
    - Set branch to stable version phase
    - Set followtags to stable release ones
    - Bump version number to 2.6.0-RC1
    
    See hrm Task #735667
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a9a84a1bef3cb87c78eb77f8fe329af653191ebe
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 10:29:36 2018 +0100

    Update NEWS/NEWS-2.6 for RC1 from wiki.

commit 1ee3f32679984bb67a5d9115902efa3414b54934
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 30 09:34:01 2018 +0100

    Results of running 'make update-po'
    
    in translations/{freeciv,nations,ruledit}/

commit f635aa20155efb6e8622f5ad6e9b1d55e892e5bd
Author: igx31 <32019629+igx31@users.noreply.github.com>
Date:   Sat Jun 30 00:44:12 2018 +0200

    Updated French translations

commit b0781765ac08dd826aa14c0155d82fe62a17211a
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Fri Jun 29 18:35:36 2018 +0200

    Translation update

commit 5926907d9d4b0f819bd92cc675835e84caf3a441
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jun 27 22:25:12 2018 +0100

    Fix spaceship score contribution.
    
    Don't give points on spaceship arrival for population in habitation
    modules that weren't actually attached to the spaceship when it was
    launched.
    
    Reported by "fomalhaut pa".
    
    See hrm bug #757442.

commit ff5bbafc2b39ca21be9b88d2da958013a5a13279
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Fri Jun 29 00:37:42 2018 +0100

    Updated Polish translation by Hubert Kowalewski.
    
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    freeciv: 100%: 7153 translated.
    nations: 100%: 1843 translated.
    ruledit: 100%: 57 translated.

commit 9cc4c5fd6956a1bb17bf892f3e43ef84354ca045
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jun 26 23:47:04 2018 +0100

    Fix Future Tech messages.
    
    When getting Future Tech as a free tech, some of the messages
    displayed the wrong Future Tech number.
    
    Define separate functions for choosing a free tech and granting it.
    (This allowed some unrelated cleanup.)
    
    Wrong messages reported by "fomalhaut pa".
    
    See hrm bug #761977.

commit 44e12b7c81c27cf3aeb78fa136f0147f4efed949
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Tue Jun 26 22:47:31 2018 +0100

    Fix cargo teleport on transport homecity loss.
    
    When a gameloss/undisbandable unit such as a Leader is cargo on a
    transport that is lost with its home city, avoid teleporting the
    Leader to that city. This could cause non-allied units on the same
    tile (Leader and city's conqueror), and prevent the Leader teleporting
    to a more distant, safe city.
    
    Non-allied units reported by "fomalhaut pa".
    
    See hrm bug #761808.

commit 78e2efb9996f2d7898088e5bf9ecdc8c8e2f73ec
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jun 27 23:59:06 2018 +0100

    Partial update of en_GB translation.
    
    freeciv: 95.3%: 6816 translated, 250 fuzzy, 87 untranslated.
    nations: 100%: 1843 translated.

commit c10b28d1a052ae7bf4a5cbd1fd95a8c1625cbbeb
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Jun 25 00:11:57 2018 +0100

    Bump 2.6.0 release estimate to July.
    
    See hrm feature #761776.

commit 5164d57d8326c213a6bd89c0aa646f88fccb3a08
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Jun 25 00:01:20 2018 +0100

    Fix Amplio2/Hexemplio industrial cities.
    
    The Amplio2/Cimpletoon/Hexemplio/Toolhex tilesets was using the wrong
    graphics for large unwalled cities with the "industrial" style.
    
    Reported and diagnosed by "fomalhaut pa".
    
    See hrm bug #761751.

commit bc2491069baae68858d7dd0891e301c53d7d8615
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Thu Jun 21 00:22:22 2018 +0100

    Shuffle players earlier in a new game.
    
    give_initial_techs() was using the shuffled players order before it
    was initialised. The most obvious effect was that with high
    techlevels, the first player would be told about government-enabled
    technologies 160 times, and everyone else not at all.
    
    Games started from a fixed random seed may not proceed the same before
    and after this change, although map generation is unaffected.
    
    Excessive messages reported by "fomalhaut pa".
    
    See hrm bug #759020.

commit daf01fd220925dd3528632951ce31cf1e8bac7bc
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jun 20 21:38:03 2018 +0100

    Tweak secfile comment output format.
    
    Add a few spaces, to make it clear that it's a comment.
    This is used for instance in the client rc file.
    
    See hrm bug #761206.

commit 66d478a5cbdd74502351f9bcec5e2fa83651084f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jun 20 20:49:02 2018 +0100

    Misc terrain.ruleset comments about 2.6+ changes.
    
     - Describe how extra ownership works.
     - Describe integrating roads.
     - Note that pythagorean_diagonal has no effect with hex topologies.
     - After gna patch #4346, terrains are looked up by name, not section.
    
    See hrm feature #761202.

commit 53c0abe522701b06e630a754970024957cc71e56
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jun 20 02:56:54 2018 +0300

    Refresh sdl2.m4 to upstream release 2.0.8 level
    
    See hrm Feature #750895
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 549ff7190333092fe7fd74bdc6e7922977374b0e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Jun 18 00:43:08 2018 +0100

    A couple of string tweaks.
    
    See hrm bug #689474.

commit b948d1c00187229927e69f01512dbb82aa4d706f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon Jun 18 00:43:23 2018 +0100

    Some corrections to rules help for 2.6+.
    
    See hrm bug #760497.

commit a381809d37d5705581fb54d018c78e6a077d0157
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 17 15:26:18 2018 +0100

    Ignore tileset font sizes in Gtk clients.
    
    The Gtk and Qt clients have client configurations for these sizes; in
    the Gtk clients, the tileset was overriding this configuration (the Qt
    client was already ignoring the tileset).
    
    Deprecate the ability for tilesets to specify map view city/production
    font sizes. (Some clients -- Xaw/SDL -- still have no configuration of
    their own, so for now they continue to respect the tileset.)
    
    Clash reported by "Grendel" (gna bug #18802). Symptom also reported in
    gna bug #19327 and Launchpad #816197, and by Hans Lemurson on the
    forum.
    
    See hrm bug #760420.

commit e7216d4e9608fe6e54525c24885113c76005bb0f
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 16 22:11:41 2018 +0100

    More logging for autosettlers.
    
    Log their target tasks and progress toward them, in a way that
    '/debug unit' can show.
    
    See hrm feature #760370.

commit 0a81c5fd70155ad8da656c50ba7c430f90f82d15
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 16 22:10:48 2018 +0100

    Fix '/debug unit|units'.
    
    The logic in UNIT_LOG() prevented '/debug' from showing most of a unit's
    debug messages.
    
    See hrm bug #760368.

commit 764bd20844750ad252e4534be114876a39cd1c31
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 16 22:47:50 2018 +0100

    Client: allow cleaning as worker task.
    
    The Gtk3/Qt clients now allow requesting Clean Pollution/Fallout via the
    worker task interface.
    
    Requested by vla22.
    
    See hrm feature #760367.

commit df9a47dfeab75f27b60f759f7c00a112d11d2dea
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 16 22:19:34 2018 +0100

    man pages: note that --log appends.
    
    See hrm bug #760366.

commit 764982fb9d5d2a1fb19f5274c3170379eda8f1f1
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Jun 8 09:56:07 2018 +0200

    Remove outdated comment.
    
    ACTIVITY_BASE hasn't been mentioned here for a while.
    
    See hrm Feature #758725

commit ee4ac5b507874878c58c5dd567094dc2ca084984
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu Jun 7 12:31:42 2018 +0200

    Shorter unit home city look up.
    
    A unit's home city is stored by its city id. This makes getting a unit's home
    city as a city struct require the developer to call game_city_by_number()
    with the unit's homecity. Introduce the new macro unit_home(). It automates
    looking up a unit's home city.
    
    See hrm Feature #758434

commit 1c4fc464dcc49f198524d5895bcff20e96aacae5
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon Jun 4 10:17:02 2018 +0200

    Comment grammar fix

commit a3ffde60a737cb5e9f6347648eee55d096978429
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Wed Jun 13 21:42:20 2018 +0100

    Prevent partisans from most city transfers.
    
    Partisans are only supposed to show up when a city is conquered, but
    due to a precedence issue in the Lua script, they could show up
    whenever a city changed hands for any reason.
    
    Reported by "fomalhaut pa".
    
    See hrm bug #759770.

commit 4460dc74b2ec099f2272680acd8d96c361274650
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jun 12 20:19:05 2018 +0200

    Fixed tileset zoom activity offset bug
    Reported by Griffon Spade
    
    See hrm Bug #731629

commit a4bdbd7dea3df97d95c22ce52351696ea334e187
Author: mir3x <mlewczuk80@gmail.com>
Date:   Tue Jun 12 19:45:34 2018 +0200

    Qt client - fix zooomed flags in nations menu.
    Reported by Griffon Spade
    
    See hrm Bug #738921

commit c46ee4b4e7285f43aba173f8fda753d06609b7d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 9 23:15:01 2018 +0300

    Make '/list scenarios' to list scenarios only
    
    It was listing also regular savegames
    
    Patch by simsulla <simplicissimus.sulla@gmail.com>
    
    See hrm Bug #731199
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c16e3c98e92d3624cf0e80c2b4f55083e9d3337e
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 10 13:27:07 2018 +0100

    Fill in missing extrastyles in supplied tilesets.
    
    Many tilesets defined sprites without defining extrastyles for them.
    The engine doesn't currently warn about this, so trouble could be hidden
    until you use a ruleset with unusual fallbacks (such as 'alien').
    
    Trouble with 'alien' ruleset reported by vla22.
    
    See hrm bug #758964.

commit 0294a79bab07d45fc6cc5461fb2f14e005fefb42
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 3 14:07:33 2018 +0100

    Editor: use bv_techs instead of bool array.
    
    See hrm feature #758952.

commit 775b38e04c1a16b248ff83cb7bfddf1f6eefcc16
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 9 17:40:55 2018 +0100

    Show effect of tech root_reqs in help.
    
    Also, tweak some wording to clarify restrictions on research versus
    acquiring tech by other means.
    
    Requested by Marko Lindqvist.
    
    See hrm feature #758951, gna patch #4428.

commit 47ac2a7cc07802772f8ec9b75b3ffb1c10f9ea53
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 3 16:43:51 2018 +0100

    New bitvector utility BV_CLR_ALL_FROM().
    
    See hrm feature #758950.

commit 0c4a5894631a9f29ba0c757688750ffab6b3760c
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 9 15:54:57 2018 +0100

    New utility advance_root_req_iterate().
    
    Using algorithm extracted from research_get_root_reqs_known().
    
    See hrm feature #758949.

commit d5a046deddefa9cfa094a25316619b5d75d12986
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 3 12:34:35 2018 +0100

    More comments for advance_req_iterate().

commit dd6b69f0dbc4de72c8c608585f4d81ac98138e02
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 9 20:17:06 2018 +0100

    Rework comments about tech root_reqs.
    
    See hrm feature #758948.

commit b54bcf2168b1f546fb76c375c90e97c7eca0ce04
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 8 23:59:17 2018 +0300

    Fix syntax error when Windows start scripts run without a parameter
    
    Reported by frank e
    
    See hrm Bug #700914
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 947f02b14f2fe432ac6dcb4bf2d28ab9a9474ffc
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun Jun 3 00:35:18 2018 +0100

    Rework civ2civ3/sandbox government help.
    
    Add some handwritten text, and use 'quiet' attributes to suppress
    autogenerated help for parts that are covered by the fixed text.
    
    See hrm task #657407.

commit 6e6db4cf6680528329984760aaa389ddfe2f6205
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sat Jun 2 09:57:24 2018 +0100

    Fix double spaces in Airport description.
    
    I introduced these while fixing hrm bug #727051.

commit 0a0438a3b2fd8992adf6c7db28c154a2cd4b76b0
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Sun Jun 3 13:05:03 2018 +0200

    Translation update

commit 039e91cb4d53fec7228c3f5cdba8b1f7eca8a651
Author: Joan Creus <joan.creusandreu@gmail.com>
Date:   Sun Jun 3 13:00:45 2018 +0200

    Translation update

commit 5cb6924a84fa57bc067b2a6865140f008be939ac
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Jun 1 14:09:10 2018 +0200

    is_action_enabled(): parameter tabs to spaces.
    
    Convert the tab indention in is_action_enabled()'s parameter list to spaces.
    This gets it out of the way so it can't cause merge conflicts for work in
    that area.
    
    See hrm Feature #757062

commit 966541389183bb9b85ff10e9e721530681e49f5d
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon May 28 13:57:19 2018 +0200

    Introduce the action_id typedef.
    
    Introduce a type definition for action ids. This should increase the
    readability in cases where the action id variable should have a different
    name.
    
    See hrm Feature #756188

commit 336303cab32dfdfa8b44748734c53a4ad64e05cb
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Fri Jun 1 12:20:50 2018 +0200

    client/*: avoid using the name "action_id".
    
    See hrm Feature #756893

commit 4fe1b56ef2f40508b41f7225b3f669e5c624f395
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu May 31 16:15:52 2018 +0200

    SDL clients: avoid using the name "action_id".
    
    See hrm Feature #756880

commit de05dc5ca9abca364908fa418bee222d6057a081
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu May 31 08:25:14 2018 +0200

    GTK clients: avoid using the name "action_id".
    
    See hrm Feature #756736

commit 662ec125072078fc7c58915e066ffa9bf72a21f1
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Thu May 31 08:11:56 2018 +0200

    server/*: avoid using the name "action_id".
    
    See hrm Feature #756731

commit 7dd731481e10b5800c79677cd4bc09599ea62068
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed May 30 11:41:55 2018 +0200

    ai/*: avoid using the name "action_id".
    
    See hrm Feature #756596

commit 65882fadfd2370f0869739bade850961acb79e0f
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed May 30 11:14:18 2018 +0200

    common/*: avoid using the name "action_id".
    
    See hrm Feature #756589

commit 35c31adb037c023b8e54fbfe1161e910b9690716
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 29 12:48:03 2018 +0200

    action module: avoid using the name "action_id".
    
    See hrm Feature #756330

commit 439dae8e31bd96c69b45f88078f4be738b0d3840
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 29 12:15:50 2018 +0200

    Allow a unit to continue pillaging.
    
    Reported by Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
    
    See hrm Bug #756325

commit 8611a80bfad8fcc241fefd14d6e54000babcc4c0
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 29 02:35:26 2018 +0200

    GTK clients: intuitive unitsel*dlg button order.
    
    Make selection the rightmost button in the unit select extra / unit dialog.
    They are used for unit transport selection, pillage extra selection and for
    the action selection dialog's target unit/extra switchers.
    
    Requested by Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
    
    See hrm Feature #756225

commit 97e53fb5df8fab6e5ba2b7911730812e240322a0
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 17:58:39 2018 +0100

    Better forecasting of tech loss in client UI.
    
    Mainly, take the 'techlossforgiveness' option into account.
    
    See hrm bug #756203.

commit 6cdcaefbbee0053f4c5be4cf1c941b7e1d7027c8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 16:22:40 2018 +0100

    Send techloss_forgiveness to client.
    
    On this branch, since the network protocol is frozen, use an optional
    capability, and for old servers, scrape it out of the server setting packet
    instead.
    
    See hrm feature #756202.

commit 3e3b718fad9d64b57ffca4d2e0426577dd154906
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 14:32:33 2018 +0100

    Qt: fix assertion failure in science report.
    
    If the science report was drawn or refreshed while the player had no
    advance selected, or was researching future tech, an assertion failure
    message was printed on the console.
    
    Reported by Marko Lindqvist.
    
    See hrm bug #732483.

commit 13ac6ba6859eafdde49d2a5f25fb6043a15f6d22
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 12:40:19 2018 +0100

    Document that Airports give veteran missiles.
    
    Reported by UukGoblin on IRC.
    
    See hrm bug #727051.

commit 1ff75796e712bb7ff98babe596ee523fa5239728
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 12:23:53 2018 +0100

    Document the 'quiet' flag in requirements.
    
    Reported by GriffonSpade.
    
    See hrm bug #733917.

commit ceffcd8e0679b1ac6823d417e996204126885e6a
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 11:32:39 2018 +0100

    Use more focused git dirty check when building.
    
    This avoids invoking custom diff engines, etc.
    
    See hrm bug #756106.

commit fcacb24a3779e00bf5e90416d6d3299292612078
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Mon May 28 11:31:35 2018 +0100

    Qt: zealous_crop_rect() was too zealous.
    
    It would crop off the right/bottom row of pixels. (It's mostly used
    for displaying unit sprites off the main mapview.)
    
    See hrm bug #756105.

commit cea0e728d52ec372a7d0dd6b1a659e51749647d8
Author: Jacob Nevins <0jacobnk.fcdev@chiark.greenend.org.uk>
Date:   Sun May 27 16:25:28 2018 +0100

    Qt: fix unit info bar for scale changes.
    
    The amount of space reserved for the unit sprite would change, even
    though the unit sprite itself remained about the same size.
    
    Also, ensure that it's refreshed whenever the scale changes.
    
    First symptom reported by GriffonSpade on the forum.
    
    See hrm bug #738922.

commit db742f057ebe6d99518f847f09ae70e06503fc82
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon May 14 11:04:00 2018 +0200

    GTK clients: more informative pillage dialog.
    
    Use the unit select extra dialog to select target in the pillage dialog. This
    informs the player about the extra owner. It also shows how the target extra
    looks to help the player remember what the extra is.
    
    See hrm Feature #753305

commit 702f5ea31850a6d1314e344bb982085411670927
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 22 10:34:58 2018 +0200

    GTK clients: fix radio button group issues.
    
    The unit select extra dialog and the unit select unit dialog in the GTK
    clients supports specifying a default target. The target selection is done by
    using radio buttons.
    
    The old implementation had radio button group issues (at least in some
    versions of GTK). This meant that more than one radio button could be/was
    selected at once. Change it:
     * Don't toggle any radio buttons before all radio buttons are added.
     * Specify radio button group by using the first radio button rather than by
       specifying the group manually.
     * assert that radio buttons for all target belong to the same group.
    
    See hrm Bug #754966

commit 04ec68285276f6b671f2b0b48ad3a2c6fcd853b9
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 8 11:33:11 2018 +0200

    GTK clients: unit select extra dialog.
    
    Add a unit select extra target dialog to the GTK clients. It is based on a
    copy of the unit select unit dialog. It includes the extra's icon and tells
    if the extra is present at the tile (or is targeted to be built) and who owns
    it.
    
    It is intended to be used in the action selection dialog as a "Change target
    extra" dialog in Freeciv 3.1. It could also be used to replace various action
    specific target extra selection dialogs with less information both in 3.1 and
    in earlier branches.
    
    See hrm Feature #753268

commit decb6e7d16a0f720716a0a75f5924fd4a1fa6a79
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue May 8 11:18:49 2018 +0200

    GTK clients: Share editgui's create_extra_pixbuf().
    
    Make editgui's create_extra_pixbuf() non static and move it to sprite so it
    can be reused.
    
    See hrm Feature #752141

commit 52b28ae41e2edc5afddaf5e1561605afdf1b2d4c
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed May 9 10:00:13 2018 +0200

    Sync header comment with Freeciv-web.
    
    Sync utype_can_do_action()'s header comment with Freeciv-web.
    
    See hrm Feature #752336

commit 1bd91b5367413913cfbbd3cdd332f8f7d71ea890
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Wed May 16 10:02:32 2018 +0200

    Constify can_build_extra()'s pextra parameter.
    
    See hrm Feature #753754

commit 49cc791f275ebf475c5d3fff50f6cc8349c3658d
Author: Christian Prochaska <cp.ml.freeciv.dev@googlemail.com>
Date:   Fri May 11 23:17:27 2018 +0200

    Updated msys1 environment (cairo 1.14.12, pixman 0.34.0)
    
    See hrm Bug #736230

commit 41d36c27ef1a61172dddf5367ec57ee9a5ed6d49
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon Apr 30 10:12:42 2018 +0200

    Introduce TILE_INDEX_NONE.
    
    IDENTITY_NUMBER_ZERO can't be used for tiles since 0 is a valid tile index.
    There are probably remaining instances of magic numbers representing an
    invalid tile index. Introduce it anyway so new code can use it rather than
    making the problem worse.
    
    See hrm Feature #750470

commit 94fcef4773b2edd4d30ee0cdb05e2f90bc9d7406
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 29 15:50:22 2018 +0300

    Refactor network stream uncompressing
    
    Retry uncompressing with bigger buffer if it first fails
    due to to small buffer. Made initial buffer size smaller than
    old one that was meant to be big enough for all cases without
    retrying.
    
    Patch by simsulla, with minor changes by me
    
    See hrm #747319
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b8a0837bae95a38b4972989d348b85a3c14682a9
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Mon Apr 23 05:22:29 2018 +0200

    Assert that data->result is there.
    
    Add assertion that data->result is there before reading data->result->dest.
    
    See hrm Feature #748740

commit fd2d56e852d727b0d8b7598d4133ad3411bd7998
Author: Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>
Date:   Tue Apr 17 14:49:21 2018 +0200

    Clean up client specific action selection state.
    
    The GTK clients, the Qt client and the SDL client supports only one unit at
    the time in their action selection dialog process. (More than one would,
    given their current UI design, be confusing.) To prevent a new action
    selection dialog from popping up before the player is done with answering
    follow up questions a client specific variable, currently named
    is_more_user_input_needed in all of them, is set.
    
    When the answer to a follow up question failed to arrive, say because it was
